@echo off
REM JCH.bat
rem handle the repeat tries to start the Tivoli Console
rem
rem Licensed Materials - Property of IBM
rem 5698-TKS
rem (C) Copyright IBM Corp. 2000   All Rights Reserved 
rem 
rem US Government Users Restricted Rights - Use, duplication, or
rem disclosure restricted by GSA ADP Schedule Contract with 
rem IBM Corp.
rem

setlocal & pushd & set RET=

rem input is setupenv.bat

call %1
rem loop to determine if PsJcLauncherService is running.
rem loop to determine if PsJcLauncherService is running.

rem OK                = 0               
rem USAGE             = 1            
rem NOT_FOUND         = 2
rem SECURITY_FAILURE  = 3
rem COMMAND_EXCEPTION = 4
rem FAIL              = 5
rem LAUNCH_SERVICE_FAIL = 31

rem start a loop
rem try launching JC
rem capture errorlevel
rem increment counter
rem if 5 loops, quit trying
rem if the return int from wcmd is => 1 
rem   then some system error happened, so try again. 
rem if the return int is 0 or 1 
rem   then success and leave this bat file.

set /a COUNT=0
set /a FIRSTTRY=0
:TRYAGAINLOOP

wcmd -u JCLauncher -f %ORBDIR%\bin\w32-ix86\.JCLauncher_p jclauncher launchJC
set RESULT=%errorlevel%

rem begin test stuff
rem test value
rem set TESTRESULT=%RESULT%
rem set RESULT=3
rem if %COUNT% GTR 3 set RESULT=%TESTRESULT%
rem end test stuff

set /a COUNT+=1

if %COUNT% GTR 5 goto :QUITTING 

if %RESULT% GTR 0 goto :SLEEPHERE

:ENDTRYAGAINLOOP

set RET=%RESULT%

popd & endlocal & set RET=%RET%
echo %RET%
goto :EOF

rem //////////////////////////////////
:QUITTING
echo "Tried 5 times; quitting." 
echo "Please close this window when ready."
goto :ENDTRYAGAINLOOP
rem //////////////////////////////////
:SLEEPHERE
echo "System error; trying again in 5 seconds..."
goto :WHATSTHEPROBLEM
:CONTINUETOSLEEP
 rem sleep 5
%~d0%~p0sleepfor 5000
goto :TRYAGAINLOOP
rem //////////////////////////////////
:WHATSTHEPROBLEM
if %RESULT% EQU 1 (echo Check to see if %ORBDIR% is running.) &&  (goto :CONTINUETOSLEEP) 
if %RESULT% EQU 2 (echo The PsJsLauncherService is not running.) &&  (goto :CONTINUETOSLEEP) 
if %RESULT% EQU 3 (echo There is a security problem.) &&  ( goto :CONTINUETOSLEEP) 
if %RESULT% EQU 4 (echo There was an error executing your command.) &&  ( goto :CONTINUETOSLEEP) 
if %RESULT% EQU 5 (echo There a CliBundle Server problem. Check in %ORBDIR%\log.) &&  ( goto :CONTINUETOSLEEP) 
if %RESULT% EQU 31 (echo The PsJcLauncherService failed. Check in %ORBDIR%\log.) &&  ( goto :CONTINUETOSLEEP) 
if %RESULT% GTR 31 (echo The JcConsole failed. Check in %ORBDIR%\log.) &&  ( goto :CONTINUETOSLEEP) 
goto :CONTINUETOSLEEP
rem //////////////////////////////////

