<?xml version="1.0" encoding="US-ASCII"?>
<!DOCTYPE MCPackage SYSTEM "file:com/tivoli/pf/mcr/dtd/mcr.dtd" 
[ <!ENTITY PS_CONSOLE_COMP_VERSION "1.1.4">
  <!ENTITY PS_FUL_UTIL_COMP_VERSION "1.1.4">
  <!ENTITY PS_FUL_IMPL_COMP_VERSION "1.1.4">
  <!ENTITY COMMON_COMPONENT_VERSION "1.1.4">
]>
<!--
*************************************************************
* Licensed Materials - Property of IBM
* 5698-TKS
* (C) Copyright IBM Corp. 2000   All Rights Reserved 
* 
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with 
* IBM Corp.
*************************************************************
-->

<!-- Author: Niraj Joshi -->
<!-- Created: 09/01/99 -->
<!-- Modified: 02/29/2000 : Moved to SC -->
<!-- Modified: 04/13/2000 : Added Initial Actions AG and added it to Portfolio -->
<!-- Modified: 06/14/2000 : Added preference action groups -->
<!-- Modified: 09/06/2000 : Name changes for MCPackage Componentization -->
<!-- Modified: 09/15/2000 : Updated preference actions -->
<!-- Modified: 03/1/2001 : Used ENTITY references for component versions -->

<MCPackage version="&PS_CONSOLE_COMP_VERSION;" name="com.tivoli.pf.pfconsole.impl" packageType="implementation">

	<Dependency name="com.tivoli.pfdk.ful.impl" version="&PS_FUL_IMPL_COMP_VERSION;" packageType="implementation"/>
	<Dependency name="com.tivoli.pfdk.ful.util" version="&PS_FUL_UTIL_COMP_VERSION;" packageType="utility"/>
	<Dependency name="PsCommonInt" version="&COMMON_COMPONENT_VERSION;" packageType="interface"/>
        
        <CompatibleUpgradeOf version="1.1.0"/>
        
<!-- =================================================== -->
<!-- Console wide global definitions         		 -->
<!-- =================================================== -->

<!-- ================================================================== -->
<!-- Action Group definitions Temporarily removed -->
<!-- ================================================================== -->


<!-- Action Group: Temporary Console Actions

    <ActionGroup name="TempConsoleActionGroup">
	
	<ActionRef>
	    <Reference mcName="CreatePortfolioAction"/>
	</ActionRef>

	<DisplayInfo>
	
	    <DisplayName key="SC_TEMP_ACTIONS_DISP_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="Temporary Console Actions"/>
	
	    <ShortDescription key="SC_TEMP_ACTIONS_SHORT_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="Temporary Console Actions"/>
    			
	    <LongDescription key="SC_TEMP_ACTIONS_LONG_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="These Console Actions are temporary for Driver 4. These would be filtered away in future."/>
	
      	    <Icon size="medium" URL="com/tivoli/pf/sc/res/action_m.gif"/>
            <Icon size="small" URL="com/tivoli/pf/sc/res/action_s.gif"/>
       	    <Icon size="tiny" URL="com/tivoli/pf/sc/res/action_t.gif"/>
	
 	</DisplayInfo>
    </ActionGroup>
-->


<!-- TBD: CHANGE URLS -->
<!-- HELP SET Definitions. Not needed now. 			

    <HelpSet name="ConsoleActions" URL="ScConsole.hs"/>
    <HelpSet name="ConsoleActions" URL="PF.hs">
-->    <!-- TBD: CHANGE URLS -->




<!-- =================================================== -->
<!-- Portfolio Action, FU, FUImpl and FUGUI definitions  -->
<!-- =================================================== -->

<!-- Action: CreatePortfolioAction -->

    <Action name="CreatePortfolioAction">

        <FUDefinitionRef>
            <Reference mcName="PortfolioNavigatorFU"/>
        </FUDefinitionRef>

	
     	<DisplayInfo>
       		
       	    <DisplayName key="SC_CREATE_PORTFOLIO_DISP_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class"  defaultText="Create Portfolio"/>

            <ShortDescription key="SC_CREATE_PORTFOLIO_SHORT_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="Create Portfolio"/>

   	    <LongDescription key="SC_CREATE_PORTFOLIO_LONG_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="This action creates the Portfolio for Tivoli Console"/>
    	
<!-- 			
            <HelpReference helpID="jc_intro">
     	      	<HelpSetRef>
       		    <Reference mcName="ConsoleActions"/>
                </HelpSetRef>
 	    </HelpReference>
-->		
      	    <Icon size="medium" URL="com/tivoli/pf/sc/res/action_m.gif"/>
            <Icon size="small" URL="com/tivoli/pf/sc/res/action_s.gif"/>
       	    <Icon size="tiny" URL="com/tivoli/pf/sc/res/action_t.gif"/>

    	</DisplayInfo>

    </Action>


<!-- FUDefinition: PortfolioNavigatorFU -->

    <FUDefinition GUIPlatform="all" name="PortfolioNavigatorFU">

        <FUImplDefinitionRef>
            <Reference mcName="PortfolioNavigatorFUImpl"/>
        </FUImplDefinitionRef>

        <InputPropertyList>
            <Property name="Relationship">
                <Type>
                     <Persistent type="string" />
                </Type>
            </Property>
        </InputPropertyList>

        <OutputPropertyList>
            <Property name="Navigator">
                <Type>
                    <Transient type="com.tivoli.pf.sc.external.IScNavigator"/>
                </Type>
            </Property>
        </OutputPropertyList>

        <CompletionValueList>
            <CompletionValue value="0"/>
        </CompletionValueList>

    </FUDefinition>



<!-- FUImplDef: PortfolioNavigatorFUImpl -->

    <FUImplDefinition name="PortfolioNavigatorFUImpl">

        <FUImpl URL="com/tivoli/pf/sc/navigator/ScPortfolioNavigator.class"/>

        <ProcessInfo daemon="yes" inactivityTimeOut="9999"/>

    </FUImplDefinition>


<!-- FUGUI Definition: PortfolioViewerFUGUI -->

    <FUGUIDefinition name="PortfolioViewerFUGUI">

        <FUGUIImpl platform="java2" URL="com/tivoli/pf/jc/portfolio/JcPortfolioViewer.class"/>
        <FUGUIImpl platform="html4.0" URL="com/tivoli/pf/wc/portfolio/WcPortfolioViewer.class"/>

    </FUGUIDefinition>


<!-- ========================================================== -->
<!-- User Preference Action, FU, FUImpl and FUGUI definitions   -->
<!-- ========================================================== -->

<!-- Action: UserPreferenceAction -->

    <Action name="UserPreferenceAction">

        <FUDefinitionRef>
            <Reference mcName="UserPreferenceFU"/>
        </FUDefinitionRef>

	
     	<DisplayInfo>
       		
       	    <DisplayName key="SC_PREFERENCE_DISP_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class"  defaultText="Show User Preference"/>

            <ShortDescription key="SC_PREFERENCE_SHORT_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="Show User Preference"/>

   	    <LongDescription key="SC_PREFERENCE_LONG_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="Show User Preference"/>
    	
      	    <Icon size="medium" URL="com/tivoli/pf/sc/res/action_m.gif"/>
            <Icon size="small" URL="com/tivoli/pf/sc/res/action_s.gif"/>
       	    <Icon size="tiny" URL="com/tivoli/pf/sc/res/action_t.gif"/>

    	</DisplayInfo>

    </Action>


<!-- FUDefinition: UserPreferenceFU -->

    <FUDefinition GUIPlatform="all" name="UserPreferenceFU">

        <FUImplDefinitionRef>
            <Reference mcName="UserPreferenceFUImpl"/>
        </FUImplDefinitionRef>

        <CompletionValueList>
            <CompletionValue value="0"/>
            <CompletionValue value="1"/>
        </CompletionValueList>

    </FUDefinition>



<!-- FUImplDef: UserPreferenceFUImpl -->

    <FUImplDefinition name="UserPreferenceFUImpl">

        <FUImpl URL="com/tivoli/pf/sc/preference/ScPreferenceNotebookImpl.class"/>

    </FUImplDefinition>


<!-- FUGUI Definition: UserPreferenceFUGUI -->

    <FUGUIDefinition name="UserPreferenceFUGUI">
     <FUGUIImpl platform="java2" URL="com/tivoli/pf/jc/preference/JcPreferenceNotebook.class"/>
    <DisplayInfo>
    <DisplayName key="TITLE" URL="com/tivoli/pf/jc/nls/JcPreferenceResources.class" defaultText="Preferences"/>
    <HelpPagesMap>
       <HelpKey helpKey="ConsolePrefsAction"/>
       <HelpID helpID="fwp_prefs_dlg_tivconsole"/>
    </HelpPagesMap>
    <HelpPagesMap>
       <HelpKey helpKey="ColorPrefsAction"/>
       <HelpID helpID="fwp_prefs_dlg_appearance"/>
    </HelpPagesMap>
    <HelpPagesMap>
       <HelpKey helpKey="IntlPrefsAction"/>
       <HelpID helpID="fwp_prefs_dlg_langregion"/>
    </HelpPagesMap>
  </DisplayInfo>

    </FUGUIDefinition>

<!-- ============================================================= -->
<!-- Console Preference Action, FU, FUImpl and FUGUI definitions   -->
<!-- ============================================================= -->

<!-- Action: ConsolePrefsAction -->

    <Action name="IntlPrefsAction">

        <FUDefinitionRef>
            <Reference mcName="IntlFU"/>
        </FUDefinitionRef>

        <DisplayInfo>
            <DisplayName key="SC_INTL_PREFS_DISP_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="title"/>
            <ShortDescription key="SC_INTL_PREFS_SHORT_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="title"/>
            <LongDescription key="SC_INTL_PREFS_LONG_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="title"/>
      	    <Icon size="medium" URL="com/tivoli/pf/sc/res/action_m.gif"/>
            <Icon size="small" URL="com/tivoli/pf/sc/res/action_s.gif"/>
       	    <Icon size="tiny" URL="com/tivoli/pf/sc/res/action_t.gif"/>
        </DisplayInfo>

    </Action>

    <Action name="ConsolePrefsAction">

        <FUDefinitionRef>
            <Reference mcName="ConsoleFU"/>
        </FUDefinitionRef>

        <DisplayInfo>
            <DisplayName key="SC_CONSOLE_PREFS_DISP_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="title"/>
            <ShortDescription key="SC_CONSOLE_PREFS_SHORT_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="title"/>
            <LongDescription key="SC_CONSOLE_PREFS_LONG_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="title"/>
      	    <Icon size="medium" URL="com/tivoli/pf/sc/res/action_m.gif"/>
            <Icon size="small" URL="com/tivoli/pf/sc/res/action_s.gif"/>
       	    <Icon size="tiny" URL="com/tivoli/pf/sc/res/action_t.gif"/>
        </DisplayInfo>

    </Action>

    <Action name="ColorPrefsAction">

        <FUDefinitionRef>
            <Reference mcName="ColorFU"/>
        </FUDefinitionRef>

        <DisplayInfo>
            <DisplayName key="SC_COLORS_FONTS_PREFS_DISP_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="title"/>
            <ShortDescription key="SC_COLORS_FONTS_PREFS_SHORT_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="title"/>
            <LongDescription key="SC_COLORS_FONTS_PREFS_LONG_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="title"/>
      	    <Icon size="medium" URL="com/tivoli/pf/sc/res/action_m.gif"/>
            <Icon size="small" URL="com/tivoli/pf/sc/res/action_s.gif"/>
       	    <Icon size="tiny" URL="com/tivoli/pf/sc/res/action_t.gif"/>
        </DisplayInfo>

    </Action>


<!-- FUDefinition: ConsolePrefsFU -->

    <FUDefinition GUIPlatform="all" name="IntlFU">

        <FUImplDefinitionRef>
            <Reference mcName="FUImpl"/>
        </FUImplDefinitionRef>

        <InputPropertyList>
            <Property name="PAGE_FUGUI_NAME">
                <Type>
                    <Persistent type="string"/>
                </Type>
                <TextValue> com.tivoli.pf.pfconsole.impl/1.1.4/IntlFUGUI </TextValue>
            </Property>
        </InputPropertyList>

        <CompletionValueList>
            <CompletionValue value="0"/>
            <CompletionValue value="1"/>
        </CompletionValueList>

        <DisplayInfo>
            <DisplayName key="SC_INTL_PREFS_DISP_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="title"/>
            <ShortDescription key="SC_INTL_PREFS_SHORT_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="title"/>
            <LongDescription key="SC_INTL_PREFS_LONG_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="title"/>
      	    <Icon size="medium" URL="com/tivoli/pf/sc/res/action_m.gif"/>
            <Icon size="small" URL="com/tivoli/pf/sc/res/action_s.gif"/>
       	    <Icon size="tiny" URL="com/tivoli/pf/sc/res/action_t.gif"/>
        </DisplayInfo>

    </FUDefinition>
	
    <FUDefinition GUIPlatform="all" name="ColorFU">

        <FUImplDefinitionRef>
            <Reference mcName="FUImpl"/>
        </FUImplDefinitionRef>

        <InputPropertyList>
            <Property name="PAGE_FUGUI_NAME">
                <Type>
                    <Persistent type="string"/>
                </Type>
                <TextValue> com.tivoli.pf.pfconsole.impl/1.1.4/ColorFUGUI </TextValue>
            </Property>
        </InputPropertyList>

        <CompletionValueList>
            <CompletionValue value="0"/>
            <CompletionValue value="1"/>
        </CompletionValueList>

        <DisplayInfo>
            <DisplayName key="SC_COLORS_FONTS_PREFS_DISP_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="title"/>
            <ShortDescription key="SC_COLORS_FONTS_PREFS_SHORT_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="title"/>
            <LongDescription key="SC_COLORS_FONTS_PREFS_LONG_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="title"/>
      	    <Icon size="medium" URL="com/tivoli/pf/sc/res/action_m.gif"/>
            <Icon size="small" URL="com/tivoli/pf/sc/res/action_s.gif"/>
       	    <Icon size="tiny" URL="com/tivoli/pf/sc/res/action_t.gif"/>
        </DisplayInfo>

    </FUDefinition>
	
    <FUDefinition GUIPlatform="all" name="ConsoleFU">

        <FUImplDefinitionRef>
            <Reference mcName="FUImpl"/>
        </FUImplDefinitionRef>

        <InputPropertyList>
            <Property name="PAGE_FUGUI_NAME">
                <Type>
                    <Persistent type="string"/>
                </Type>
                <TextValue> com.tivoli.pf.pfconsole.impl/1.1.4/ConsoleFUGUI </TextValue>
            </Property>
        </InputPropertyList>

        <CompletionValueList>
            <CompletionValue value="0"/>
            <CompletionValue value="1"/>
        </CompletionValueList>

        <DisplayInfo>
            <DisplayName key="SC_CONSOLE_PREFS_DISP_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="title"/>
            <ShortDescription key="SC_CONSOLE_PREFS_SHORT_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="title"/>
            <LongDescription key="SC_CONSOLE_PREFS_LONG_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="title"/>
      	    <Icon size="medium" URL="com/tivoli/pf/sc/res/action_m.gif"/>
            <Icon size="small" URL="com/tivoli/pf/sc/res/action_s.gif"/>
       	    <Icon size="tiny" URL="com/tivoli/pf/sc/res/action_t.gif"/>
        </DisplayInfo>

    </FUDefinition>
	
    <FUImplDefinition name="FUImpl">
        <FUImpl URL="com/tivoli/pf/sc/preference/ScPreferencePageImpl.class"/>
    </FUImplDefinition>

    <FUGUIDefinition name="IntlFUGUI">
        <FUGUIImpl platform="java2" URL="com/tivoli/pf/jc/preference/JcIntlPrefsPage.class"/>
    </FUGUIDefinition>

    <FUGUIDefinition name="ColorFUGUI">
        <FUGUIImpl platform="java2" URL="com/tivoli/pf/jc/preference/JcColorsFontsPrefsPage.class"/>
    </FUGUIDefinition>

    <FUGUIDefinition name="ConsoleFUGUI">
        <FUGUIImpl platform="java2" URL="com/tivoli/pf/jc/preference/JcConsolePrefsPage.class"/>
    </FUGUIDefinition>

<!-- ========================================================== -->
<!-- General Preferences Action Group                           -->
<!-- ========================================================== -->

<!-- ActionGroup: PFGeneralPreferences -->
    <ActionGroup name="PFGeneralPreferences">

         <ActionRef>
             <Reference mcName="IntlPrefsAction"/>
         </ActionRef>
         <ActionRef>
             <Reference mcName="ConsolePrefsAction"/>
         </ActionRef>
         <ActionRef>
             <Reference mcName="ColorPrefsAction"/>
         </ActionRef>

         <DisplayInfo>
             <DisplayName      key="SC_PREFERENCE_GENERAL_DISP_NAME"  URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="General" />
             <ShortDescription key="SC_PREFERENCE_GENERAL_SHORT_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="General"/>
             <LongDescription  key="SC_PREFERENCE_GENERAL_LONG_NAME"  URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="General Preferences" />

            <Icon size="medium" URL="com/tivoli/pf/sc/res/action_m.gif"/>
            <Icon size="small"  URL="com/tivoli/pf/sc/res/action_s.gif"/>
       	    <Icon size="tiny"   URL="com/tivoli/pf/sc/res/action_t.gif"/>
         </DisplayInfo>

    </ActionGroup>

<!-- ========================================================== -->
<!-- Task Preferences Action Group                              -->
<!-- ========================================================== -->

<!-- ActionGroup: PFTaskPreferences -->
    <ActionGroup name="PFTaskPreferences">

        <DisplayInfo>
            <DisplayName      key="SC_PREFERENCE_TASK_DISP_NAME"  URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="Task" />
            <ShortDescription key="SC_PREFERENCE_TASK_SHORT_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="Task"/>
            <LongDescription  key="SC_PREFERENCE_TASK_LONG_NAME"  URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="Task Preferences" />

            <Icon size="medium" URL="com/tivoli/pf/sc/res/action_m.gif"/>
            <Icon size="small"  URL="com/tivoli/pf/sc/res/action_s.gif"/>
       	    <Icon size="tiny"   URL="com/tivoli/pf/sc/res/action_t.gif"/>
         </DisplayInfo>

    </ActionGroup>

<!-- ========================================================== -->
<!-- Role Definition: ConsoleUsers                              -->
<!-- ========================================================== -->

	<Role name="ConsoleUsers">

           <BannerName URL="banner/default/banner.html"/>
           <!--<BannerName URL="http://njoshi:8000/mybanner/role1/banner.html"/>	-->

           <Authorizations>
              <ActionRef> <Reference package="com.tivoli.pf.pfconsole.impl" version="&PS_CONSOLE_COMP_VERSION;" mcName="CreatePortfolioAction"/> </ActionRef>
              <ActionRef> <Reference package="com.tivoli.pf.pfconsole.impl" version="&PS_CONSOLE_COMP_VERSION;" mcName="WelcomeDefault"/> </ActionRef>
              <ActionRef> <Reference package="com.tivoli.pf.pfconsole.impl" version="&PS_CONSOLE_COMP_VERSION;" mcName="Welcome"/> </ActionRef>
              <ActionRef> <Reference package="com.tivoli.pf.pfconsole.impl" version="&PS_CONSOLE_COMP_VERSION;" mcName="UserPreferenceAction"/> </ActionRef>
              <ActionRef> <Reference package="com.tivoli.pf.pfconsole.impl" version="&PS_CONSOLE_COMP_VERSION;" mcName="ConsolePrefsAction"/> </ActionRef>
              <ActionRef> <Reference package="com.tivoli.pf.pfconsole.impl" version="&PS_CONSOLE_COMP_VERSION;" mcName="ColorPrefsAction"/> </ActionRef>
              <ActionRef> <Reference package="com.tivoli.pf.pfconsole.impl" version="&PS_CONSOLE_COMP_VERSION;" mcName="IntlPrefsAction"/> </ActionRef>
           </Authorizations>

           <Portfolio>
             <!-- About PF -->
             <ActionGroupRef> <Reference package="com.tivoli.pf.pfconsole.impl" version="&PS_CONSOLE_COMP_VERSION;" mcName="AboutPF"/> </ActionGroupRef>
           </Portfolio>

           <DisplayInfo>
               <DisplayName key="SC_CONSOLE_ROLE_DISP" URL="com/tivoli/pf/sc/nls/ScActionResources.class"  defaultText="Tivoli Console User Role"/>
               <ShortDescription key="SC_CONSOLE_ROLE_SHORT" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="Tivoli Console User Role"/>
               <LongDescription key="SC_CONSOLE_ROLE_LONG" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="Role provides access to Tivoli Console internal actions, tasks and GUIs"/>
           </DisplayInfo>

	
           <UserPreferences>
               <ActionGroupRef> <Reference package="com.tivoli.pf.pfconsole.impl" version="&PS_CONSOLE_COMP_VERSION;" mcName="PFGeneralPreferences"/> </ActionGroupRef>
           </UserPreferences>

           <WelcomePage URL="welcome/default/welcome.html"/>
           <!--<WelcomePage URL="http://njoshi:8000/mywelcome/role1/welcome.html"/>	-->
	</Role>


<!-- ========================================================== -->
<!-- About Presentation Services Action Group                   -->
<!-- ========================================================== -->

<!-- Action Group: About PF Actions -->

    <ActionGroup name="AboutPF">
	
	<ActionRef>
	    <Reference mcName="Welcome"/>
	</ActionRef>
	
       <!-- <ActionRef>
	    <Reference mcName="WelcomeDefault"/>
	</ActionRef>
        -->

	<DisplayInfo>
	
	    <DisplayName key="SC_ABOUT_PF_ACTIONS_DISP_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="About the Tivoli Console"/>
	
	    <ShortDescription key="SC_ABOUT_PF_ACTIONS_SHORT_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="About the Tivoli Console"/>
    			
	    <LongDescription key="SC_ABOUT_PF_ACTIONS_LONG_NAME" URL="com/tivoli/pf/sc/nls/ScActionResources.class" defaultText="Information about the Presentation Framework."/>
	
      	    <Icon size="medium" URL="com/tivoli/pf/sc/res/action_m.gif"/>
            <Icon size="small" URL="com/tivoli/pf/sc/res/action_s.gif"/>
       	    <Icon size="tiny" URL="com/tivoli/pf/sc/res/action_t.gif"/>
	
 	</DisplayInfo>
    </ActionGroup>


<!-- ========================================================== -->
<!-- Welcome actions and FUDefinition                           -->
<!-- ========================================================== -->



<!-- Welcome Action File - This action loads the default welcome page. -->
       <Action name="WelcomeDefault">
                <FUDefinitionRef>
                        <Reference package="com.tivoli.pfdk.ful.impl" mcName="DisplayWebFile" version="&PS_FUL_IMPL_COMP_VERSION;"/>
                </FUDefinitionRef>
                <DefaultPropertyList>
                        <PropertyValue name="FILE_RESOURCE_KEY">
                                <TextValue>WELCOME_HTML</TextValue>
                        </PropertyValue>
                        <PropertyValue name="RESOURCE_BUNDLE_NAME">
                                <TextValue>welcome.WelcomeResources</TextValue>
                        </PropertyValue>
                </DefaultPropertyList>
                <DisplayInfo>
                  	<DisplayName key="WELCOME_DEFAULT" URL="welcome/WelcomeResources.class"
        		defaultText="Default Welcome"/>
                </DisplayInfo>
        </Action>

<!-- Welcome Action - Invokes the WelcomeFU to build the WelcomePage URL and load the DisplayHTMLFU -->

       <Action name="Welcome">
                <FUDefinitionRef>
                        <Reference mcName="WelcomeFU"/>
                </FUDefinitionRef>
                <DisplayInfo>
                  	<DisplayName key="WELCOME" URL="welcome/WelcomeResources.class"
        		defaultText="Welcome"/>
                </DisplayInfo>
        </Action>


<!-- Welcome FUDefinition -->

        <FUDefinition name="WelcomeFU" GUIPlatform="all">
                <FUImplDefinitionRef>
                        <Reference mcName="WelcomeFUImpl"/>
                </FUImplDefinitionRef>

                <CompletionValueList>
                <CompletionValue value="0"> </CompletionValue>
                </CompletionValueList>
        </FUDefinition>

<!-- Welcome FUImpl Definition -->
        <FUImplDefinition name="WelcomeFUImpl">
                <FUImpl URL="com/tivoli/pf/sc/welcome/ScWelcomeFUImpl.class"/>
        </FUImplDefinition>



<!-- =================================================== -->
<!-- 			    THE END 			 -->
<!-- =================================================== -->



</MCPackage>
