// --------------------------------------------------------------------
// Licensed Materials - Property of IBM
// 5698-TKS
// (C) Copyright IBM Corp. 2000   All Rights Reserved 
// 
// US Government Users Restricted Rights - Use, duplication, or
// disclosure restricted by GSA ADP Schedule Contract with 
// IBM Corp.
// --------------------------------------------------------------------

// --------------------------------------------------------------------
// START OF LIBRARY CODE
// --------------------------------------------------------------------

//*****************************************************************************
// Set Debug Mode (either hide or display errors)
//*****************************************************************************
// 1 - errors will be added to errorCollection and will pop up in a new window
//     to view
// 0 - errors will be added to errorCollection and no visible notice will 
//     be given
var debugMode        = 1;

//*****************************************************************************
// Initialize Global Var's
//*****************************************************************************

// style settings for visibility
var HIDDEN           = "hidden";
var VISIBLE          = "visible";

// Operating System (OS) settings 
var WIN              = "Microsoft Windows";
var OS2              = "IBM OS2";
var MAC              = "Macintosh";
var UNIX             = "Unix";

// browser settings (must match those set in IWcInternalConstants)
var MSIE             = "Microsoft Internet Explorer";
var NSNAV            = "Netscape Navigator";
var OPERA            = "Opera";
var WEBTV            = "WebTV";
var AOL              = "America Online/Microsoft Internet Explorer";

// for collecting and showing error messages.
var errorCollection  = "";
var errorCount       = 0 ;

// to handle for different paths to style and image objects
var coll             = "" ;
var styleObj         = "" ;
var imgObj           = "";

//*****************************************************************************
// Collect Browser Vendor and Version
// - using abstract from Netscape's Client Sniffer JavaScript
// (C) Netscape Communications 1999.  Permission granted to reuse and distribute. 
//*****************************************************************************
// ----------------- begin Netscape Client Sniffer Abstract--------------------

var agt              = navigator.userAgent.toLowerCase();
// Browser Version
// is_major = int value of browser version (left of decimal)
// is_minor = float value of browser version
var is_major         = parseInt(navigator.appVersion); 
var is_minor         = parseFloat(navigator.appVersion); 
// Browser Vendor
// Note: Opera and WebTV spoof Navigator.  We do strict client detection. 
//       If you want to allow spoofing, take out the tests for opera and webtv. 
var is_nav           = ((agt.indexOf('mozilla')!=-1) && (agt.indexOf('spoofer')==-1) 
                        && (agt.indexOf('compatible') == -1) && (agt.indexOf('opera')==-1) 
                        && (agt.indexOf('webtv')==-1)); 
var is_nav2          = (is_nav && (is_major == 2)); 
var is_nav3          = (is_nav && (is_major == 3)); 
var is_nav4          = (is_nav && (is_major == 4)); 
var is_nav4up        = (is_nav && (is_major >= 4)); 
var is_nav5up        = (is_nav && (is_major >= 5)); 

// Note: On IE5, these return 4, so use is_ie5up to detect IE5. 
var is_ie            = (agt.indexOf("msie") != -1); 
var is_ie3           = (is_ie && (is_major < 4)); 
var is_ie4           = (is_ie && (is_major == 4) && (agt.indexOf("msie 5.0")==-1) ); 
var is_ie4up         = (is_ie  && (is_major >= 4)); 
var is_ie5           = (is_ie && (is_major == 4) && (agt.indexOf("msie 5.0")!=-1) ); 
var is_ie5up         = (is_ie  && !is_ie3 && !is_ie4); 

// KNOWN BUG: On AOL4, returns false if IE3 is embedded browser 
// or if this is the first browser window opened.  Thus the 
// variables is_aol, is_aol3, and is_aol4 aren't 100% reliable. 
var is_aol           = (agt.indexOf("aol") != -1); 
var is_aol3          = (is_aol && is_ie3); 
var is_aol4          = (is_aol && is_ie4); 

var is_opera         = (agt.indexOf("opera") != -1); 
var is_webtv         = (agt.indexOf("webtv") != -1); 

//*****************************************************************************
// Operating System Check
// - critical checks: is_win, is_os2, is_mac, is_unix
//*****************************************************************************
var is_win           = ( (agt.indexOf("win")!=-1) || (agt.indexOf("16bit")!=-1) );
// NOTE: On Opera 3.0, the userAgent string includes "Windows 95/NT4" on all
//        Win32, so you can't distinguish between Win95 and WinNT.
var is_win95         = ((agt.indexOf("win95")!=-1) || (agt.indexOf("windows 95")!=-1));

// is this a 16 bit compiled version?
var is_win16         = ((agt.indexOf("win16")!=-1) || 
                        (agt.indexOf("16bit")!=-1) || (agt.indexOf("windows 3.1")!=-1) || 
                        (agt.indexOf("windows 16-bit")!=-1) );  

var is_win31         = ((agt.indexOf("windows 3.1")!=-1) || (agt.indexOf("win16")!=-1) ||
                        (agt.indexOf("windows 16-bit")!=-1));

// NOTE: Reliable detection of Win98 may not be possible. It appears that:
//       - On Nav 4.x and before you'll get plain "Windows" in userAgent.
//       - On Mercury client, the 32-bit version will return "Win98", but
//         the 16-bit version running on Win98 will still return "Win95".
var is_win98         = ((agt.indexOf("win98")!=-1) || (agt.indexOf("windows 98")!=-1));
var is_winnt         = ((agt.indexOf("winnt")!=-1) || (agt.indexOf("windows nt")!=-1));
var is_win32         = (is_win95 || is_winnt || is_win98 || 
                        ((is_major >= 4) && (navigator.platform == "Win32")) ||
                        (agt.indexOf("win32")!=-1) || (agt.indexOf("32bit")!=-1));

var is_os2           = ((agt.indexOf("os/2")!=-1) || 
                        (navigator.appVersion.indexOf("OS/2")!=-1) ||   
                        (agt.indexOf("ibm-webexplorer")!=-1));

var is_mac           = (agt.indexOf("mac")!=-1);
var is_mac68k        = (is_mac && ((agt.indexOf("68k")!=-1) || 
                         (agt.indexOf("68000")!=-1)));
var is_macppc        = (is_mac && ((agt.indexOf("ppc")!=-1) || 
                          (agt.indexOf("powerpc")!=-1)));

var is_sun           = (agt.indexOf("sunos")!=-1);
var is_sun4          = (agt.indexOf("sunos 4")!=-1);
var is_sun5          = (agt.indexOf("sunos 5")!=-1);
var is_suni86        = (is_sun && (agt.indexOf("i86")!=-1));
var is_irix          = (agt.indexOf("irix") !=-1);    // SGI
var is_irix5         = (agt.indexOf("irix 5") !=-1);
var is_irix6         = ((agt.indexOf("irix 6") !=-1) || (agt.indexOf("irix6") !=-1));
var is_hpux          = (agt.indexOf("hp-ux")!=-1);
var is_hpux9         = (is_hpux && (agt.indexOf("09.")!=-1));
var is_hpux10        = (is_hpux && (agt.indexOf("10.")!=-1));
var is_aix           = (agt.indexOf("aix") !=-1);      // IBM
var is_aix1          = (agt.indexOf("aix 1") !=-1);    
var is_aix2          = (agt.indexOf("aix 2") !=-1);    
var is_aix3          = (agt.indexOf("aix 3") !=-1);    
var is_aix4          = (agt.indexOf("aix 4") !=-1);    
var is_linux         = (agt.indexOf("inux")!=-1);
var is_sco           = (agt.indexOf("sco")!=-1) || (agt.indexOf("unix_sv")!=-1);
var is_unixware      = (agt.indexOf("unix_system_v")!=-1); 
var is_mpras         = (agt.indexOf("ncr")!=-1); 
var is_reliant       = (agt.indexOf("reliantunix")!=-1);
var is_dec           = ((agt.indexOf("dec")!=-1) || (agt.indexOf("osf1")!=-1) || 
                        (agt.indexOf("dec_alpha")!=-1) || (agt.indexOf("alphaserver")!=-1) || 
                        (agt.indexOf("ultrix")!=-1) || (agt.indexOf("alphastation")!=-1)); 
var is_sinix         = (agt.indexOf("sinix")!=-1);
var is_freebsd       = (agt.indexOf("freebsd")!=-1);
var is_bsd           = (agt.indexOf("bsd")!=-1);
var is_unix          = ((agt.indexOf("x11")!=-1) || is_sun || is_irix || is_hpux || 
                        is_sco ||is_unixware || is_mpras || is_reliant || 
                        is_dec || is_sinix || is_aix || is_linux || is_bsd || is_freebsd);

//*****************************************************************************
// JavaScript Version Check
//*****************************************************************************
var is_js; 
if (is_nav2 || is_ie3) is_js = 1.0 
else if (is_nav3 || is_opera) is_js = 1.1 
else if ((is_nav4 && (is_minor <= 4.05)) || is_ie4) is_js = 1.2 
else if ((is_nav4 && (is_minor > 4.05)) || is_ie5) is_js = 1.3 
else if (is_nav5) is_js = 1.4 
// NOTE: In the future, update this code when newer versions of JS 
// are released. For now, we try to provide some upward compatibility 
// so that future versions of Nav and IE will show they are at 
// *least* JS 1.x capable. Always check for JS version compatibility 
// with > or >=. 
else if (is_nav && (is_major > 5)) is_js = 1.4 
else if (is_ie && (is_major > 5)) is_js = 1.3 
// HACK: no idea for other browsers; always check for JS version with > or >= 
else is_js           = 0.0; 

// ------------------- end Netscape Client Sniffer Abstract -------------------

//*****************************************************************************
// Set Global Var's  and those to be returned, based on browser and 
// JavaScript versions
//*****************************************************************************

var ipAddress           = null;      // user's IP address
var screenResolution    = null;      // screen resolution in bits-per-pixel
var screenWidth         = null;      // screen width in pixels
var screenHeight        = null;      // screen height in pixels
// whether Java is enabled
var javaEnabled         = (is_js >= 1.1) ? navigator.javaEnabled() : null;     
var userLanguage        = null;      // default user language for system/browser
var userAgent           = agt;       // user agent

if ( is_ie ) // MSIE
{
   coll                 = "all." ;
   styleObj             = ".style" ;

   if (is_js >= 1.2)
   {
      screenWidth       = screen.width;
      screenHeight      = screen.height;
      screenResolution  = screen.colorDepth;
   }
   else
   {
       // S.O.L. until "document.body" object exists. Then use 
       // getScreenHeight() and getScreenWidth()
   }
   
   // default user language
   userLanguage         = navigator.userLanguage;

}
else // Netscape Navigator, webTV, Opera, etc.
{
   imgObj               = ".src";

   if (is_js >= 1.2)
   {
      screenWidth       = screen.width;
      screenHeight      = screen.height;
      screenResolution  = screen.pixelDepth;
   }
   else if ( is_win && is_nav && javaEnabled ) {   // try tapping into Java API
      // screen resolution and dimensions
      var toolkit       = java.awt.Toolkit.getDefaultToolkit();
      screenResolution  = toolkit.getScreenResolution();
      var screenSize    = toolkit.getScreenSize();
      screenWidth       = screenSize.width;
      screenHeight      = screenSize.height;
   }
   else  // guess based on window dimensions (no resolution available)
   {
      screenWidth       = window.outerWidth;
      screenHeight      = window.outerHeight;
   }
   // user's IP address
   if ( is_win && is_nav && javaEnabled )
   {
      ipAddress         = "" + java.net.InetAddress.getLocalHost().getHostAddress();
   }

   // default user language
   userLanguage         = navigator.language;
}

//*****************************************************************************
//
//*****************************************************************************

function getObject( obj )
{
   var theObj ;

   if( typeof obj == "string" )
   {
      theObj = eval( "document." + coll + obj + styleObj );
   }
   else
   {
      theObj = obj ;
   }

   return theObj ;
}

//*****************************************************************************
//
//*****************************************************************************

function getImgObject( obj )
{
   var theObj ;

   if( typeof obj == "string" )
   {
      theObj = eval( "document." + coll + obj + imgObj );
   }
   else
   {
      theObj = obj ;
   }

   return theObj ;
}

//*****************************************************************************
// NOTE: if is_ie, must be called after body of document has finished loading.
//       i.e. "document.body" must exist.
//*****************************************************************************

function getInnerWindowWidth()
{
   if (is_ie)
   {
      if (document.body)
         return document.body.clientWidth ;
      else
         return null;
   }
   else
   {
      return window.innerWidth ;
   }
}

//*****************************************************************************
// NOTE: if is_ie, must be called after body of document has finished loading.
//       i.e. "document.body" must exist.
//*****************************************************************************

function getInnerWindowHeight()
{
   if (is_ie)
   {
      if (document.body)
         return document.body.clientHeight ;
      else
         return null;
   }
   else
   {
      return window.innerHeight ;
   }
}

//*****************************************************************************
//
//*****************************************************************************
function getScreenWidth()
{
   if (screenWidth == null && is_ie) 
   {
      // Guess. Add assumed width of scroll bars to window width
      var innerWindowWidth = getInnerWindowWidth();
      if (innerWindowWidth)
         screenWidth = innerWindowWidth + 20;
   }
   return screenWidth;
}

//*****************************************************************************
//
//*****************************************************************************
function getScreenHeight()
{
   if (screenHeight == null && is_ie) 
   {
      // Guess. Add assumed width of scroll bars and upper toolbars 
      // to window width
      var innerWindowHeight = getInnerWindowHeight();
      if (innerWindowHeight)
         screenHeight = innerWindowHeight + 70;
   }
   return screenHeight;
}

//*****************************************************************************
// NOTE: Will return null for IE browsers with JavaScript version < 1.2 and 
//       Navigator browsers with JavaScript < 1.2 and Java disabled.
//*****************************************************************************
function getScreenResolution()
{
   return screenResolution;
}

//*****************************************************************************
// NOTE: Will return null for IE browsers with JavaScript version < 1.2 and 
//       Navigator browsers with JavaScript < 1.2 and Java disabled.
//*****************************************************************************
function getNumAvailableColors()
{
   var res = getScreenResolution();
   if (res)
      return Math.pow(2, res);
   else
      return null;
}


//*****************************************************************************
// NOTE: Will return null for IE browsers and Navigator browsers in which 
//       Java is not enabled.
//*****************************************************************************
function getIpAddress()
{
   return ipAddress;
}

//*****************************************************************************
//
//*****************************************************************************
function getUserLanguage()
{
   return userLanguage;
}

//*****************************************************************************
//
//*****************************************************************************
function getUserAgent()
{
   return userAgent;
}

//*****************************************************************************
//
//*****************************************************************************

function getBrowserVendor()
{
   if (is_aol)
   {
      return AOL;
   }
   else if (is_ie)
   {
      return MSIE;
   }
   else if (is_opera)
   {
      return OPERA;
   }
   else if (is_webtv)
   {
      return WEBTV;
   }
   else if (is_nav)
   {
      return NSNAV;
   }
   else
   {
      return null;
   }

}
//*****************************************************************************
//
//*****************************************************************************

function getBrowserVersion()
{
   if (is_ie && (is_minor < 5.0) && is_ie5up)
   {
      return "5.0";
   }
   else
   {
      return is_minor;
   }
}

//*****************************************************************************
//
//*****************************************************************************

function getOSVendor()
{
   if (is_win)
   {
      return WIN;
   }
   else if (is_os2)
   {
      return OS2;
   }
   else if (is_mac)
   {
      return MAC;
   }
   else if (is_unix)
   {
      return UNIX;
   }
   return null;
}

//*****************************************************************************
//
//*****************************************************************************

function getOSVersion()
{
   return null;
}

//*****************************************************************************
//
//*****************************************************************************

function getObjLeft( obj )
{
   if (is_ie)
   {
      return obj.pixelLeft ;
   }
   else
   {
      return obj.left ;
   }
}

//*****************************************************************************
//
//*****************************************************************************

function getObjTop( obj )
{
   if (is_ie)
   {
      return obj.pixelTop ;
   }
   else
   {
      return obj.top ;
   }
}

//*****************************************************************************
//
//*****************************************************************************

function getObjWidth( obj )
{
   if (is_ie)
   {
      return obj.clientWidth ;
   }
   else
   {
      return obj.clip.width ;
   }
}

//*****************************************************************************
//
//*****************************************************************************

function getObjHeight( obj )
{
   if (is_ie)
   {
      return obj.clientHeight ;
   }
   else
   {
      return obj.clip.height ;
   }
}

//*****************************************************************************
//
//*****************************************************************************

function shiftTo( obj, x, y )
{
   var theObj = getObject( obj );

   if (is_ie)
   {
      theObj.pixelLeft = x ;
      theObj.pixelTop  = y ;
   }
   else
   {
      theObj.moveTo( x, y );
   }
}

//*****************************************************************************
//
//*****************************************************************************

function shiftBy( obj, delX, delY )
{
   var theObj = getObject( obj );

   if (is_ie)
   {
      theObj.pixelLeft += delX ;
      theObj.pixelTop  += delY ;
   }
   else
   {
      theObj.moveBy( delX, delY );
   }
}

//*****************************************************************************
//
//*****************************************************************************

function setZOrder( obj, zOrder )
{
   var theObj = getObject( obj );

   theObj.zIndex = zOrder ;
}

//*****************************************************************************
//
//*****************************************************************************

function show( obj )
{
   var theObj = getObject( obj );

   theObj.visibility = VISIBLE ;
}

//*****************************************************************************
//
//*****************************************************************************

function hide( obj )
{
   var theObj = getObject( obj );

   theObj.visibility = HIDDEN ;
}

//*****************************************************************************
//
//*****************************************************************************

function handleResize()
{
   location.reload() ;

   return false ;
}

//*****************************************************************************
//
//*****************************************************************************

function printError( msg, url, line )
{
   errorCollection += "ERROR_MESSAGE:" + msg + "\n"
                    + "ERROR_URL:" + url + "\n"
                    + "ERROR_LINE:" + line + "\n";

   var w = window.open( "" ,
                        "error" + errorCount++ ,
                        "resizeable,status,width=625,height=400" );

   var d = w.document ;

   d.write( '<DIV>' );
   d.write( '<BR>URL: ' + url );
   d.write( '<BR>LINE: ' + line );
   d.write( '<BR>ERROR MESSAGE:' + msg );
   d.write( '</DIV>' );
   d.close() ;

   return true ;
}

//*****************************************************************************
//
//*****************************************************************************

function hideError( msg, url, line )
{
   errorCollection += "ERROR_MESSAGE:" + msg + "\n"
                    + "ERROR_URL:" + url + "\n"
                    + "ERROR_LINE:" + line + "\n";
   return true;
}

function getErrorCollection()
{
   return errorCollection;
}

//*****************************************************************************
// Set Event Handlers
//*****************************************************************************

if( is_nav )
{
   window.captureEvents( Event.RESIZE );
   window.captureEvents( Event.ONERROR );
}

window.onresize = handleResize ;

// use printError when in debug mode
if ( debugMode == 1 )
{
   document.onerror = printError ;
   window.onerror = printError ;
}
else 
{
   document.onerror = hideError ;
   window.onerror = hideError ;
}


// --------------------------------------------------------------------
// END OF LIBRARY CODE
// --------------------------------------------------------------------
