<?xml version="1.0" encoding="US-ASCII"?>
<!DOCTYPE MCPackage SYSTEM "file:com/tivoli/pf/mcr/dtd/mcr.dtd" >
<!--
  *********************************************************************
  * Licensed Materials - Property of IBM
  * 5698-TKS
  * (C) Copyright IBM Corp 1999, 2000 
  * All rights reserved
  *
  * US Government Users Restricted Rights - Use, duplication, or
  * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
  *********************************************************************
-->

<!--
  *********************************************************************
  * The above copyright notice applies to this XML file as well
  *  as any other source/text files generated from this file.
  *********************************************************************
-->
<MCPackage name="MACImpl"
           version="5.1.1"
           packageType="implementation"
           helpDefined="false">

  <Dependency name="MACNLS"
              version="5.1.0"
              packageType="internationalization"/>

  <Dependency name="PsCommonInt" version="1.1.4" packageType="interface"/>

  <CompatibleUpgradeOf version="5.1.0"/>

<!-- Security Administrator
     - Roles
     - Accounts
     - Users
     - Resource assignments
-->
  <Role name="MACSecurityUser">
    <Authorizations>
      <ActionRef>
        <Reference mcName="InstanceEditor"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="NewInstanceEditor"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="SelfEditorEX"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="TMD Filter"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="RoleEditorEX"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="RoleEditor"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="PersonDirectory"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="PrincipalEditor"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="PrincipalEditorEX"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="NewPersonEditor"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="PersonEditorEX"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="PersonEditor"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="CreatePerson"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="CreateRole"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="NewAccountEditor"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="AccountEditor"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="NewOUEditor"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="OUEditor"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="CapabilityEditor"/>
      </ActionRef>
    </Authorizations>

    <Portfolio>
      <ActionGroupRef>
        <Reference mcName="Security"/>
      </ActionGroupRef>
    </Portfolio>

    <DisplayInfo>
      <DisplayName key="SECURITY_ROLE"
                   URL="com/tivoli/core/console/common/abstractfu/AbstractResources.class"
                   defaultText="Access to all tasks within the Administer Security task group. Can perform security administration functions."/>
    </DisplayInfo>
  </Role>

<!-- Self
     - Edit self and accounts
-->
  <Role name="MACLimitedSecurityUser">
    <Authorizations>

      <ActionRef>
	<Reference mcName="TMD Filter"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="PrincipalEditor"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="PrincipalEditorEX"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="PersonEditorEX"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="PersonEditor"/>
      </ActionRef>
     <ActionRef>
       <Reference mcName="SelfEditorEX"/>
     </ActionRef>
      <ActionRef>
	<Reference mcName="NewAccountEditor"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="AccountEditor"/>
      </ActionRef>
    </Authorizations>

    <Portfolio>
      <ActionGroupRef>
        <Reference mcName="Security"/>
      </ActionGroupRef>
    </Portfolio>

    <DisplayInfo>
      <DisplayName key="LIMIT_SECURITY_ROLE"
                   URL="com/tivoli/core/console/common/abstractfu/AbstractResources.class"
                   defaultText="Access to View User Properties and Search Security tasks. Can view personal security information and search for security resources."/>
    </DisplayInfo>
  </Role>


<!-- Commented out for Release 1
  <Role name="MACSelfSecurityUser">
    <Authorizations>
      <ActionRef>
	<Reference mcName="PersonEditor"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="SelfEditorEX"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="NewAccountEditor"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="AccountEditor"/>
      </ActionRef>
    </Authorizations>

    <Portfolio>
      <ActionGroupRef>
        <Reference mcName="Security"/>
      </ActionGroupRef>
    </Portfolio>

    <DisplayInfo>
      <DisplayName key="SELF_SECURITY_ROLE"
                   URL="com/tivoli/core/console/common/abstractfu/AbstractResources.class"
                   defaultText="Access to the View User Properties task. Can view personal security information."/>
    </DisplayInfo>
  </Role>
-->


<!-- ORB Administrator
     - ORBs
     - Orbsets
     - Components
-->
  <Role name="MACOrbUser">
    <Authorizations>
      <ActionRef>
        <Reference mcName="ComponentProperties"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="Config"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="ConfigDetails"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="Dcm"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="DcmProps"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="DcmPropsAdd"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="NELConfig"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="GatewaySNMPConfig"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="GatewayIPConfig"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="EditGatewayScope"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="GatewayBrowseOrbs"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="TESOrb"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="TESOrbSet"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="IPProperties"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="Filter"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="OrbChooser"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="OrbsetFilter"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="OrbMaintenance"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="OrbConfig"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="OrbShutdown"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="OrbRecycle"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="OrbsetConfig"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="OrbsetCreate"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="ComponentRestore"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="ComponentBackoff"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="ComponentShutdown"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="ComponentStartup"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="ComponentUninstall"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="ComponentInstall"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="ComponentUpgrade"/>
      </ActionRef>
      <ActionRef>
	  <Reference mcName="IPConfigBrowser"/>
      </ActionRef>
      <ActionRef>
	  <Reference mcName="CreateIPAddress"/>
      </ActionRef>
      <ActionRef>
	  <Reference mcName="CreateIPWildcard"/>
      </ActionRef>
      <ActionRef>
	  <Reference mcName="CreateNAT"/>
      </ActionRef>
      <ActionRef>
	  <Reference mcName="EditIPAddress"/>
      </ActionRef>
      <ActionRef>
	  <Reference mcName="EditIPDefaults"/>
      </ActionRef>
    </Authorizations>

    <Portfolio>
      <ActionGroupRef>
        <Reference mcName="KernelAdministration"/>
      </ActionGroupRef>
    </Portfolio>

    <DisplayInfo>
      <DisplayName key="ORB_ROLE"
                   URL="com/tivoli/core/console/common/abstractfu/AbstractResources.class"
                   defaultText="Access to Manage ORBs, View Data Connections, and View SNMP Configuration tasks. Can perform ORB, ORB set, component, and data connection administration functions."/>
    </DisplayInfo>
  </Role>


<!-- Logging Administrator
     - Trace and Message Logging
-->
  <Role name="MACLoggingUser">
    <Authorizations>
      <ActionRef>
        <Reference mcName="Dcm"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="DcmProps"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="DcmPropsAdd"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="Filter"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="OrbChooser"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="OrbsetFilter"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="OrbMaintenance"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="View All Logs"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="View Translated Logs"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="Configure Logging"/>
      </ActionRef>
    </Authorizations>

    <Portfolio>
      <ActionGroupRef>
        <Reference mcName="TivoliRASActionGroup"/>
      </ActionGroupRef>
    </Portfolio>

    <DisplayInfo>
      <DisplayName key="LOGGING_ROLE"
                   URL="com/tivoli/core/console/common/abstractfu/AbstractResources.class"
                   defaultText="Access to all tasks within the Administer Logging task group. Can perform logging administration functions."/>
    </DisplayInfo>
  </Role>


<!-- Resource Administrator
     - Directory
     - Databases
-->
  <Role name="MACResourceUser">
    <Authorizations>
      <ActionRef>
        <Reference mcName="DirContextAttributes"/>
      </ActionRef>
<!-- Commented out for Release 1
      <ActionRef>
        <Reference mcName="DirContextSearch"/>
      </ActionRef>
-->
      <ActionRef>
        <Reference mcName="ComponentProperties"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="CreateSubdirectory"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="Directory"/>
      </ActionRef>
<!-- Commented out for Release 1
      <ActionRef>
        <Reference mcName="DirectoryChooser"/>
      </ActionRef>
-->
<!-- Commented out for Release 1
      <ActionRef>
        <Reference mcName="AddLDAPDirectory"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="AddFederatedDirectory"/>
      </ActionRef>
-->
      <ActionRef>
        <Reference mcName="Filter"/>
      </ActionRef>
<!-- Commented out for Release 1
      <ActionRef>
        <Reference mcName="SmartSetBrowse"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="NavigateSmartSet"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="CreateSmartSet"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="EditSmartSet"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="CopySmartSet"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="ViewProvider"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="CreateSubSmartSet"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="CreateJoinedSmartSet"/>
      </ActionRef>
-->
    </Authorizations>

    <Portfolio>
      <ActionGroupRef>
        <Reference mcName="KernelAdministration"/>
      </ActionGroupRef>
    </Portfolio>

    <DisplayInfo>
      <DisplayName key="RESOURCE_ROLE"
                   URL="com/tivoli/core/console/common/abstractfu/AbstractResources.class"
                   defaultText="Access to the View Directory task. Can perform directory administration functions."/>
    </DisplayInfo>
  </Role>


<!-- Install Administrator
     - currently, everything
-->
  <Role name="MACInstallUser">
    <Authorizations>
      <ActionRef>
        <Reference mcName="DirContextAttributes"/>
      </ActionRef>
<!-- Commented out for Release 1
      <ActionRef>
        <Reference mcName="DirContextSearch"/>
      </ActionRef>
-->
      <ActionRef>
        <Reference mcName="ComponentProperties"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="SelfEditorEX"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="Config"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="ConfigDetails"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="Dcm"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="DcmProps"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="DcmPropsAdd"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="NELConfig"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="GatewaySNMPConfig"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="GatewayIPConfig"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="EditGatewayScope"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="GatewayBrowseOrbs"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="CreateSubdirectory"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="Directory"/>
      </ActionRef>
<!-- Commented out for Release 1
      <ActionRef>
        <Reference mcName="DirectoryChooser"/>
      </ActionRef>
-->
<!-- Commented out for Release 1
      <ActionRef>
        <Reference mcName="AddLDAPDirectory"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="AddFederatedDirectory"/>
      </ActionRef>
-->
      <ActionRef>
        <Reference mcName="TESOrb"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="TESOrbSet"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="IPProperties"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="SelectComponents"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="UpgradeComponent"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="VersionedComponentProps"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="Filter"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="OrbChooser"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="OrbsetFilter"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="OrbMaintenance"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="OrbConfig"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="OrbShutdown"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="OrbRecycle"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="OrbsetConfig"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="OrbsetCreate"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="ComponentRestore"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="ComponentBackoff"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="ComponentShutdown"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="ComponentStartup"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="ComponentUninstall"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="ComponentInstall"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="ComponentUpgrade"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="Namespaces"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="CreateNamespace"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="CreateOrbset"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="AllComponents"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="View All Logs"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="View Translated Logs"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="Configure Logging"/>
      </ActionRef>
<!-- Commented out for Release 1
      <ActionRef>
        <Reference mcName="SmartSetBrowse"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="NavigateSmartSet"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="CreateSmartSet"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="EditSmartSet"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="CopySmartSet"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="ViewProvider"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="CreateSubSmartSet"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="CreateJoinedSmartSet"/>
      </ActionRef>
-->

      <ActionRef>
        <Reference mcName="InstanceEditor"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="NewInstanceEditor"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="TMD Filter"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="RoleEditorEX"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="RoleEditor"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="PersonDirectory"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="PrincipalEditor"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="PrincipalEditorEX"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="NewPersonEditor"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="PersonEditorEX"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="PersonEditor"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="CreatePerson"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="CreateRole"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="NewAccountEditor"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="AccountEditor"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="NewOUEditor"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="OUEditor"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="CapabilityEditor"/>
      </ActionRef>
      <ActionRef>
	  <Reference mcName="IPConfigBrowser"/>
      </ActionRef>
      <ActionRef>
	  <Reference mcName="CreateIPAddress"/>
      </ActionRef>
      <ActionRef>
	  <Reference mcName="CreateIPWildcard"/>
      </ActionRef>
      <ActionRef>
	  <Reference mcName="CreateNAT"/>
      </ActionRef>
      <ActionRef>
	  <Reference mcName="EditIPAddress"/>
      </ActionRef>
      <ActionRef>
	  <Reference mcName="EditIPDefaults"/>
      </ActionRef>

    </Authorizations>

    <Portfolio>
      <ActionGroupRef>
        <Reference mcName="KernelAdministration"/>
      </ActionGroupRef>
      <ActionGroupRef>
        <Reference mcName="Security"/>
      </ActionGroupRef>
      <ActionGroupRef>
        <Reference mcName="TivoliRASActionGroup"/>
      </ActionGroupRef>
    </Portfolio>

    <DisplayInfo>
      <DisplayName key="INSTALL_ROLE"
                   URL="com/tivoli/core/console/common/abstractfu/AbstractResources.class"
                   defaultText="Access to all tasks within all task groups. Can perform all system administration functions."/>
    </DisplayInfo>
  </Role>


<!-- Senior Administrator
     - everything
-->
  <Role name="MACSeniorUser">
    <Authorizations>
      <ActionRef>
        <Reference mcName="Dcm"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="DcmProps"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="DcmPropsAdd"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="DirContextAttributes"/>
      </ActionRef>
<!-- Commented out for Release 1
      <ActionRef>
        <Reference mcName="DirContextSearch"/>
      </ActionRef>
-->
      <ActionRef>
        <Reference mcName="ComponentProperties"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="SelfEditorEX"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="Config"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="ConfigDetails"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="NELConfig"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="GatewaySNMPConfig"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="GatewayIPConfig"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="EditGatewayScope"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="GatewayBrowseOrbs"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="CreateSubdirectory"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="Directory"/>
      </ActionRef>
<!-- Commented out for Release 1
      <ActionRef>
        <Reference mcName="DirectoryChooser"/>
      </ActionRef>
-->
<!-- Commented out for Release 1
      <ActionRef>
        <Reference mcName="AddLDAPDirectory"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="AddFederatedDirectory"/>
      </ActionRef>
-->
      <ActionRef>
        <Reference mcName="TESOrb"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="TESOrbSet"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="IPProperties"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="SelectComponents"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="UpgradeComponent"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="VersionedComponentProps"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="Filter"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="OrbChooser"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="OrbsetFilter"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="OrbMaintenance"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="OrbConfig"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="OrbShutdown"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="OrbRecycle"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="OrbsetConfig"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="OrbsetCreate"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="ComponentRestore"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="ComponentBackoff"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="ComponentShutdown"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="ComponentStartup"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="ComponentUninstall"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="ComponentInstall"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="ComponentUpgrade"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="Namespaces"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="CreateNamespace"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="CreateOrbset"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="AllComponents"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="View All Logs"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="View Translated Logs"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="Configure Logging"/>
      </ActionRef>
<!-- Commented out for Release 1
      <ActionRef>
        <Reference mcName="SmartSetBrowse"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="NavigateSmartSet"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="CreateSmartSet"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="EditSmartSet"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="CopySmartSet"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="ViewProvider"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="CreateSubSmartSet"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="CreateJoinedSmartSet"/>
      </ActionRef>
-->
      <ActionRef>
        <Reference mcName="InstanceEditor"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="NewInstanceEditor"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="TMD Filter"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="RoleEditorEX"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="RoleEditor"/>
      </ActionRef>
      <ActionRef>
        <Reference mcName="PersonDirectory"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="PrincipalEditor"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="PrincipalEditorEX"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="NewPersonEditor"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="PersonEditorEX"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="PersonEditor"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="CreatePerson"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="CreateRole"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="NewAccountEditor"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="AccountEditor"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="NewOUEditor"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="OUEditor"/>
      </ActionRef>
      <ActionRef>
	<Reference mcName="CapabilityEditor"/>
      </ActionRef>
      <ActionRef>
	  <Reference mcName="IPConfigBrowser"/>
      </ActionRef>
      <ActionRef>
	  <Reference mcName="CreateIPAddress"/>
      </ActionRef>
      <ActionRef>
	  <Reference mcName="CreateIPWildcard"/>
      </ActionRef>
      <ActionRef>
	  <Reference mcName="CreateNAT"/>
      </ActionRef>
      <ActionRef>
	  <Reference mcName="EditIPAddress"/>
      </ActionRef>
      <ActionRef>
	  <Reference mcName="EditIPDefaults"/>
      </ActionRef>

    </Authorizations>

    <Portfolio>
      <ActionGroupRef>
        <Reference mcName="KernelAdministration"/>
      </ActionGroupRef>
      <ActionGroupRef>
        <Reference mcName="Security"/>
      </ActionGroupRef>
      <ActionGroupRef>
        <Reference mcName="TivoliRASActionGroup"/>
      </ActionGroupRef>
    </Portfolio>

    <DisplayInfo>
      <DisplayName key="SENIOR_ROLE"
                   URL="com/tivoli/core/console/common/abstractfu/AbstractResources.class"
                   defaultText="Access to all tasks within all task groups. Can perform all system administration functions."/>
    </DisplayInfo>
  </Role>


  <ActionGroup name="KernelAdministration">
    <ActionRef>
      <Reference mcName="OrbMaintenance"/>
    </ActionRef>
    <ActionRef>
      <Reference mcName="Namespaces"/>
    </ActionRef>
    <ActionRef>
      <Reference mcName="AllComponents"/>
    </ActionRef>
    <ActionRef>
      <Reference mcName="Directory"/>
    </ActionRef>
<!-- Commented out for Release 1
    <ActionRef>
      <Reference mcName="SmartSetBrowse"/>
    </ActionRef>
-->
    <ActionRef>
      <Reference mcName="Dcm"/>
    </ActionRef>
    <ActionRef>
      <Reference mcName="IPConfigBrowser"/>
    </ActionRef>
    <DisplayInfo>
      <DisplayName key="TIVOLI_ACTION_GROUP"
                   URL="com/tivoli/core/console/common/abstractfu/AbstractResources.class"
                   defaultText="Administer Management Software"/>
    </DisplayInfo>
  </ActionGroup>

  <Action name="Dcm">
    <FUDefinitionRef>
      <Reference mcName="DcmFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="DCM"
                   URL="com/tivoli/core/console/dcm/DcmResources.class"
                   defaultText="View Data Connections"/>
    </DisplayInfo>
  </Action>

  <Action name="DcmProps">
    <FUDefinitionRef>
      <Reference mcName="DcmPropsFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="DCM_PROPERTIES"
                   URL="com/tivoli/core/console/dcm/DcmResources.class"
                   defaultText="Edit"/>
    </DisplayInfo>
  </Action>

  <Action name="DcmPropsAdd">
    <FUDefinitionRef>
      <Reference mcName="DcmPropsAddFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="DCM_PROPERTIES"
                   URL="com/tivoli/core/console/dcm/DcmResources.class"
                   defaultText="Edit"/>
    </DisplayInfo>
  </Action>

  <Action name="Directory">
    <FUDefinitionRef>
      <Reference mcName="DirectoryFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="DIRECTORY"
                   URL="com/tivoli/core/console/directory/DirectoryResources.class"
                   defaultText="View Directory"/>
    </DisplayInfo>
  </Action>

<!-- Commented out for Release 1
  <Action name="DirectoryChooser">
    <FUDefinitionRef>
      <Reference mcName="DirectoryChooserFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="DIRECTORY_CHOOSER"
                   URL="com/tivoli/core/console/directory/DirectoryResources.class"
                   defaultText="Directory Chooser"/>
    </DisplayInfo>
  </Action>
-->

  <Action name="DirContextAttributes">
    <FUDefinitionRef>
      <Reference mcName="DirContextAttributesFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="DIRCONTEXT_ACTION"
                   URL="com/tivoli/core/console/directory/DirectoryResources.class"
                   defaultText="Directory Attributes"/>
    </DisplayInfo>
  </Action>

<!-- Commented out for Release 1
  <Action name="DirContextSearch">
    <FUDefinitionRef>
      <Reference mcName="DirContextSearchFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="SEARCH"
                   URL="com/tivoli/core/console/directory/DirectoryResources.class"
                   defaultText="Directory Attributes Search"/>
    </DisplayInfo>
  </Action>
-->

<!-- Commented out for Release 1
  <Action name="AddFederatedDirectory">
    <FUDefinitionRef>
      <Reference mcName="AddFederatedDirectoryFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="ADD_FEDERATED"
                   URL="com/tivoli/core/console/directory/DirectoryResources.class"
                   defaultText="Add Federated Directories"/>
    </DisplayInfo>
  </Action>
-->

<!-- Commented out for Release 1
  <Action name="AddLDAPDirectory">
    <FUDefinitionRef>
      <Reference mcName="AddLDAPDirectoryFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="ADD_LDAP"
                   URL="com/tivoli/core/console/directory/DirectoryResources.class"
                   defaultText="Mount LDAP Directory"/>
    </DisplayInfo>
  </Action>
-->

  <Action name="CreateSubdirectory">
    <FUDefinitionRef>
      <Reference mcName="CreateSubdirectoryFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="CREATE_SUBDIR"
                   URL="com/tivoli/core/console/directory/DirectoryResources.class"
                   defaultText="Create Subdirectory"/>
    </DisplayInfo>
  </Action>

  <Action name="ComponentProperties">
    <FUDefinitionRef>
      <Reference mcName="ComponentPropertiesFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="COMPONENT_PROPERTIES"
                   URL="com/tivoli/core/console/component/ComponentResources.class"
                   defaultText="View Properties"/>
    </DisplayInfo>
  </Action>

  <Action name="Namespaces">
    <FUDefinitionRef>
      <Reference mcName="NamespacesFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="NAMESPACES_TITLE"
                   URL="com/tivoli/core/console/mmcd/DistributionResources.class"
                   defaultText="Deploy to ORB Sets"/>
    </DisplayInfo>
  </Action>

  <Action name="CreateNamespace">
    <FUDefinitionRef>
      <Reference mcName="CreateNamespaceFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="CREATE_NAMESPACE"
                   URL="com/tivoli/core/console/mmcd/DistributionResources.class"
                   defaultText="Create Namespace"/>
    </DisplayInfo>
  </Action>

  <Action name="CreateOrbset">
    <FUDefinitionRef>
      <Reference mcName="CreateOrbsetFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="CREATE_ORBSET"
                   URL="com/tivoli/core/console/mmcd/DistributionResources.class"
                   defaultText="Create ORB Set"/>
    </DisplayInfo>
  </Action>

  <Action name="AllComponents">
    <FUDefinitionRef>
      <Reference mcName="AllComponentsFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="DEPOT"
                   URL="com/tivoli/core/console/mmcd/DistributionResources.class"
                   defaultText="View Component Depot"/>
    </DisplayInfo>
  </Action>

  <Action name="SelectComponents">
    <FUDefinitionRef>
      <Reference mcName="SelectComponentsFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="SELECT_COMPONENTS"
                   URL="com/tivoli/core/console/mmcd/DistributionResources.class"
                   defaultText="Deploy Components"/>
    </DisplayInfo>
  </Action>

  <Action name="UpgradeComponent">
    <FUDefinitionRef>
      <Reference mcName="UpgradeComponentFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="UPGRADE_COMPONENT"
                   URL="com/tivoli/core/console/mmcd/DistributionResources.class"
                   defaultText="Upgrade"/>
    </DisplayInfo>
  </Action>

  <Action name="VersionedComponentProps">
    <FUDefinitionRef>
      <Reference mcName="VersionedComponentPropsFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="COMPONENT_PROPERTIES"
                   URL="com/tivoli/core/console/mmcd/DistributionResources.class"
                   defaultText="View Properties"/>
    </DisplayInfo>
  </Action>

  <Action name="TESOrb">
    <FUDefinitionRef>
      <Reference mcName="TESOrbFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="SHOW_TES_INFORMATION"
                   URL="com/tivoli/core/console/tes/TESResourceBundle.class"
                   defaultText="Show Messaging Service Statistics"/>
    </DisplayInfo>
  </Action>

  <Action name="TESOrbSet">
    <FUDefinitionRef>
      <Reference mcName="TESOrbSetFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="SHOW_TES_SUMMARY"
                   URL="com/tivoli/core/console/tes/TESResourceBundle.class"
                   defaultText="Show Messaging Service Summary"/>
    </DisplayInfo>
  </Action>

  <Action name="IPProperties">
    <FUDefinitionRef>
      <Reference mcName="IPPropertiesFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="SHOW_IP_PROPERTIES"
                   URL="com/tivoli/core/console/ip/IPResourceBundle.class"
                   defaultText="Show IPDriver Properties"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="DcmFU">
    <FUImplDefinitionRef>
      <Reference mcName="DcmFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="Name">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="DcmFUImpl">
    <FUImpl URL="com/tivoli/core/console/dcm/DcmFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="DcmFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/dcm/DcmFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcdcm_win_navigatedcm"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <FUDefinition name="DcmPropsAddFU">
    <FUImplDefinitionRef>
      <Reference mcName="DcmPropertiesAddFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="Name">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="DcmPropertiesAddFUImpl">
    <FUImpl URL="com/tivoli/core/console/dcm/DcmPropertiesFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="DcmPropertiesAddFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/dcm/DcmPropertiesFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcdcm_dlg_adddcm"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <FUDefinition name="DcmPropsFU">
    <FUImplDefinitionRef>
      <Reference mcName="DcmPropertiesFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="Name">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="DcmPropertiesFUImpl">
    <FUImpl URL="com/tivoli/core/console/dcm/DcmPropertiesFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="DcmPropertiesFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/dcm/DcmPropertiesFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcdcm_dlg_editdcm"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <FUDefinition name="DirectoryFU">
    <FUImplDefinitionRef>
      <Reference mcName="DirectoryFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="Name">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="DirectoryFUImpl">
    <FUImpl URL="com/tivoli/core/console/directory/DirectoryFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="DirectoryFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/directory/DirectoryFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcdirectory_win_navigate"/>
    </DisplayInfo>
  </FUGUIDefinition>

<!-- Commented out for Release 1
  <FUDefinition name="DirectoryChooserFU">
    <FUImplDefinitionRef>
      <Reference mcName="DirectoryChooserFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="Name">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="DirectoryChooserFUImpl">
    <FUImpl URL="com/tivoli/core/console/directory/DirectoryChooserFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="DirectoryChooserFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/directory/DirectoryChooserFUGUI.class"/>
  </FUGUIDefinition>
-->

  <FUDefinition name="DirContextAttributesFU">
    <FUImplDefinitionRef>
      <Reference mcName="DirContextAttributesFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="Name">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="DirContextAttributesFUImpl">
    <FUImpl URL="com/tivoli/core/console/directory/DirContextAttributesFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="DirContextAttributesFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/directory/DirContextAttributesFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcdirectory_win_attributes"/>
    </DisplayInfo>
  </FUGUIDefinition>

<!-- Commented out for Release 1
  <FUDefinition name="DirContextSearchFU">
    <FUImplDefinitionRef>
      <Reference mcName="DirContextSearchFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="Name">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="DirContextSearchFUImpl">
    <FUImpl URL="com/tivoli/core/console/directory/DirContextSearchFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="DirContextSearchFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/directory/DirContextSearchFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcdirectory_win_search"/>
    </DisplayInfo>
  </FUGUIDefinition>
-->

<!-- Commented out for Release 1
  <FUDefinition name="AddFederatedDirectoryFU">
    <FUImplDefinitionRef>
      <Reference mcName="AddFederatedDirectoryFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="AddFederatedDirectoryFUImpl">
    <FUImpl URL="com/tivoli/core/console/directory/AddFederatedDirectoryFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="AddFederatedDirectoryFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/directory/AddFederatedDirectoryFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcdirectory_dlg_federate"/>
    </DisplayInfo>
  </FUGUIDefinition>
    </DisplayInfo>
-->

<!-- Commented out for Release 1
  <FUDefinition name="AddLDAPDirectoryFU">
    <FUImplDefinitionRef>
      <Reference mcName="AddLDAPDirectoryFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="AddLDAPDirectoryFUImpl">
    <FUImpl URL="com/tivoli/core/console/directory/AddLDAPDirectoryFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="AddLDAPDirectoryFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/directory/AddLDAPDirectoryFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcdirectory_dlg_mountldap"/>
    </DisplayInfo>
  </FUGUIDefinition>
-->

  <FUDefinition name="CreateSubdirectoryFU">
    <FUImplDefinitionRef>
      <Reference mcName="CreateSubdirectoryFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="CreateSubdirectoryFUImpl">
    <FUImpl URL="com/tivoli/core/console/directory/CreateSubdirectoryFUImpl.class"/>
  </FUImplDefinition>

  <FUDefinition name="ComponentPropertiesFU">
    <FUImplDefinitionRef>
      <Reference mcName="ComponentPropertiesFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="ComponentPropertiesFUImpl">
    <FUImpl URL="com/tivoli/core/console/component/ComponentPropertiesFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="ComponentPropertiesFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/component/ComponentPropertiesFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mccomponent_win_properties"/>
    </DisplayInfo>
  </FUGUIDefinition>


  <FUDefinition name="NamespacesFU">
    <FUImplDefinitionRef>
      <Reference mcName="NamespacesFUImpl"/>
    </FUImplDefinitionRef>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="NamespacesFUImpl">
    <FUImpl URL="com/tivoli/core/console/mmcd/NamespacesFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="NamespacesFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/mmcd/NamespacesFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcmmcd_win_navigate"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <FUDefinition name="CreateNamespaceFU">
    <FUImplDefinitionRef>
      <Reference mcName="CreateNamespaceFUImpl"/>
    </FUImplDefinitionRef>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="CreateNamespaceFUImpl">
    <FUImpl URL="com/tivoli/core/console/mmcd/CreateNamespaceFUImpl.class"/>
  </FUImplDefinition>

  <FUDefinition name="CreateOrbsetFU">
    <FUImplDefinitionRef>
      <Reference mcName="CreateOrbsetFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="CreateOrbsetFUImpl">
    <FUImpl URL="com/tivoli/core/console/mmcd/CreateOrbsetFUImpl.class"/>
  </FUImplDefinition>


  <FUDefinition name="AllComponentsFU">
    <FUImplDefinitionRef>
      <Reference mcName="AllComponentsFUImpl"/>
    </FUImplDefinitionRef>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="AllComponentsFUImpl">
    <FUImpl URL="com/tivoli/core/console/mmcd/AllComponentsFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="AllComponentsFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/mmcd/AllComponentsFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcmmcd_win_depotnavigate"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <FUDefinition name="SelectComponentsFU">
    <FUImplDefinitionRef>
      <Reference mcName="SelectComponentsFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="OrbInterface">
        <Type>
          <Transient type="com.tivoli.core.mmcd.OrbInterface"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="SelectComponentsFUImpl">
    <FUImpl URL="com/tivoli/core/console/mmcd/SelectComponentsFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="SelectComponentsFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/mmcd/SelectComponentsFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcmmcd_dlg_deploy"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <FUDefinition name="UpgradeComponentFU">
    <FUImplDefinitionRef>
      <Reference mcName="UpgradeComponentFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="OrbInterface">
        <Type>
          <Transient type="com.tivoli.core.mmcd.OrbInterface"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="UpgradeComponentFUImpl">
    <FUImpl URL="com/tivoli/core/console/mmcd/UpgradeComponentFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="UpgradeComponentFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/mmcd/UpgradeComponentFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcmmcd_dlg_upgrade"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <FUDefinition name="VersionedComponentPropsFU">
    <FUImplDefinitionRef>
      <Reference mcName="VersionedComponentPropsFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="OrbInterface">
        <Type>
          <Transient type="com.tivoli.core.mmcd.OrbInterface"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="VersionedComponentPropsFUImpl">
    <FUImpl URL="com/tivoli/core/console/mmcd/VersionedComponentPropertiesFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="VersionedComponentPropsFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/mmcd/VersionedComponentPropertiesFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcmmcd_win_properties"/>
    </DisplayInfo>
  </FUGUIDefinition>


  <ActionGroup name="DirContextActions">
    <ActionRef>
      <Reference mcName="DirContextAttributes"/>
    </ActionRef>
<!-- Commented out for Release 1
    <ActionRef>
      <Reference mcName="DirContextSearch"/>
    </ActionRef>
-->
    <DisplayInfo>
      <DisplayName key="ACTIONS"
                   URL="com/tivoli/core/console/directory/DirectoryResources.class"
                   defaultText="Directory Actions"/>
    </DisplayInfo>
  </ActionGroup>

  <ResourceType name="DirContext"
                mappedClassName="javax.naming.directory.DirContext">
    <DefaultPopActionGroupRef>
      <Reference mcName="DirContextActions"/>
    </DefaultPopActionGroupRef>
  </ResourceType>

  <ActionGroup name="IComponentActions">
    <ActionRef>
      <Reference mcName="ComponentProperties"/>
    </ActionRef>
    <ActionRef>
        <Reference mcName="Config"/>
    </ActionRef>
    <DisplayInfo>
      <DisplayName key="ACTIONS"
                   URL="com/tivoli/core/console/component/ComponentResources.class"
                   defaultText="Component Actions"/>
    </DisplayInfo>
  </ActionGroup>

  <ResourceType name="IComponent"
                mappedClassName="com.tivoli.core.component.IComponent">
    <DefaultPopActionGroupRef>
      <Reference mcName="IComponentActions"/>
    </DefaultPopActionGroupRef>
  </ResourceType>

  <ActionGroup name="ContextActions">
    <ActionRef>
      <Reference mcName="CreateSubdirectory"/>
    </ActionRef>
    <ActionRef>
      <Reference mcName="Directory"/>
    </ActionRef>
<!-- Commented out for Release 1
    <ActionRef>
      <Reference mcName="AddLDAPDirectory"/>
    </ActionRef>
-->
    <DisplayInfo>
      <DisplayName key="CONTEXT_ACTIONS"
                   URL="com/tivoli/core/console/directory/DirectoryResources.class"
                   defaultText="Context Actions"/>
    </DisplayInfo>
  </ActionGroup>

  <ResourceType name="Context"
                mappedClassName="javax.naming.Context">
    <DefaultPopActionGroupRef>
      <Reference mcName="ContextActions"/>
    </DefaultPopActionGroupRef>
  </ResourceType>

<!-- Commented out for Release 1
  <ActionGroup name="DoubleSlashContextActions">
    <ActionRef>
      <Reference mcName="AddFederatedDirectory"/>
    </ActionRef>
    <DisplayInfo>
      <DisplayName key="DOUBLESLASH_CONTEXT_ACTIONS"
                   URL="com/tivoli/core/console/directory/DirectoryResources.class"
                   defaultText="DoubleSlashContext Actions"/>
    </DisplayInfo>
  </ActionGroup>

  <ResourceType name="DoubleSlashContext"
                mappedClassName="com.tivoli.core.directory.IDoubleSlashContext">
    <DefaultPopActionGroupRef>
      <Reference mcName="DoubleSlashContextActions"/>
    </DefaultPopActionGroupRef>
  </ResourceType>
-->

  <ActionGroup name="VersionedComponentActions">
    <ActionRef>
      <Reference mcName="Config"/>
    </ActionRef>
    <ActionRef>
      <Reference mcName="VersionedComponentProps"/>
    </ActionRef>
    <DisplayInfo>
      <DisplayName key="VERSIONED_COMPONENT_ACTIONS"
                   URL="com/tivoli/core/console/mmcd/DistributionResources.class"
                   defaultText="VersionedComponent Actions"/>
    </DisplayInfo>
  </ActionGroup>

  <!-- This ResourceType uses the MimeType format of the mappedClassName -->
  <ResourceType name="VersionedComponent"
                mappedClassName="VersionedComponent">
    <DefaultPopActionGroupRef>
      <Reference mcName="VersionedComponentActions"/>
    </DefaultPopActionGroupRef>
  </ResourceType>

  <ActionGroup name="NamespaceOidActions">
    <ActionRef>
      <Reference mcName="CreateOrbset"/>
    </ActionRef>
    <DisplayInfo>
      <DisplayName key="NAMESPACE_ACTIONS"
                   URL="com/tivoli/core/console/mmcd/DistributionResources.class"
                   defaultText="Namespace Actions"/>
    </DisplayInfo>
  </ActionGroup>

  <ResourceType name="NamespaceOid"
                mappedClassName="com.tivoli.core.orb.info.NamespaceOid">
    <DefaultPopActionGroupRef>
      <Reference mcName="NamespaceOidActions"/>
    </DefaultPopActionGroupRef>
  </ResourceType>

  <ActionGroup name="OrbsetOidActions">
    <ActionRef>
      <Reference mcName="SelectComponents"/>
    </ActionRef>
      <ActionRef>
        <Reference mcName="OrbMaintenance"/>
      </ActionRef>
    <DisplayInfo>
      <DisplayName key="ORBSET_ACTIONS"
                   URL="com/tivoli/core/console/mmcd/DistributionResources.class"
                   defaultText="ORB Set Actions"/>
    </DisplayInfo>
  </ActionGroup>

  <ResourceType name="OrbsetOid"
                mappedClassName="com.tivoli.core.orb.info.OrbsetOid">
    <DefaultPopActionGroupRef>
      <Reference mcName="OrbsetOidActions"/>
    </DefaultPopActionGroupRef>
  </ResourceType>

<!-- RSL - com.tivoli.core.console.ip     START -->

  <FUDefinition name="IPPropertiesFU">
    <FUImplDefinitionRef>
      <Reference mcName="IPPropertiesFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="OrbOrOrbSet">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="IPPropertiesFUImpl">
    <FUImpl URL="com/tivoli/core/console/ip/IPDPropertiesFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="IPPropertiesFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/ip/IPDPropertiesFUGUI.class"/>
  </FUGUIDefinition>

  <ActionGroup name="IIpDriverActions">
    <ActionRef>
        <Reference mcName="IPProperties"/>
    </ActionRef>
    <DisplayInfo>
      <DisplayName key="ACTIONS"
                   URL="com/tivoli/core/console/directory/DirectoryResources.class"
                   defaultText="Howdy"/>
    </DisplayInfo>
  </ActionGroup>

<!-- Commented out for snapshot 12
  <ResourceType name="IIpDriver"
                mappedClassName="com.tivoli.mmip.ipdriver.IIpDriver">
    <DefaultPopActionGroupRef>
      <Reference mcName="IIpDriverActions"/>
    </DefaultPopActionGroupRef>
  </ResourceType>
-->

<!-- RSL - com.tivoli.core.console.ip       END -->

<!-- RSL - com.tivoli.core.console.tes    START -->

  <FUDefinition name="TESOrbFU">

    <FUImplDefinitionRef>
      <Reference mcName="TESOrbFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="Name">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
      <CompletionValue value="1"/>
    </CompletionValueList>

  </FUDefinition>

  <FUImplDefinition name="TESOrbFUImpl">
    <FUImpl URL="com/tivoli/core/console/tes/TESOrbFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="TESOrbFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/tes/TESOrbFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mctes_win_statistics"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <FUDefinition name="TESOrbSetFU">

    <FUImplDefinitionRef>
      <Reference mcName="TESOrbSetFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="Name">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
      <CompletionValue value="1"/>
    </CompletionValueList>

  </FUDefinition>

  <FUImplDefinition name="TESOrbSetFUImpl">
    <FUImpl URL="com/tivoli/core/console/tes/TESOrbSetFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="TESOrbSetFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/tes/TESOrbSetFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mctes_win_summary"/>
    </DisplayInfo>
  </FUGUIDefinition>

<!-- RSL - com.tivoli.core.console.tes      END -->

<!-- KL - com.tivoli.core.console.filter  START -->

  <ActionGroup name="FilterObjectActions">
    <ActionRef>
        <Reference mcName="Filter"/>
    </ActionRef>
    <DisplayInfo>
      <DisplayName key="ACTIONS"
                   URL="com/tivoli/core/console/filter/FilterResourceBundle.class"
                   defaultText="Filter Actions"/>
    </DisplayInfo>
  </ActionGroup>

  <ResourceType name="FilterObject"
                mappedClassName="com.tivoli.core.console.filter.FilterObject">
    <DefaultPopActionGroupRef>
      <Reference mcName="FilterObjectActions"/>
    </DefaultPopActionGroupRef>
  </ResourceType>

  <Action name="Filter">
    <FUDefinitionRef>
      <Reference mcName="FilterFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="EDIT"
                   URL="com/tivoli/core/console/filter/FilterResourceBundle.class"
                   defaultText="Edit Filter"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="FilterFU">

    <FUImplDefinitionRef>
      <Reference mcName="FilterFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="FilterObjectHolder">
        <Type>
          <Transient type="com.tivoli.core.console.filter.FilterObjectHolder"/>
        </Type>
      </Property>
      <Property name="MetaPropertySetDescriptor">
        <Type>
          <Transient type="com.tivoli.core.console.meta.IMetaPropertySetDescriptor"/>
        </Type>
      </Property>
      <Property name="FilterTree">
        <Type>
          <Transient type="com.tivoli.core.console.filter.model.FilterTree"/>
        </Type>
      </Property>
      <Property name="FilterModel">
        <Type>
          <Transient type="com.tivoli.core.console.filter.IFilterModel"/>
        </Type>
      </Property>
    </InputPropertyList>

    <OutputPropertyList>
      <Property name="SelectedFilterObjectHolder">
        <Type>
          <Transient type="com.tivoli.core.console.filter.FilterObjectHolder"/>
        </Type>
      </Property>
    </OutputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
      <CompletionValue value="1"/>
    </CompletionValueList>

  </FUDefinition>

  <FUImplDefinition name="FilterFUImpl">
    <FUImpl URL="com/tivoli/core/console/filter/FilterFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="FilterFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/filter/FilterFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcfilter_dlg_chooser"/>
    </DisplayInfo>
  </FUGUIDefinition>

<!-- KL - com.tivoli.core.console.filter  END -->

<!-- KL - com.tivoli.core.console.orb  START -->

  <Action name="OrbMaintenance">
    <FUDefinitionRef>
      <Reference mcName="OrbMaintenanceFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="ORB_MAINTAIN"
                   URL="com/tivoli/core/console/orb/OrbResourceBundle.class"
                   defaultText="Manage ORBs"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="OrbMaintenanceFU">

    <FUImplDefinitionRef>
      <Reference mcName="OrbMaintenanceFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="optionalFuGuiMcrId">
        <Type>
          <Transient type="com.tivoli.pf.mcr.external.McrID"/>
        </Type>
      </Property>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="optionalInitObject">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>
    <CompletionValueList>
      <CompletionValue value="0"/>
      <CompletionValue value="1"/>
    </CompletionValueList>

  </FUDefinition>

  <FUImplDefinition name="OrbMaintenanceFUImpl">
    <FUImpl URL="com/tivoli/core/console/orb/OrbMaintenanceFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="OrbMaintenanceFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/orb/OrbMaintenanceFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcorb_win_maintenance"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <ActionGroup name="OrbActions">
    <ActionGroupRef>
      <Reference mcName="TivoliRASActionGroup"/>
    </ActionGroupRef>
    <ActionRef>
        <Reference mcName="TESOrb"/>
    </ActionRef>
    <ActionRef>
      <Reference mcName="OrbConfig"/>
    </ActionRef>
    <ActionRef>
      <Reference mcName="OrbShutdown"/>
    </ActionRef>
    <ActionRef>
      <Reference mcName="OrbRecycle"/>
    </ActionRef>
    <DisplayInfo>
      <DisplayName key="TIVOLI_ACTION_GROUP"
                   URL="com/tivoli/core/console/common/abstractfu/AbstractResources.class"
                   defaultText="bogus"/>
    </DisplayInfo>
  </ActionGroup>

  <ResourceType name="Orb"
                mappedClassName="com.tivoli.core.console.orb.Orb">
    <DefaultPopActionGroupRef>
      <Reference mcName="OrbActions"/>
    </DefaultPopActionGroupRef>
  </ResourceType>

  <ActionGroup name="IOrbCollectionActions">
    <ActionGroupRef>
      <Reference mcName="TivoliRASActionGroup"/>
    </ActionGroupRef>
    <ActionRef>
        <Reference mcName="TESOrbSet"/>
    </ActionRef>
    <DisplayInfo>
      <DisplayName key="TIVOLI_ACTION_GROUP"
                   URL="com/tivoli/core/console/common/abstractfu/AbstractResources.class"
                   defaultText="bogus"/>
    </DisplayInfo>
  </ActionGroup>

  <ResourceType name="IOrbCollection"
                mappedClassName="com.tivoli.core.console.orb.IOrbCollection">
    <DefaultPopActionGroupRef>
      <Reference mcName="IOrbCollectionActions"/>
    </DefaultPopActionGroupRef>
  </ResourceType>

  <ActionGroup name="OrbsetInfoActions">
    <ActionRef>
      <Reference mcName="OrbsetConfig"/>
    </ActionRef>
    <ActionGroupRef>
      <Reference mcName="TivoliRASActionGroup"/>
    </ActionGroupRef>
    <DisplayInfo>
      <DisplayName key="ORBSET_ACTIONS"
                   URL="com/tivoli/core/console/mmcd/DistributionResources.class"
                   defaultText="ORB Set Actions"/>
    </DisplayInfo>
  </ActionGroup>

  <ResourceType name="OrbsetInfo"
                mappedClassName="com.tivoli.core.orb.info.OrbsetInfo">
    <DefaultPopActionGroupRef>
      <Reference mcName="OrbsetInfoActions"/>
    </DefaultPopActionGroupRef>
  </ResourceType>

  <Action name="OrbConfig">
    <FUDefinitionRef>
      <Reference mcName="OrbConfigFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="editProperties"
                   URL="com/tivoli/core/console/config/ConfigResourceBundle.class"
                   defaultText="Configuration Elements"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="OrbConfigFU">
    <FUImplDefinitionRef>
      <Reference mcName="OrbConfigFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="OrbOrOrbSet">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="Version">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="OrbConfigFUImpl">
    <FUImpl URL="com/tivoli/core/console/orb/config/OrbConfigFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="OrbConfigFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/orb/config/OrbConfigFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcorb_win_config"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <Action name="OrbShutdown">
    <FUDefinitionRef>
      <Reference mcName="OrbShutdownFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="shutdown"
                   URL="com/tivoli/core/console/orb/OrbResourceBundle.class"
                   defaultText="Shutdown"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="OrbShutdownFU">
    <FUImplDefinitionRef>
      <Reference mcName="OrbShutdownFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="OrbShutdownFUImpl">
    <FUImpl URL="com/tivoli/core/console/orb/OrbShutdownFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="OrbShutdownFUGUI">
    <FUGUIImpl platform="java2"
              URL="com/tivoli/core/console/orb/OrbShutdownFUGUI.class"/>
  </FUGUIDefinition>

  <Action name="OrbRecycle">
    <FUDefinitionRef>
      <Reference mcName="OrbRecycleFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="recycle"
                   URL="com/tivoli/core/console/orb/OrbResourceBundle.class"
                   defaultText="Recycle"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="OrbRecycleFU">
    <FUImplDefinitionRef>
      <Reference mcName="OrbRecycleFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="OrbRecycleFUImpl">
    <FUImpl URL="com/tivoli/core/console/orb/OrbRecycleFUImpl.class"/>
  </FUImplDefinition>

  <Action name="OrbChooser">
    <FUDefinitionRef>
      <Reference mcName="OrbChooserFU"/>
    </FUDefinitionRef>
  </Action>

  <FUDefinition name="OrbChooserFU">

    <FUImplDefinitionRef>
      <Reference mcName="OrbChooserFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="FilterObjectHolder">
        <Type>
          <Transient type="com.tivoli.core.console.filter.FilterObjectHolder"/>
        </Type>
      </Property>
      <Property name="MetaPropertySetDescriptor">
        <Type>
          <Transient type="com.tivoli.core.console.meta.IMetaPropertySetDescriptor"/>
        </Type>
      </Property>
      <Property name="FilterTree">
        <Type>
          <Transient type="com.tivoli.core.console.filter.model.FilterTree"/>
        </Type>
      </Property>
      <Property name="FilterModel">
        <Type>
          <Transient type="com.tivoli.core.console.filter.IFilterModel"/>
        </Type>
      </Property>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <OutputPropertyList>
      <Property name="SelectedFilterObjectHolder">
        <Type>
          <Transient type="com.tivoli.core.console.filter.FilterObjectHolder"/>
        </Type>
      </Property>
      <Property name="IteratorOfOrbsetOIDs">
        <Type>
          <Transient type="java.util.Iterator"/>
        </Type>
      </Property>
      <Property name="IncludeConfigResources">
        <Type>
          <Transient type="java.lang.Boolean"/>
        </Type>
      </Property>
    </OutputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
      <CompletionValue value="1"/>
    </CompletionValueList>

  </FUDefinition>

  <FUImplDefinition name="OrbChooserFUImpl">
    <FUImpl URL="com/tivoli/core/console/orb/chooser/OrbChooserFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="OrbChooserFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/orb/chooser/OrbChooserFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcorb_dlg_chooser"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <Action name="OrbsetFilter">
    <FUDefinitionRef>
      <Reference mcName="OrbsetFilterFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="ACTION"
                   URL="com/tivoli/core/console/orb/orbset/filter/OrbsetFilterResourceBundle.class"
                   defaultText="Get ORB Sets"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="OrbsetFilterFU">

    <FUImplDefinitionRef>
      <Reference mcName="OrbsetFilterFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="FilterObjectHolder">
        <Type>
          <Transient type="com.tivoli.core.console.filter.FilterObjectHolder"/>
        </Type>
      </Property>
      <Property name="MetaPropertySetDescriptor">
        <Type>
          <Transient type="com.tivoli.core.console.meta.IMetaPropertySetDescriptor"/>
        </Type>
      </Property>
      <Property name="FilterTree">
        <Type>
          <Transient type="com.tivoli.core.console.filter.model.FilterTree"/>
        </Type>
      </Property>
      <Property name="FilterModel">
        <Type>
          <Transient type="com.tivoli.core.console.filter.IFilterModel"/>
        </Type>
      </Property>
    </InputPropertyList>

    <OutputPropertyList>
      <Property name="SelectedFilterObjectHolder">
        <Type>
          <Transient type="com.tivoli.core.console.filter.FilterObjectHolder"/>
        </Type>
      </Property>
      <Property name="IteratorOfOrbsetOIDs">
        <Type>
          <Transient type="java.util.Iterator"/>
        </Type>
      </Property>
    </OutputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
      <CompletionValue value="1"/>
    </CompletionValueList>

  </FUDefinition>

  <FUImplDefinition name="OrbsetFilterFUImpl">
    <FUImpl URL="com/tivoli/core/console/orb/orbset/filter/OrbsetFilterFUImpl.class"/>
  </FUImplDefinition>


  <Action name="OrbsetCreate">
    <FUDefinitionRef>
      <Reference mcName="OrbsetCreateFU"/>
    </FUDefinitionRef>
  </Action>

  <FUDefinition name="OrbsetCreateFU">

    <FUImplDefinitionRef>
      <Reference mcName="OrbsetCreateFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="SuggestedName">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
    </InputPropertyList>

    <OutputPropertyList>
      <Property name="NewOrbsetOid">
        <Type>
          <Transient type="com.tivoli.core.orb.info.OrbsetOid"/>
        </Type>
      </Property>
    </OutputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
      <CompletionValue value="1"/>
    </CompletionValueList>

  </FUDefinition>

  <FUImplDefinition name="OrbsetCreateFUImpl">
    <FUImpl URL="com/tivoli/core/console/orb/orbset/OrbsetCreateFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="OrbsetCreateFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/orb/orbset/OrbsetCreateFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcorb_dlg_orbsetcreate"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <Action name="OrbsetConfig">
    <FUDefinitionRef>
      <Reference mcName="OrbsetConfigFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="editProperties"
                   URL="com/tivoli/core/console/config/ConfigResourceBundle.class"
                   defaultText="Configuration Elements"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="OrbsetConfigFU">

    <FUImplDefinitionRef>
      <Reference mcName="OrbsetConfigFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
      <CompletionValue value="1"/>
    </CompletionValueList>

  </FUDefinition>

  <FUImplDefinition name="OrbsetConfigFUImpl">
    <FUImpl URL="com/tivoli/core/console/orb/orbset/OrbsetConfigFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="OrbsetConfigFUGUI">
    <FUGUIImpl platform="java2"
              URL="com/tivoli/core/console/orb/orbset/OrbsetConfigFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcorb_dlg_orbsetconfig"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <Action name="ComponentRestore">
    <FUDefinitionRef>
      <Reference mcName="ComponentRestoreFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="restore"
                   URL="com/tivoli/core/console/component/ComponentResources.class"
                   defaultText="Restore"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="ComponentRestoreFU">
    <FUImplDefinitionRef>
      <Reference mcName="ComponentRestoreFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="Version">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
      <Property name="Orb">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
      <CompletionValue value="1"/>
      <CompletionValue value="2"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="ComponentRestoreFUImpl">
    <FUImpl URL="com/tivoli/core/console/component/ComponentRestoreFUImpl.class"/>
  </FUImplDefinition>

  <Action name="ComponentBackoff">
    <FUDefinitionRef>
      <Reference mcName="ComponentBackoffFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="backoff"
                   URL="com/tivoli/core/console/component/ComponentResources.class"
                   defaultText="Backoff"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="ComponentBackoffFU">
    <FUImplDefinitionRef>
      <Reference mcName="ComponentBackoffFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="Version">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
      <Property name="Orb">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
      <CompletionValue value="1"/>
      <CompletionValue value="2"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="ComponentBackoffFUImpl">
    <FUImpl URL="com/tivoli/core/console/component/ComponentBackoffFUImpl.class"/>
  </FUImplDefinition>

  <Action name="ComponentUninstall">
    <FUDefinitionRef>
      <Reference mcName="ComponentUninstallFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="uninstall"
                   URL="com/tivoli/core/console/component/ComponentResources.class"
                   defaultText="Uninstall"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="ComponentUninstallFU">
    <FUImplDefinitionRef>
      <Reference mcName="ComponentUninstallFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="Version">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
      <Property name="Orb">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
      <CompletionValue value="1"/>
      <CompletionValue value="2"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="ComponentUninstallFUImpl">
    <FUImpl URL="com/tivoli/core/console/component/ComponentUninstallFUImpl.class"/>
  </FUImplDefinition>

  <Action name="ComponentInstall">
    <FUDefinitionRef>
      <Reference mcName="ComponentInstallFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="install"
                   URL="com/tivoli/core/console/component/ComponentResources.class"
                   defaultText="Install"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="ComponentInstallFU">
    <FUImplDefinitionRef>
      <Reference mcName="ComponentInstallFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="Version">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
      <Property name="Orb">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
      <CompletionValue value="1"/>
      <CompletionValue value="2"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="ComponentInstallFUImpl">
    <FUImpl URL="com/tivoli/core/console/component/ComponentInstallFUImpl.class"/>
  </FUImplDefinition>

  <Action name="ComponentStartup">
    <FUDefinitionRef>
      <Reference mcName="ComponentStartupFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="startup"
                   URL="com/tivoli/core/console/component/ComponentResources.class"
                   defaultText="Startup"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="ComponentStartupFU">
    <FUImplDefinitionRef>
      <Reference mcName="ComponentStartupFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="Version">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
      <Property name="Orb">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
      <CompletionValue value="1"/>
      <CompletionValue value="2"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="ComponentStartupFUImpl">
    <FUImpl URL="com/tivoli/core/console/component/ComponentStartupFUImpl.class"/>
  </FUImplDefinition>

  <Action name="ComponentShutdown">
    <FUDefinitionRef>
      <Reference mcName="ComponentShutdownFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="shutdown"
                   URL="com/tivoli/core/console/component/ComponentResources.class"
                   defaultText="Shutdown"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="ComponentShutdownFU">
    <FUImplDefinitionRef>
      <Reference mcName="ComponentShutdownFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="Version">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
      <Property name="Orb">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
      <CompletionValue value="1"/>
      <CompletionValue value="2"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="ComponentShutdownFUImpl">
    <FUImpl URL="com/tivoli/core/console/component/ComponentShutdownFUImpl.class"/>
  </FUImplDefinition>

  <Action name="ComponentUpgrade">
    <FUDefinitionRef>
      <Reference mcName="ComponentUpgradeFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="upgrade"
                   URL="com/tivoli/core/console/component/ComponentResources.class"
                   defaultText="Upgrade"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="ComponentUpgradeFU">
    <FUImplDefinitionRef>
      <Reference mcName="ComponentUpgradeFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="Version">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
      <Property name="Orb">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
      <CompletionValue value="1"/>
      <CompletionValue value="2"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="ComponentUpgradeFUImpl">
    <FUImpl URL="com/tivoli/core/console/component/ComponentUpgradeFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="ComponentUpgradeFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/component/ComponentUpgradeFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mccomponent_dlg_upgrade"/>
    </DisplayInfo>
  </FUGUIDefinition>

<!-- KL - com.tivoli.core.console.orb  END -->

<!-- KL - com.tivoli.core.console.config  START -->

  <Action name="Config">
    <FUDefinitionRef>
      <Reference mcName="ConfigFU"/>
    </FUDefinitionRef>
    <DefaultPropertyList>
      <PropertyValue name="FUGUIName">
        <TextValue>ConfigFUGUI</TextValue>
      </PropertyValue>
      <PropertyValue name="FUGUIMCPackageName">
        <TextValue>MACImpl</TextValue>
      </PropertyValue>
      <PropertyValue name="FUGUIMCPackageVersion">
        <TextValue>5.1.1</TextValue>
      </PropertyValue>
    </DefaultPropertyList>
    <DisplayInfo>
      <DisplayName key="editProperties"
                   URL="com/tivoli/core/console/config/ConfigResourceBundle.class"
                   defaultText="Configuration Elements"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="ConfigFU">
    <FUImplDefinitionRef>
      <Reference mcName="ConfigFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="FUGUIName">
        <Type>
          <Persistent type="string"/>
        </Type>
      </Property>
      <Property name="FUGUIMCPackageName">
        <Type>
          <Persistent type="string"/>
        </Type>
      </Property>
      <Property name="FUGUIMCPackageVersion">
        <Type>
          <Persistent type="string"/>
        </Type>
      </Property>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="OrbOrOrbSet">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="OrbInterface">
        <Type>
          <Transient type="com.tivoli.core.mmcd.OrbInterface"/>
        </Type>
      </Property>
      <Property name="Version">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="ConfigFUImpl">
    <FUImpl URL="com/tivoli/core/console/config/ConfigFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="ConfigFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/config/ConfigFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcconfig_win_regedit"/>
    </DisplayInfo>
  </FUGUIDefinition>

<!-- KL - com.tivoli.core.console.config  END -->


<!-- RSL - com.tivoli.core.console.config.gui  START -->

  <Action name="ConfigDetails">
    <FUDefinitionRef>
      <Reference mcName="ConfigDetailsFU"/>
    </FUDefinitionRef>
  </Action>

  <FUDefinition name="ConfigDetailsFU">

    <FUImplDefinitionRef>
      <Reference mcName="ConfigDetailsFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="Name">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
      <Property name="ConfigCache">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="OrbOrOrbSet">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>

  </FUDefinition>

  <FUImplDefinition name="ConfigDetailsFUImpl">
    <FUImpl URL="com/tivoli/core/console/config/gui/ConfigDetailsFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="ConfigDetailsFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/config/gui/ConfigDetailsFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcconfig_dlg_details"/>
    </DisplayInfo>
  </FUGUIDefinition>

<!-- RSL - com.tivoli.core.console.config.gui END -->


<!-- SLT - com.tivoli.core.console.gateway.fu  START -->

  <ResourceType name="NELContext"
                mappedClassName="com.tivoli.core.mmgatew.gateway.INelp">
    <Parent>
      <Reference mcName="IComponent"/>
    </Parent>
    <DefaultPopActionGroupRef>
      <Reference mcName="NELContextActions"/>
    </DefaultPopActionGroupRef>
    <HideAction>
      <ParentAction>
        <ActionRef>
          <Reference mcName="Config"/>
        </ActionRef>
      </ParentAction>
    </HideAction>
  </ResourceType>

  <ResourceType name="NELDeployContext"
                mappedClassName="NelService/5.1.1">
    <Parent>
      <Reference mcName="VersionedComponent"/>
    </Parent>
    <DefaultPopActionGroupRef>
      <Reference mcName="NELContextActions"/>
    </DefaultPopActionGroupRef>
    <HideAction>
      <ParentAction>
        <ActionRef>
          <Reference mcName="Config"/>
        </ActionRef>
      </ParentAction>
    </HideAction>
  </ResourceType>

  <ActionGroup name="NELContextActions">
    <ActionRef>
      <Reference mcName="NELConfig"/>
    </ActionRef>
    <DisplayInfo>
      <DisplayName key="NEL_ACTIONS"
                   URL="com/tivoli/core/console/gateway/GatewayResources.class"
                   defaultText="NEL Actions"/>
    </DisplayInfo>
  </ActionGroup>

  <Action name="NELConfig">
    <FUDefinitionRef>
      <Reference mcName="NELConfigFU"/>
    </FUDefinitionRef>
    <DefaultPropertyList>
      <PropertyValue name="FUGUIName">
        <TextValue>NELOrbFUGUI</TextValue>
      </PropertyValue>
      <PropertyValue name="FUGUIMCPackageName">
        <TextValue>MACImpl</TextValue>
      </PropertyValue>
      <PropertyValue name="FUGUIMCPackageVersion">
        <TextValue>5.1.1</TextValue>
      </PropertyValue>
    </DefaultPropertyList>
    <DisplayInfo>
      <DisplayName key="CONFIGURE"
                   URL="com/tivoli/core/console/gateway/GatewayResources.class"
                   defaultText="Edit Configuration"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="NELConfigFU">
    <FUImplDefinitionRef>
      <Reference mcName="NELOrbFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="FUGUIName">
        <Type>
          <Persistent type="string"/>
        </Type>
      </Property>
      <Property name="FUGUIMCPackageName">
        <Type>
          <Persistent type="string"/>
        </Type>
      </Property>
      <Property name="FUGUIMCPackageVersion">
        <Type>
          <Persistent type="string"/>
        </Type>
      </Property>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="OrbOrOrbSet">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="OrbInterface">
        <Type>
          <Transient type="com.tivoli.core.mmcd.OrbInterface"/>
        </Type>
      </Property>
      <Property name="Version">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="NELOrbFUImpl">
    <FUImpl URL="com/tivoli/core/console/gateway/fu/NELOrbFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="NELOrbFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/gateway/fu/NELOrbFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcnel_win_config"/>
    </DisplayInfo>
  </FUGUIDefinition>

<!-- SLT - com.tivoli.core.console.gateway.fu  END -->

<!-- SLT - com.tivoli.core.console.gateway.fu  START -->

  <ResourceType name="GatewaySNMPContext"
                mappedClassName="com.tivoli.core.mmgatew.gateway.IGatewaySNMP">
    <Parent>
      <Reference mcName="IComponent"/>
    </Parent>
    <DefaultPopActionGroupRef>
      <Reference mcName="GatewaySNMPContextActions"/>
    </DefaultPopActionGroupRef>
    <HideAction>
      <ParentAction>
        <ActionRef>
          <Reference mcName="Config"/>
        </ActionRef>
      </ParentAction>
    </HideAction>
  </ResourceType>

  <ResourceType name="GatewaySNMPDeployContext"
                mappedClassName="GatewaySNMPService/5.1.1">
    <Parent>
      <Reference mcName="VersionedComponent"/>
    </Parent>
    <DefaultPopActionGroupRef>
      <Reference mcName="GatewaySNMPContextActions"/>
    </DefaultPopActionGroupRef>
    <HideAction>
      <ParentAction>
        <ActionRef>
          <Reference mcName="Config"/>
        </ActionRef>
      </ParentAction>
    </HideAction>
  </ResourceType>

  <ActionGroup name="GatewaySNMPContextActions">
    <ActionRef>
      <Reference mcName="GatewaySNMPConfig"/>
    </ActionRef>
    <DisplayInfo>
      <DisplayName key="GATEWAY_SNMP_ACTIONS"
                   URL="com/tivoli/core/console/gateway/GatewayResources.class"
                   defaultText="Gateway SNMP Actions"/>
    </DisplayInfo>
  </ActionGroup>


  <Action name="GatewaySNMPConfig">
    <FUDefinitionRef>
      <Reference mcName="GatewaySNMPConfigFU"/>
    </FUDefinitionRef>
    <DefaultPropertyList>
      <PropertyValue name="FUGUIName">
        <TextValue>GatewaySNMPFUGUI</TextValue>
      </PropertyValue>
      <PropertyValue name="FUGUIMCPackageName">
        <TextValue>MACImpl</TextValue>
      </PropertyValue>
      <PropertyValue name="FUGUIMCPackageVersion">
        <TextValue>5.1.1</TextValue>
      </PropertyValue>
    </DefaultPropertyList>
    <DisplayInfo>
      <DisplayName key="CONFIGURE"
                   URL="com/tivoli/core/console/gateway/GatewayResources.class"
                   defaultText="Edit Configuration"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="GatewaySNMPConfigFU">
    <FUImplDefinitionRef>
      <Reference mcName="GatewaySNMPFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="FUGUIName">
        <Type>
          <Persistent type="string"/>
        </Type>
      </Property>
      <Property name="FUGUIMCPackageName">
        <Type>
          <Persistent type="string"/>
        </Type>
      </Property>
      <Property name="FUGUIMCPackageVersion">
        <Type>
          <Persistent type="string"/>
        </Type>
      </Property>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="OrbOrOrbSet">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="OrbInterface">
        <Type>
          <Transient type="com.tivoli.core.mmcd.OrbInterface"/>
        </Type>
      </Property>
      <Property name="Version">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="GatewaySNMPFUImpl">
    <FUImpl URL="com/tivoli/core/console/gateway/fu/GatewaySNMPFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="GatewaySNMPFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/gateway/fu/GatewaySNMPFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcgatewaysnmp_win_config"/>
    </DisplayInfo>
  </FUGUIDefinition>

<!-- SLT - com.tivoli.core.console.gateway.fu  END -->

<!-- SLT - com.tivoli.core.console.gateway.fu  START -->

  <ResourceType name="GatewayIPContext"
                mappedClassName="com.tivoli.core.mmgatew.gateway.IGatewayIP">
    <Parent>
      <Reference mcName="IComponent"/>
    </Parent>
    <DefaultPopActionGroupRef>
      <Reference mcName="GatewayIPContextActions"/>
    </DefaultPopActionGroupRef>
    <HideAction>
      <ParentAction>

        <ActionRef>
          <Reference mcName="Config"/>
        </ActionRef>
      </ParentAction>
    </HideAction>
  </ResourceType>

  <ResourceType name="GatewayIPDeployContext"
                mappedClassName="GatewayIPService/5.1.1">
    <Parent>
      <Reference mcName="VersionedComponent"/>
    </Parent>
    <DefaultPopActionGroupRef>
      <Reference mcName="GatewayIPContextActions"/>
    </DefaultPopActionGroupRef>
    <HideAction>
      <ParentAction>
        <ActionRef>
          <Reference mcName="Config"/>
        </ActionRef>
      </ParentAction>
    </HideAction>
  </ResourceType>

  <ActionGroup name="GatewayIPContextActions">
    <ActionRef>
      <Reference mcName="GatewayIPConfig"/>
    </ActionRef>
    <DisplayInfo>
      <DisplayName key="GATEWAY_IP_ACTIONS"
                   URL="com/tivoli/core/console/gateway/GatewayResources.class"
                   defaultText="Gateway IP Actions"/>
    </DisplayInfo>
  </ActionGroup>

  <Action name="GatewayIPConfig">
    <FUDefinitionRef>
      <Reference mcName="GatewayIPConfigFU"/>
    </FUDefinitionRef>
    <DefaultPropertyList>
      <PropertyValue name="FUGUIName">
        <TextValue>GatewayIPFUGUI</TextValue>
      </PropertyValue>
      <PropertyValue name="FUGUIMCPackageName">
        <TextValue>MACImpl</TextValue>
      </PropertyValue>
      <PropertyValue name="FUGUIMCPackageVersion">
        <TextValue>5.1.1</TextValue>
      </PropertyValue>
    </DefaultPropertyList>
    <DisplayInfo>
      <DisplayName key="CONFIGURE"
                   URL="com/tivoli/core/console/gateway/GatewayResources.class"
                   defaultText="Edit Configuration"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="GatewayIPConfigFU">
    <FUImplDefinitionRef>
      <Reference mcName="GatewayIPFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="FUGUIName">
        <Type>
          <Persistent type="string"/>
        </Type>
      </Property>
      <Property name="FUGUIMCPackageName">
        <Type>
          <Persistent type="string"/>
        </Type>
      </Property>
      <Property name="FUGUIMCPackageVersion">
        <Type>
          <Persistent type="string"/>
        </Type>
      </Property>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="OrbOrOrbSet">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="OrbInterface">
        <Type>
          <Transient type="com.tivoli.core.mmcd.OrbInterface"/>
        </Type>
      </Property>
      <Property name="Version">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="GatewayIPFUImpl">
    <FUImpl URL="com/tivoli/core/console/gateway/fu/GatewayIPFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="GatewayIPFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/gateway/fu/GatewayIPFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcgatewayip_win_config"/>
    </DisplayInfo>
  </FUGUIDefinition>

<!-- SLT - com.tivoli.core.console.gateway.fu  END -->

<!-- SLT - com.tivoli.core.console.gateway.fu  START -->

  <Action name="EditGatewayScope">
    <FUDefinitionRef>
      <Reference mcName="GatewayScopeFU"/>
    </FUDefinitionRef>
    <DefaultPropertyList>
      <PropertyValue name="FUGUIName">
        <TextValue>GatewayScopeFUGUI</TextValue>
      </PropertyValue>
      <PropertyValue name="FUGUIMCPackageName">
        <TextValue>MACImpl</TextValue>
      </PropertyValue>
      <PropertyValue name="FUGUIMCPackageVersion">
        <TextValue>5.1.1</TextValue>
      </PropertyValue>
    </DefaultPropertyList>
    <DisplayInfo>
      <DisplayName key="EDIT"
                   URL="com/tivoli/core/console/gateway/GatewayResources.class"
                   defaultText="Edit Configuration"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="GatewayScopeFU">
    <FUImplDefinitionRef>
      <Reference mcName="GatewayScopeFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="FUGUIName">
        <Type>
          <Persistent type="string"/>
        </Type>
      </Property>
      <Property name="FUGUIMCPackageName">
        <Type>
          <Persistent type="string"/>
        </Type>
      </Property>
      <Property name="FUGUIMCPackageVersion">
        <Type>
          <Persistent type="string"/>
        </Type>
      </Property>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <OutputPropertyList>
      <Property name="GatewayScope">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </OutputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>

  </FUDefinition>

  <FUImplDefinition name="GatewayScopeFUImpl">
    <FUImpl URL="com/tivoli/core/console/gateway/fu/GatewayScopeFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="GatewayScopeFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/gateway/fu/GatewayScopeFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcnel_dlg_definegatewayscope"/>
    </DisplayInfo>
  </FUGUIDefinition>

<!-- SLT - com.tivoli.core.console.gateway.fu  END -->

<!-- SLT - com.tivoli.core.console.gateway.fu  START -->

  <Action name="GatewayBrowseOrbs">
    <FUDefinitionRef>
      <Reference mcName="GatewayBrowseOrbsFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="BROWSE"
                   URL="com/tivoli/core/console/gateway/GatewayResources.class"
                   defaultText="Browse..."/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="GatewayBrowseOrbsFU">
    <FUImplDefinitionRef>
      <Reference mcName="GatewayBrowseOrbsFUImpl"/>
    </FUImplDefinitionRef>
    <OutputPropertyList>
      <Property name="OrbName">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
      <Property name="Namespace">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </OutputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>

  </FUDefinition>

  <FUImplDefinition name="GatewayBrowseOrbsFUImpl">
    <FUImpl URL="com/tivoli/core/console/gateway/fu/GatewayBrowseOrbsFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="GatewayBrowseOrbsFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/gateway/fu/GatewayBrowseOrbsFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcnel_dlg_browseorbs"/>
    </DisplayInfo>
  </FUGUIDefinition>

<!-- SLT - com.tivoli.core.console.gateway.fu  END -->

<!-- CBC - com.tivoli.core.console.logging  START -->

 <!-- Action Group: PF RAS Actions -->
 <ActionGroup name="TivoliRASActionGroup">

       <ActionRef>
           <Reference mcName="Configure Logging"/>
       </ActionRef>

       <ActionRef>
           <Reference mcName="View All Logs"/>
       </ActionRef>

       <ActionRef>
           <Reference mcName="View Translated Logs"/>
       </ActionRef>

       <DisplayInfo>

           <DisplayName key="PF_RAS_ACTIONS_DISP_NAME"
                                    URL="com/tivoli/core/console/logging/RasPfResources.class"
                                    defaultText="Administer Logging"/>

           <ShortDescription key="PF_RAS_ACTIONS_SHORT_NAME"
                                         URL="com/tivoli/core/console/logging/RasPfResources.class"
                                         defaultText="Administer Logging"/>

           <LongDescription key="PF_RAS_ACTIONS_LONG_NAME"
                                        URL="com/tivoli/core/console/logging/RasPfResources.class"
                                        defaultText="Administer Logging"/>

       </DisplayInfo>

 </ActionGroup>


 <!--Name of the Action management component-->
 <!--This action does not use any property values-->
 <Action name="View All Logs">

   <!--Specify the name of the FUDefinition this action points to-->
   <FUDefinitionRef>
     <!--name of the management component this action points-->
     <Reference mcName="RasloggingFU"/>
   </FUDefinitionRef>

   <!--This is the default display information-->
   <DisplayInfo>
     <DisplayName key="ALL_LOGS_DISPLAY_NAME"
                  URL="com/tivoli/core/console/logging/RasPfResources.class"
                  defaultText="View All Logs"/>
     <ShortDescription key="ALL_LOGS_SHORT_DESC"
                       URL="com/tivoli/core/console/logging/RasPfResources.class"
                       defaultText="View All Logs"/>
     <LongDescription key="ALL_LOGS_LONG_DESC"
                      URL="com/tivoli/core/console/logging/RasPfResources.class"
                      defaultText="View All Logs"/>
   </DisplayInfo>

 </Action>


 <!--Name of the Action management component-->
 <!--This action does not use any property values-->
 <Action name="View Translated Logs">

   <!--Specify the name of the FUDefinition this action points to-->
   <FUDefinitionRef>
     <!--name of the management component this action points-->
     <Reference mcName="RasloggingFU"/>
   </FUDefinitionRef>

   <!--This is the default display information-->
   <DisplayInfo>
     <DisplayName key="EXT_LOGS_DISPLAY_NAME"
                  URL="com/tivoli/core/console/logging/RasPfResources.class"
                  defaultText="View Translated Logs"/>
     <ShortDescription key="EXT_LOGS_SHORT_DESC"
                       URL="com/tivoli/core/console/logging/RasPfResources.class"
                       defaultText="View Translated Logs"/>
     <LongDescription key="EXT_LOGS_LONG_DESC"
                      URL="com/tivoli/core/console/logging/RasPfResources.class"
                      defaultText="View Translated Logs"/>
   </DisplayInfo>

 </Action>


 <!--Name of the Action management component-->
 <!--This action does not use any property values-->
 <Action name="Configure Logging">

   <!--Specify the name of the FUDefinition this action points to-->
   <FUDefinitionRef>
     <!--name of the management component this action points-->
     <Reference mcName="RasloggingFU"/>
   </FUDefinitionRef>

   <!--This is the default display information-->
   <DisplayInfo>
     <DisplayName key="MOD_LOG_DISPLAY_NAME"
                  URL="com/tivoli/core/console/logging/RasPfResources.class"
                  defaultText="Configure Logging"/>
     <ShortDescription key="MOD_LOG_SHORT_DESC"
                       URL="com/tivoli/core/console/logging/RasPfResources.class"
                       defaultText="Configure Logging"/>
     <LongDescription key="MOD_LOG_LONG_DESC"
                      URL="com/tivoli/core/console/logging/RasPfResources.class"
                      defaultText="Configure Logging"/>
   </DisplayInfo>

 </Action>


 <!--Name of FU Definition. Action element points to this name.-->
 <FUDefinition name="RasloggingFU"
               GUIPlatform="java">

  <!--Specify the name of the FUImplDefinition this FUDefinition points.-->
  <FUImplDefinitionRef>

   <!--mcName is the name of the actual FUImplDefinition and not of the Management component FUImplDefinition-->
   <Reference mcName="RasloggingFUImpl"/>
  </FUImplDefinitionRef>

  <!-- Input Property List -->
  <!-- This FUImpl has one optional generic input property. -->
  <!-- At runtime, the FUImpl will determine which of several -->
  <!-- valid objects, if any, was actually passed in. -->
   <InputPropertyList>
   <Property name="Resource">
    <Type>
     <Transient type="java.lang.Object"/>
    </Type>
   </Property>
   <Property name="OrbOrOrbSet">
    <Type>
     <Transient type="java.lang.Object"/>
    </Type>
   </Property>
  </InputPropertyList>

  <!-- Output Property List -->
  <!--There are no output properties-->

  <!--This is a requirement from FUSE. Every step FU is required to list their expected return codes-->
  <CompletionValueList>

   <!--List a return code indicating the situation-->
   <CompletionValue value="0">
   </CompletionValue>
  </CompletionValueList>

 </FUDefinition>


 <!--Name of the FUImplDefinition-->
 <FUImplDefinition name="RasloggingFUImpl">

  <!--URL pointing to the FUImpl class location-->
  <FUImpl URL="com/tivoli/core/console/logging/RasLoggingFUImpl.class"/>

 </FUImplDefinition>


 <!--Name of the RAS Log Viewer FUGUI Definition-->
 <FUGUIDefinition name="RasLogViewFUGUI">
   <!--Platform under which this FUGUI is to be displayed-->
   <!--URL pointing to the FUGUI class location-->
   <FUGUIImpl platform="java2"
              URL="com/tivoli/core/console/logging/RasLogViewFUGUI.class"/>
   <DisplayInfo>
     <HelpID helpID="fng_mcraslog_win_view"/>
   </DisplayInfo>
 </FUGUIDefinition>


 <!--Name of the RAS Modify Logging (e.g. Configure Logging) FUGUI Definition-->
 <FUGUIDefinition name="RasModLoggingFUGUI">
   <!--Platform under which this FUGUI is to be displayed-->
   <!--URL pointing to the FUGUI class location-->
   <FUGUIImpl platform="java2"
              URL="com/tivoli/core/console/logging/config/RasModLoggingFUGUI.class"/>
   <DisplayInfo>
     <HelpID helpID="fng_mcraslog_win_configlog"/>
   </DisplayInfo>
 </FUGUIDefinition>


 <!--Name of the RAS Modify Logging Associated Table FUGUI Definition-->
 <FUGUIDefinition name="RasModLoggingAssociatedTable">
   <!--Platform under which this FUGUI is to be displayed-->
   <!--URL pointing to the FUGUI class location-->
   <FUGUIImpl platform="java2"
              URL="com/tivoli/core/console/logging/config/RasModLoggingAssociatedTableFUGUI.class" />
   <DisplayInfo>
     <HelpID helpID="fng_mcraslog_win_assoelements"/>
   </DisplayInfo>
 </FUGUIDefinition>


 <!--Name of the RAS Modify Logging Attach Existing Filter FUGUI Definition-->
 <FUGUIDefinition name="RasModLoggingAttachFilter">
   <!--Platform under which this FUGUI is to be displayed-->
   <!--URL pointing to the FUGUI class location-->
   <FUGUIImpl platform="java2"
              URL="com/tivoli/core/console/logging/config/RasModLoggingAssociatedTableFUGUI.class" />
   <DisplayInfo>
     <HelpID helpID="fng_mcraslog_tsk_attachexisting"/>
   </DisplayInfo>
 </FUGUIDefinition>


 <!--Name of the RAS Modify Logging Detach Filter FUGUI Definition-->
 <FUGUIDefinition name="RasModLoggingDetachFilter">
   <!--Platform under which this FUGUI is to be displayed-->
   <!--URL pointing to the FUGUI class location-->
   <FUGUIImpl platform="java2"
              URL="com/tivoli/core/console/logging/config/RasModLoggingAssociatedTableFUGUI.class" />
   <DisplayInfo>
     <HelpID helpID="fng_mcraslog_tsk_detach"/>
   </DisplayInfo>
 </FUGUIDefinition>


 <!--Name of the RAS Modify Logging New Filter FUGUI Definition-->
 <FUGUIDefinition name="RasModLoggingNewFilter">
   <!--Platform under which this FUGUI is to be displayed-->
   <!--URL pointing to the FUGUI class location-->
   <FUGUIImpl platform="java2"
              URL="com/tivoli/core/console/logging/config/RasModLoggingUpdatePropertyFUGUI.class" />
   <DisplayInfo>
     <HelpID helpID="fng_mcraslog_tsk_attachfilter"/>
   </DisplayInfo>
 </FUGUIDefinition>


 <!--Name of the RAS Modify Logging List Filters FUGUI Definition-->
 <FUGUIDefinition name="RasModLoggingListFilters">
   <!--Platform under which this FUGUI is to be displayed-->
   <!--URL pointing to the FUGUI class location-->
   <FUGUIImpl platform="java2"
              URL="com/tivoli/core/console/logging/config/RasModLoggingAssociatedTableFUGUI.class" />
   <DisplayInfo>
     <HelpID helpID="fng_mcraslog_win_assoelements"/>
   </DisplayInfo>
 </FUGUIDefinition>


 <!--Name of the RAS Modify Logging Attach Existing Handler FUGUI Definition-->
 <FUGUIDefinition name="RasModLoggingAttachHandler">
   <!--Platform under which this FUGUI is to be displayed-->
   <!--URL pointing to the FUGUI class location-->
   <FUGUIImpl platform="java2"
              URL="com/tivoli/core/console/logging/config/RasModLoggingAssociatedTableFUGUI.class" />
   <DisplayInfo>
     <HelpID helpID="fng_mcraslog_tsk_attachexisting"/>
   </DisplayInfo>
 </FUGUIDefinition>


 <!--Name of the RAS Modify Logging Detach Handler FUGUI Definition-->
 <FUGUIDefinition name="RasModLoggingDetachHandler">
   <!--Platform under which this FUGUI is to be displayed-->
   <!--URL pointing to the FUGUI class location-->
   <FUGUIImpl platform="java2"
              URL="com/tivoli/core/console/logging/config/RasModLoggingAssociatedTableFUGUI.class" />
   <DisplayInfo>
     <HelpID helpID="fng_mcraslog_tsk_detach"/>
   </DisplayInfo>
 </FUGUIDefinition>


 <!--Name of the RAS Modify Logging List Handlers FUGUI Definition-->
 <FUGUIDefinition name="RasModLoggingListHandlers">
   <!--Platform under which this FUGUI is to be displayed-->
   <!--URL pointing to the FUGUI class location-->
   <FUGUIImpl platform="java2"
              URL="com/tivoli/core/console/logging/config/RasModLoggingAssociatedTableFUGUI.class" />
   <DisplayInfo>
     <HelpID helpID="fng_mcraslog_win_assoelements"/>
   </DisplayInfo>
 </FUGUIDefinition>


 <!--Name of the RAS Modify Logging New Handler FUGUI Definition-->
 <FUGUIDefinition name="RasModLoggingNewHandler">
   <!--Platform under which this FUGUI is to be displayed-->
   <!--URL pointing to the FUGUI class location-->
   <FUGUIImpl platform="java2"
              URL="com/tivoli/core/console/logging/config/RasModLoggingUpdatePropertyFUGUI.class" />
   <DisplayInfo>
     <HelpID helpID="fng_mcraslog_tsk_attachhandler"/>
   </DisplayInfo>
 </FUGUIDefinition>


 <!--Name of the RAS Modify Logging List Loggers FUGUI Definition-->
 <FUGUIDefinition name="RasModLoggingListLoggers">
   <!--Platform under which this FUGUI is to be displayed-->
   <!--URL pointing to the FUGUI class location-->
   <FUGUIImpl platform="java2"
              URL="com/tivoli/core/console/logging/config/RasModLoggingAssociatedTableFUGUI.class" />
   <DisplayInfo>
     <HelpID helpID="fng_mcraslog_win_assoelements"/>
   </DisplayInfo>
 </FUGUIDefinition>


 <!--Name of the RAS Modify Logging Update Properties FUGUI Definition-->
 <FUGUIDefinition name="RasModLoggingUpdateProperties">
   <!--Platform under which this FUGUI is to be displayed-->
   <!--URL pointing to the FUGUI class location-->
   <FUGUIImpl platform="java2"
              URL="com/tivoli/core/console/logging/config/RasModLoggingUpdatePropertyFUGUI.class" />
   <DisplayInfo>
     <HelpID helpID="fng_mcraslog_dlg_configlog"/>
   </DisplayInfo>
 </FUGUIDefinition>


<!-- CBC - com.tivoli.core.console.logging  END -->

<!-- BEGIN SMARTSET VIEW -->

  <Action name="SmartSetBrowse">
    <FUDefinitionRef>
      <Reference mcName="SmartSetBrowseFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="SMARTSET_BROWSER_MENU"
                   URL="com/tivoli/core/console/smartset/SmartSetResources.class"
                   defaultText="SmartSet Navigator"/>
    </DisplayInfo>
  </Action>

  <Action name="NavigateSmartSet">
    <FUDefinitionRef>
      <Reference mcName="SmartSetBrowseFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="SMARTSET_NAVIGATE_MENU"
                   URL="com/tivoli/core/console/smartset/SmartSetResources.class"
                   defaultText="Navigate"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="SmartSetBrowseFU">
    <FUImplDefinitionRef>
      <Reference mcName="SmartSetBrowseFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="SmartSetBrowseFUImpl">
    <FUImpl URL="com/tivoli/core/console/smartset/SmartSetBrowseFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="SmartSetBrowseFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/smartset/SmartSetBrowseFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcsmartset_win_navigate"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <Action name="CreateSmartSet">
    <FUDefinitionRef>
      <Reference mcName="CreateSmartSetFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="CREATE_SMARTSET_MENU"
                   URL="com/tivoli/core/console/smartset/SmartSetResources.class"
                   defaultText="Create SmartSet"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="CreateSmartSetFU">
    <FUImplDefinitionRef>
      <Reference mcName="CreateSmartSetFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="CreateSmartSetFUImpl">
    <FUImpl URL="com/tivoli/core/console/smartset/CreateSmartSetFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="CreateSmartSetFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/smartset/CreateSmartSetFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcsmartset_dlg_create"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <Action name="EditSmartSet">
    <FUDefinitionRef>
      <Reference mcName="EditSmartSetFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="EDIT_SMARTSET_MENU"
                   URL="com/tivoli/core/console/smartset/SmartSetResources.class"
                   defaultText="Edit"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="EditSmartSetFU">
    <FUImplDefinitionRef>
      <Reference mcName="EditSmartSetFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="EditSmartSetFUImpl">
    <FUImpl URL="com/tivoli/core/console/smartset/EditSmartSetFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="EditSmartSetFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/smartset/EditSmartSetFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcsmartset_dlg_edit"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <Action name="CopySmartSet">
    <FUDefinitionRef>
      <Reference mcName="CopySmartSetFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="COPY_SMARTSET_MENU"
                   URL="com/tivoli/core/console/smartset/SmartSetResources.class"
                   defaultText="Copy"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="CopySmartSetFU">
    <FUImplDefinitionRef>
      <Reference mcName="CopySmartSetFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="CopySmartSetFUImpl">
    <FUImpl URL="com/tivoli/core/console/smartset/CopySmartSetFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="CopySmartSetFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/smartset/CopySmartSetFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcsmartset_dlg_copy"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <Action name="ViewProvider">
    <FUDefinitionRef>
      <Reference mcName="ViewProviderFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="VIEW_PROVIDER_MENU"
                   URL="com/tivoli/core/console/smartset/SmartSetResources.class"
                   defaultText="View Metadata"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="ViewProviderFU">
    <FUImplDefinitionRef>
      <Reference mcName="ViewProviderFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="ViewProviderFUImpl">
    <FUImpl URL="com/tivoli/core/console/smartset/ViewProviderFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="ViewProviderFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/smartset/ViewProviderFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcsmartset_dlg_providerview"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <Action name="CreateSubSmartSet">
    <FUDefinitionRef>
      <Reference mcName="CreateSubSmartSetFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="CREATE_SUB_SMARTSET_MENU"
                   URL="com/tivoli/core/console/smartset/SmartSetResources.class"
                   defaultText="Create Subset"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="CreateSubSmartSetFU">
    <FUImplDefinitionRef>
      <Reference mcName="CreateSubSmartSetFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="CreateSubSmartSetFUImpl">
    <FUImpl URL="com/tivoli/core/console/smartset/CreateSubSmartSetFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="CreateSubSmartSetFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/smartset/CreateSubSmartSetFUGUI.class"/>
  </FUGUIDefinition>

  <Action name="CreateJoinedSmartSet">
    <FUDefinitionRef>
      <Reference mcName="CreateJoinedSmartSetFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="CREATE_JOINED_SMARTSET_MENU"
                   URL="com/tivoli/core/console/smartset/SmartSetResources.class"
                   defaultText="Create Join"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="CreateJoinedSmartSetFU">
    <FUImplDefinitionRef>
      <Reference mcName="CreateJoinedSmartSetFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="CreateJoinedSmartSetFUImpl">
    <FUImpl URL="com/tivoli/core/console/smartset/CreateJoinedSmartSetFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="CreateJoinedSmartSetFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/smartset/CreateJoinedSmartSetFUGUI.class"/>
  </FUGUIDefinition>

  <ResourceType name="SmartSetProvider"
                mappedClassName="com.tivoli.core.console.smartset.model.SmartSetProvider">
    <DefaultPopActionGroupRef>
      <Reference mcName="SmartSetProviderActions"/>
    </DefaultPopActionGroupRef>
  </ResourceType>

  <ActionGroup name="SmartSetProviderActions">
    <ActionRef>
      <Reference mcName="ViewProvider"/>
    </ActionRef>
    <ActionRef>
      <Reference mcName="CreateSmartSet"/>
    </ActionRef>
    <ActionRef>
      <Reference mcName="NavigateSmartSet"/>
    </ActionRef>
    <DisplayInfo>
      <DisplayName key="ACTIONS"
                   URL="com/tivoli/core/console/smartset/SmartSetResources.class"
                   defaultText="SmartSet Actions"/>
    </DisplayInfo>
  </ActionGroup>

  <ResourceType name="SmartSetCollection"
                mappedClassName="com.tivoli.core.console.smartset.model.SmartSetCollection">
    <DefaultPopActionGroupRef>
      <Reference mcName="SmartSetCollectionActions"/>
    </DefaultPopActionGroupRef>
  </ResourceType>

  <ActionGroup name="SmartSetCollectionActions">
    <ActionRef>
      <Reference mcName="CreateSmartSet"/>
    </ActionRef>
    <ActionRef>
      <Reference mcName="NavigateSmartSet"/>
    </ActionRef>
    <DisplayInfo>
      <DisplayName key="ACTIONS"
                   URL="com/tivoli/core/console/smartset/SmartSetResources.class"
                   defaultText="SmartSet Actions"/>
    </DisplayInfo>
  </ActionGroup>

  <ResourceType name="SmartSet"
                mappedClassName="com.tivoli.core.console.smartset.model.BasicSmartSet">
    <DefaultPopActionGroupRef>
      <Reference mcName="SmartSetActions"/>
    </DefaultPopActionGroupRef>
  </ResourceType>

  <ActionGroup name="SmartSetActions">
    <ActionRef>
      <Reference mcName="EditSmartSet"/>
    </ActionRef>
    <ActionRef>
      <Reference mcName="CopySmartSet"/>
    </ActionRef>
    <ActionRef>
      <Reference mcName="CreateSubSmartSet"/>
    </ActionRef>
    <ActionRef>
      <Reference mcName="CreateJoinedSmartSet"/>
    </ActionRef>
    <DisplayInfo>
      <DisplayName key="ACTIONS"
                   URL="com/tivoli/core/console/smartset/SmartSetResources.class"
                   defaultText="SmartSet Actions"/>
    </DisplayInfo>
  </ActionGroup>

<!-- END SMARTSET VIEW -->


<!-- JS SECURITY -->



  <ActionGroup name="Security">

    <ActionRef>
       <Reference mcName="PersonDirectory"/>
    </ActionRef>

    <ActionRef>
	<Reference mcName="CreatePerson"/>
    </ActionRef>

    <ActionRef>
      <Reference mcName="CreateRole"/>
    </ActionRef>

     <ActionRef>
       <Reference mcName="SelfEditorEX"/>
     </ActionRef>

    <ActionRef>
      <Reference mcName="TMD Filter"/>
    </ActionRef>

    <DisplayInfo>
      <DisplayName key="ACTION_GROUP" URL="com/tivoli/core/console/sec/SecurityResourceBundle.class" defaultText="Administer Security"/>
    </DisplayInfo>

  </ActionGroup>


  <Action name="InstanceEditor">
    <FUDefinitionRef>
      <Reference mcName="InstanceEditorFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="EDIT" URL="com/tivoli/core/console/sec/SecurityResourceBundle.class" defaultText="Edit" />
    </DisplayInfo>
  </Action>



  <Action name="TMD Filter">
    <FUDefinitionRef>
      <Reference mcName="TMDFilterFU"/>
    </FUDefinitionRef>

    <DisplayInfo>
      <DisplayName key="SEARCH" URL="com/tivoli/core/console/sec/SecurityResourceBundle.class" defaultText="Search Security" />
    </DisplayInfo>
  </Action>


  <Action name="NewInstanceEditor">
    <FUDefinitionRef>
      <Reference mcName="NewInstanceEditorFU"/>
    </FUDefinitionRef>
    <DefaultPropertyList>
      <PropertyValue name="objectClass">
        <TextValue>PERSON</TextValue>
      </PropertyValue>
     <PropertyValue name="EDIT_ACTION">
        <TextValue>NEW</TextValue>
      </PropertyValue>
    </DefaultPropertyList>

    <DisplayInfo>
      <DisplayName key="PERSON" URL="com/tivoli/core/console/sec/SecurityResourceBundle.class" defaultText="Person" />
    </DisplayInfo>
  </Action>



  <FUDefinition name="InstanceEditorFU">
    <FUImplDefinitionRef>
      <Reference mcName="InstanceEditorFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="Name">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
      <Property name="Context">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="InstanceEditorFUImpl">
    <FUImpl URL="com/tivoli/core/console/sec/fu/InstanceEditorFUImpl.class"/>
  </FUImplDefinition>



  <FUDefinition name="NewInstanceEditorFU">
    <FUImplDefinitionRef>
      <Reference mcName="InstanceEditorFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="Name">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
      <Property name="objectClass">
        <Type>
          <Persistent type="string"/>
        </Type>
      </Property>
      <Property name="Context">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="EDIT_ACTION">
        <Type>
	  <Persistent type="string"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>



  <FUGUIDefinition name="InstanceEditorFUGUI">
    <FUGUIImpl platform="java2" URL="com/tivoli/core/console/sec/fu/InstanceEditorFUGUI.class" />
  </FUGUIDefinition>

  <FUGUIDefinition name="TMDDirectoryFUGUI">
    <FUGUIImpl platform="java2" URL="com/tivoli/core/console/sec/fu/TMDDirectoryFUGUI.class" />
    <DisplayInfo>
      <HelpID helpID="fng_mcsec_win_navigate"/>
    </DisplayInfo>
  </FUGUIDefinition>



  <FUDefinition name="TMDPersonDirectoryFU">
    <FUImplDefinitionRef>
      <Reference mcName="TMDPersonDirectoryFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>

      <Property name="Name">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
      <Property name="Context">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="TopPath">
        <Type>
	  <Transient type="java.lang.String"/>
        </Type>
      </Property>
      <Property name="DefaultCapabilityName">
        <Type>
          <Persistent type="string"/>
        </Type>
      </Property>
       <Property name="DefaultCapabilityObjClass">
        <Type>
          <Persistent type="string"/>
        </Type>
      </Property>


    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="TMDPersonDirectoryFUImpl">
    <FUImpl URL="com/tivoli/core/console/sec/fu/TMDPersonDirectoryFUImpl.class"/>
  </FUImplDefinition>


  <FUDefinition name="PersonEditorFU">
    <FUImplDefinitionRef>
      <Reference mcName="PersonEditorFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="EDIT_ACTION">
        <Type>
	  <Persistent type="string"/>
        </Type>
      </Property>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="Name">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
      <Property name="Context">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <OutputPropertyList>
      <Property name="Name">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
    </OutputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>


  <FUImplDefinition name="PersonEditorFUImpl">
    <FUImpl URL="com/tivoli/core/console/sec/fu/PersonEditorFUImpl.class"/>
  </FUImplDefinition>

  <Action name="PersonDirectory">
    <FUDefinitionRef>
      <Reference mcName="TMDPersonDirectoryFU"/>
    </FUDefinitionRef>

    <DisplayInfo>
      <DisplayName key="ADMINISTER_USERS" URL="com/tivoli/core/console/sec/SecurityResourceBundle.class" defaultText="View Users, Resources, Roles" />
    </DisplayInfo>
  </Action>

  <Action name="NewPersonEditor">
    <FUDefinitionRef>
      <Reference mcName="PersonEditorFU"/>
    </FUDefinitionRef>

    <DefaultPropertyList>
     <PropertyValue name="EDIT_ACTION">
        <TextValue>NEW</TextValue>
     </PropertyValue>
    </DefaultPropertyList>

    <DisplayInfo>
      <DisplayName key="NEW_USER" URL="com/tivoli/core/console/sec/SecurityResourceBundle.class" defaultText="Add User" />
    </DisplayInfo>

  </Action>

  <Action name="PersonEditor">
    <FUDefinitionRef>
      <Reference mcName="PersonEditorFU"/>
    </FUDefinitionRef>

    <DefaultPropertyList>
     <PropertyValue name="EDIT_ACTION">
        <TextValue>EDIT</TextValue>
      </PropertyValue>
    </DefaultPropertyList>

    <DisplayInfo>
      <DisplayName key="EDIT" URL="com/tivoli/core/console/sec/SecurityResourceBundle.class" defaultText="New Users" />
    </DisplayInfo>
  </Action>


  <FUGUIDefinition name="PersonEditorFUGUI">
    <FUGUIImpl platform="java2" URL="com/tivoli/core/console/sec/fu/PersonEditorFUGUI.class" />
    <DisplayInfo>
      <HelpID helpID="fng_mcsec_dlg_person"/>
    </DisplayInfo>
  </FUGUIDefinition>



  <FUDefinition name="PersonFU">
    <FUImplDefinitionRef>
      <Reference mcName="PersonFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="EDIT_ACTION">
        <Type>
	  <Persistent type="string"/>
        </Type>
      </Property>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="Name">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
      <Property name="Context">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>


  <FUImplDefinition name="PersonFUImpl">
    <FUImpl URL="com/tivoli/core/console/sec/fu/PersonFUImpl.class"/>
  </FUImplDefinition>


  <Action name="PersonEditorEX">
    <FUDefinitionRef>
      <Reference mcName="PersonFU"/>
    </FUDefinitionRef>
    <DefaultPropertyList>
      <PropertyValue name="EDIT_ACTION">
        <TextValue>EDIT</TextValue>
      </PropertyValue>
    </DefaultPropertyList>
    <DisplayInfo>
      <DisplayName key="PROPERTIES" URL="com/tivoli/core/console/sec/SecurityResourceBundle.class" defaultText="Properties" />
    </DisplayInfo>
  </Action>

  <Action name="SelfEditorEX">
    <FUDefinitionRef>
      <Reference mcName="PersonFU"/>
    </FUDefinitionRef>
    <DefaultPropertyList>
      <PropertyValue name="EDIT_ACTION">
        <TextValue>EDIT_CURRENT_USER</TextValue>
      </PropertyValue>
    </DefaultPropertyList>
    <DisplayInfo>
      <DisplayName key="MY_PROPERTIES" URL="com/tivoli/core/console/sec/SecurityResourceBundle.class" defaultText="User Properties" />
    </DisplayInfo>
  </Action>

  <Action name="CreatePerson">
    <FUDefinitionRef>
      <Reference mcName="CreatePersonFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="NEW_USER" URL="com/tivoli/core/console/sec/SecurityResourceBundle.class" defaultText="New Users" />
    </DisplayInfo>
  </Action>

  <FUDefinition name="CreatePersonFU">
    <FUImplDefinitionRef>
      <Reference mcName="CreatePersonFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="Name">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
      <Property name="Context">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="CreatePersonFUImpl">
    <FUImpl URL="com/tivoli/core/console/sec/fu/CreatePersonFUImpl.class"/>
  </FUImplDefinition>


  <ResourceType name="Person" mappedClassName="PERSON/TMD">
    <DefaultPopActionGroupRef>
      <Reference mcName="PersonEditorGroup"/>
    </DefaultPopActionGroupRef>
  </ResourceType>


  <ActionGroup name="PersonEditorGroup">
    <ActionRef>
	<Reference mcName="PersonEditorEX"/>
    </ActionRef>
    <DisplayInfo>
      <DisplayName key="TIVOLI_ACTION_GROUP" URL="com/tivoli/core/console/common/abstractfu/AbstractResources.class" defaultText="bogus"/>
    </DisplayInfo>
  </ActionGroup>



  <FUGUIDefinition name="PersonFUGUI">
    <FUGUIImpl platform="java2" URL="com/tivoli/core/console/sec/fu/PrincipalFUGUI.class" />
    <DisplayInfo>
      <HelpID helpID="fng_mcsec_win_personview"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <FUGUIDefinition name="PrincipalFUGUI">
    <FUGUIImpl platform="java2" URL="com/tivoli/core/console/sec/fu/PrincipalFUGUI.class" />
    <DisplayInfo>
      <HelpID helpID="fng_mcsec_win_personview"/>
    </DisplayInfo>
  </FUGUIDefinition>


  <Action name="PrincipalEditorEX">
    <FUDefinitionRef>
      <Reference mcName="PrincipalFU"/>
    </FUDefinitionRef>

    <DefaultPropertyList>
     <PropertyValue name="EDIT_ACTION">
        <TextValue>EDIT</TextValue>
      </PropertyValue>
    </DefaultPropertyList>

    <DisplayInfo>
      <DisplayName key="PRINCIPAL_EDIT" URL="com/tivoli/core/console/sec/SecurityResourceBundle.class" defaultText="Accounts/Roles" />
    </DisplayInfo>
  </Action>


  <FUDefinition name="PrincipalFU">
    <FUImplDefinitionRef>
      <Reference mcName="PrincipalFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="EDIT_ACTION">
        <Type>
	  <Persistent type="string"/>
        </Type>
      </Property>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="Name">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
      <Property name="Context">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>


  <FUDefinition name="PrincipalEditorFU">
    <FUImplDefinitionRef>
      <Reference mcName="PrincipalEditorFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="EDIT_ACTION">
        <Type>
	  <Persistent type="string"/>
        </Type>
      </Property>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="Name">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
      <Property name="Context">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>


  <FUImplDefinition name="PrincipalFUImpl">
    <FUImpl URL="com/tivoli/core/console/sec/fu/PrincipalFUImpl.class"/>
  </FUImplDefinition>


  <FUImplDefinition name="PrincipalEditorFUImpl">
    <FUImpl URL="com/tivoli/core/console/sec/fu/PrincipalEditorFUImpl.class"/>
  </FUImplDefinition>

  <Action name="PrincipalEditor">
    <FUDefinitionRef>
      <Reference mcName="PrincipalEditorFU"/>
    </FUDefinitionRef>

    <DefaultPropertyList>
     <PropertyValue name="EDIT_ACTION">
        <TextValue>EDIT</TextValue>
      </PropertyValue>
    </DefaultPropertyList>

    <DisplayInfo>
      <DisplayName key="PRINCIPAL_EDIT" URL="com/tivoli/core/console/sec/SecurityResourceBundle.class" defaultText="Accounts/Roles" />
    </DisplayInfo>
  </Action>


  <FUGUIDefinition name="PrincipalEditorFUGUI">
    <FUGUIImpl platform="java2" URL="com/tivoli/core/console/sec/fu/PrincipalEditorFUGUI.class" />
    <DisplayInfo>
      <HelpID helpID="fng_mcsec_dlg_principal"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <ResourceType name="Principal" mappedClassName="PRINCIPAL/TMD">
    <DefaultPopActionGroupRef>
      <Reference mcName="PrincipalEditorGroup"/>
    </DefaultPopActionGroupRef>
  </ResourceType>


  <ActionGroup name="PrincipalEditorGroup">
    <ActionRef>
	<Reference mcName="PrincipalEditorEX"/>
    </ActionRef>
    <DisplayInfo>
      <DisplayName key="TIVOLI_ACTION_GROUP" URL="com/tivoli/core/console/common/abstractfu/AbstractResources.class" defaultText="bogus"/>
    </DisplayInfo>
  </ActionGroup>



  <FUDefinition name="TMDFilterFU">
    <FUImplDefinitionRef>
      <Reference mcName="TMDFilterFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="Name">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
      <Property name="objectClass">
        <Type>
          <Persistent type="string"/>
        </Type>
      </Property>
      <Property name="Context">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="TopPath">
        <Type>
	  <Transient type="java.lang.String"/>
        </Type>
      </Property>

      <Property name="TableAttrs">
        <Type>
	  <Transient type="java.util.Iterator"/>
        </Type>
      </Property>

      <Property name="FilterAttrs">
        <Type>
	  <Transient type="java.util.Iterator"/>
        </Type>
      </Property>



    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="TMDFilterFUImpl">
    <FUImpl URL="com/tivoli/core/console/sec/fu/TMDFilterFUImpl.class"/>
  </FUImplDefinition>


  <FUGUIDefinition name="TMDFilterFUGUI">
    <FUGUIImpl platform="java2" URL="com/tivoli/core/console/sec/fu/TMDFilterFUGUI.class" />
    <DisplayInfo>
      <HelpID helpID="fng_mcsec_win_search"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <ResourceType name="Account" mappedClassName="ACCOUNT/TMD">
    <DefaultPopActionGroupRef>
      <Reference mcName="AccountActionGroup"/>
    </DefaultPopActionGroupRef>
  </ResourceType>


  <ActionGroup name="AccountActionGroup">
    <ActionRef>
	<Reference mcName="AccountEditor"/>
    </ActionRef>
    <DisplayInfo>
      <DisplayName key="TIVOLI_ACTION_GROUP" URL="com/tivoli/core/console/common/abstractfu/AbstractResources.class" defaultText="bogus"/>
    </DisplayInfo>
  </ActionGroup>

  <Action name="NewAccountEditor">
    <FUDefinitionRef>
      <Reference mcName="AccountEditorFU"/>
    </FUDefinitionRef>

    <DefaultPropertyList>
     <PropertyValue name="EDIT_ACTION">
        <TextValue>NEW</TextValue>
     </PropertyValue>
    </DefaultPropertyList>

    <DisplayInfo>
      <DisplayName key="NEW_USER" URL="com/tivoli/core/console/sec/SecurityResourceBundle.class" defaultText="New Users" />
    </DisplayInfo>
  </Action>

  <Action name="AccountEditor">
    <FUDefinitionRef>
      <Reference mcName="AccountEditorFU"/>
    </FUDefinitionRef>

    <DefaultPropertyList>
     <PropertyValue name="EDIT_ACTION">
        <TextValue>EDIT</TextValue>
      </PropertyValue>
    </DefaultPropertyList>

    <DisplayInfo>
      <DisplayName key="EDIT" URL="com/tivoli/core/console/sec/SecurityResourceBundle.class" defaultText="New Users" />
    </DisplayInfo>
  </Action>


  <FUDefinition name="AccountEditorFU">
    <FUImplDefinitionRef>
      <Reference mcName="AccountEditorFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="EDIT_ACTION">
        <Type>
	  <Persistent type="string"/>
        </Type>
      </Property>
      <Property name="objectClass">
        <Type>
          <Persistent type="string"/>
        </Type>
      </Property>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="CacheOnly">
        <Type>
          <Transient type="java.lang.Boolean"/>
        </Type>
      </Property>
      <Property name="Name">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
      <Property name="Context">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <OutputPropertyList>
      <Property name="ACCOUNT">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </OutputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>


  <FUImplDefinition name="AccountEditorFUImpl">
    <FUImpl URL="com/tivoli/core/console/sec/fu/AccountEditorFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="AccountEditorFUGUI">
    <FUGUIImpl platform="java2" URL="com/tivoli/core/console/sec/fu/AccountEditorFUGUI.class" />
    <DisplayInfo>
      <HelpID helpID="fng_mcsec_dlg_acct"/>
    </DisplayInfo>
  </FUGUIDefinition>


  <ResourceType name="OU" mappedClassName="OU/TMD">
    <DefaultPopActionGroupRef>
      <Reference mcName="OUActionGroup"/>
    </DefaultPopActionGroupRef>
  </ResourceType>


  <ActionGroup name="OUActionGroup">
    <ActionRef>
	<Reference mcName="OUEditor"/>
    </ActionRef>
    <DisplayInfo>
      <DisplayName key="TIVOLI_ACTION_GROUP" URL="com/tivoli/core/console/common/abstractfu/AbstractResources.class" defaultText="bogus"/>
    </DisplayInfo>
  </ActionGroup>

  <Action name="NewOUEditor">
    <FUDefinitionRef>
      <Reference mcName="OUEditorFU"/>
    </FUDefinitionRef>

    <DefaultPropertyList>
     <PropertyValue name="EDIT_ACTION">
        <TextValue>NEW</TextValue>
     </PropertyValue>
    </DefaultPropertyList>

    <DisplayInfo>
      <DisplayName key="NEW_USER" URL="com/tivoli/core/console/sec/SecurityResourceBundle.class" defaultText="New Users" />
    </DisplayInfo>
  </Action>

  <Action name="OUEditor">
    <FUDefinitionRef>
      <Reference mcName="OUEditorFU"/>
    </FUDefinitionRef>

    <DefaultPropertyList>
     <PropertyValue name="EDIT_ACTION">
        <TextValue>EDIT</TextValue>
      </PropertyValue>
    </DefaultPropertyList>

    <DisplayInfo>
      <DisplayName key="EDIT" URL="com/tivoli/core/console/sec/SecurityResourceBundle.class" defaultText="New Users" />
    </DisplayInfo>
  </Action>




  <FUDefinition name="OUEditorFU">
    <FUImplDefinitionRef>
      <Reference mcName="OUEditorFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="EDIT_ACTION">
        <Type>
	  <Persistent type="string"/>
        </Type>
      </Property>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="CacheOnly">
        <Type>
          <Transient type="java.lang.Boolean"/>
        </Type>
      </Property>
      <Property name="Name">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
      <Property name="Context">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <OutputPropertyList>
      <Property name="OU">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </OutputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>


  <FUImplDefinition name="OUEditorFUImpl">
    <FUImpl URL="com/tivoli/core/console/sec/fu/OUEditorFUImpl.class"/>
  </FUImplDefinition>


  <FUGUIDefinition name="OUEditorFUGUI">
    <FUGUIImpl platform="java2" URL="com/tivoli/core/console/sec/fu/OUEditorFUGUI.class" />
    <DisplayInfo>
      <HelpID helpID="fng_mcsec_dlg_ou"/>
    </DisplayInfo>
  </FUGUIDefinition>





  <Action name="CapabilityEditor">
    <FUDefinitionRef>
      <Reference mcName="CapabilityEditorFU"/>
    </FUDefinitionRef>

    <DefaultPropertyList>
     <PropertyValue name="EDIT_ACTION">
        <TextValue>EDIT</TextValue>
      </PropertyValue>
    </DefaultPropertyList>

    <DisplayInfo>
      <DisplayName key="EDIT" URL="com/tivoli/core/console/sec/SecurityResourceBundle.class" defaultText="New Users" />
    </DisplayInfo>
  </Action>



  <ResourceType name="Role" mappedClassName="ROLE/TMD">
    <DefaultPopActionGroupRef>
      <Reference mcName="RoleActionGroup"/>
    </DefaultPopActionGroupRef>
  </ResourceType>


  <ActionGroup name="RoleActionGroup">
    <ActionRef>
	<Reference mcName="RoleEditorEX"/>
    </ActionRef>
    <DisplayInfo>
      <DisplayName key="TIVOLI_ACTION_GROUP" URL="com/tivoli/core/console/common/abstractfu/AbstractResources.class" defaultText="bogus"/>
    </DisplayInfo>
  </ActionGroup>

<!-- ##  Role Builder -->

  <Action name="RoleEditorEX">
    <FUDefinitionRef>
      <Reference mcName="RoleFU"/>
    </FUDefinitionRef>
    <DefaultPropertyList>
      <PropertyValue name="EDIT_ACTION">
        <TextValue>EDIT</TextValue>
      </PropertyValue>
    </DefaultPropertyList>
    <DisplayInfo>
      <DisplayName key="PROPERTIES" URL="com/tivoli/core/console/sec/SecurityResourceBundle.class" defaultText="Properties" />
    </DisplayInfo>
  </Action>

  <FUDefinition name="RoleFU">
    <FUImplDefinitionRef>
      <Reference mcName="RoleFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="TARGET_ITERATOR">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>

      <Property name="Context">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>

      <Property name="MEMBER_ITERATOR">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>

      <!--
       *
       * The Name of the New or Existing role
       *
       *-->

      <Property name="Name">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>

      <!--

        Action is either NEW, EDIT, ADD_TO_EXISTING, SHOW

      -->

      <Property name="EDIT_ACTION">
        <Type>
          <Persistent type="string"/>
        </Type>
      </Property>

        <!--

       The optional path to an org unit

        -->

      <Property name="MemberTargetInputDir">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>

      <Property name="OptionalPathToOrgUnit">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>

      <Property name="DefaultCapabilityName">
        <Type>
          <Persistent type="string"/>
        </Type>
      </Property>


       <Property name="DefaultCapabilityObjClass">
        <Type>
          <Persistent type="string"/>
        </Type>
      </Property>


    </InputPropertyList>


    <!--
           Return the path to the New or Existing Role
     -->

    <OutputPropertyList>
      <Property name="TMDRolePath">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
    </OutputPropertyList>


    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>


 <!-- Implementations -->

  <FUImplDefinition name="RoleFUImpl">
    <FUImpl URL="com/tivoli/core/console/sec/fu/RoleFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="RoleFUGUI">
    <FUGUIImpl platform="java2" URL="com/tivoli/core/console/sec/fu/RoleFUGUI.class" />
    <DisplayInfo>
      <HelpID helpID="fng_mcsec_win_roleview"/>
    </DisplayInfo>
  </FUGUIDefinition>

 <!--   -->


  <Action name="RoleEditor">
    <FUDefinitionRef>
      <Reference mcName="RoleEditorFU"/>
    </FUDefinitionRef>

    <DefaultPropertyList>
     <PropertyValue name="EDIT_ACTION">
        <TextValue>EDIT</TextValue>
      </PropertyValue>
    </DefaultPropertyList>

    <DisplayInfo>
      <DisplayName key="EDIT" URL="com/tivoli/core/console/sec/SecurityResourceBundle.class" defaultText="New Role" />
    </DisplayInfo>
  </Action>


  <FUDefinition name="RoleEditorFU">
    <FUImplDefinitionRef>
      <Reference mcName="RoleEditorFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="EDIT_ACTION">
        <Type>
	  <Persistent type="string"/>
        </Type>
      </Property>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="Name">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
      <Property name="Context">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <OutputPropertyList>
      <Property name="Name">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
    </OutputPropertyList>


    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>


  <FUImplDefinition name="RoleEditorFUImpl">
    <FUImpl URL="com/tivoli/core/console/sec/fu/RoleEditorFUImpl.class"/>
  </FUImplDefinition>


  <FUGUIDefinition name="RoleEditorFUGUI">
    <FUGUIImpl platform="java2" URL="com/tivoli/core/console/sec/fu/RoleEditorFUGUI.class" />
    <DisplayInfo>
      <HelpID helpID="fng_mcsec_dlg_role"/>
    </DisplayInfo>
  </FUGUIDefinition>


  <Action name="CreateRole">
    <FUDefinitionRef>
      <Reference mcName="CreateRoleFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="NEW_ROLE" URL="com/tivoli/core/console/sec/SecurityResourceBundle.class" defaultText="Add Role" />
    </DisplayInfo>
  </Action>


  <FUDefinition name="CreateRoleFU">
    <FUImplDefinitionRef>
      <Reference mcName="CreateRoleFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="Name">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
      <Property name="Context">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="CreateRoleFUImpl">
    <FUImpl URL="com/tivoli/core/console/sec/fu/CreateRoleFUImpl.class"/>
  </FUImplDefinition>



  <ResourceType name="Capability" mappedClassName="CAPABILITY/TMD">
    <DefaultPopActionGroupRef>
      <Reference mcName="CapabilityActionGroup"/>
    </DefaultPopActionGroupRef>
  </ResourceType>

  <ActionGroup name="CapabilityActionGroup">
    <ActionRef>
	<Reference mcName="CapabilityEditor"/>
    </ActionRef>
    <DisplayInfo>
      <DisplayName key="TIVOLI_ACTION_GROUP" URL="com/tivoli/core/console/common/abstractfu/AbstractResources.class" defaultText="bogus"/>
    </DisplayInfo>
  </ActionGroup>




  <FUDefinition name="CapabilityEditorFU">
    <FUImplDefinitionRef>
      <Reference mcName="CapabilityEditorFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="EDIT_ACTION">
        <Type>
	  <Persistent type="string"/>
        </Type>
      </Property>
      <Property name="objectClass">
        <Type>
          <Persistent type="string"/>
        </Type>
      </Property>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
      <Property name="CacheOnly">
        <Type>
          <Transient type="java.lang.Boolean"/>
        </Type>
      </Property>
      <Property name="Name">
        <Type>
          <Transient type="java.lang.String"/>
        </Type>
      </Property>
      <Property name="Context">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <OutputPropertyList>
      <Property name="CAPABILITY">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </OutputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>


  <FUImplDefinition name="CapabilityEditorFUImpl">
    <FUImpl URL="com/tivoli/core/console/sec/fu/CapabilityEditorFUImpl.class"/>
  </FUImplDefinition>



  <FUGUIDefinition name="CapabilityEditorFUGUI">
    <FUGUIImpl platform="java2" URL="com/tivoli/core/console/sec/fu/CapabilityEditorFUGUI.class" />
    <DisplayInfo>
      <HelpID helpID="fng_mcsec_dlg_cap"/>
    </DisplayInfo>
  </FUGUIDefinition>




<!--

   Auxilary GUIS




-->


  <FUGUIDefinition name="FilterRunnerFUGUI">
    <FUGUIImpl platform="java2" URL="com/tivoli/core/console/sec/gui/ResultsJcFUGUI.class" />
    <DisplayInfo>
      <HelpID helpID="fng_mcsec_dlg_filterresults"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <FUGUIDefinition name="RoleSelectionFUGUI">
    <FUGUIImpl platform="java2" URL="com/tivoli/core/console/sec/gui/RoleSelectionJcFUGUI.class" />
    <DisplayInfo>
      <HelpID helpID="fng_mcsec_dlg_assignlist"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <FUGUIDefinition name="FilterAssignmentFUGUI">
    <FUGUIImpl platform="java2" URL="com/tivoli/core/console/sec/gui/FilterAssignmentJcFUGUI.class" />
    <DisplayInfo>
      <HelpID helpID="fng_mcsec_dlg_selectmembers"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <FUGUIDefinition name="RightInfoFUGUI">
    <FUGUIImpl platform="java2" URL="com/tivoli/core/console/sec/gui/RightInfoJcFUGUI.class" />
    <DisplayInfo>
      <HelpID helpID="fng_mcsec_dlg_impliedaccessright"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <FUGUIDefinition name="ObjClassSelectionFUGUI">
    <FUGUIImpl platform="java2" URL="com/tivoli/core/console/sec/gui/ObjClassSelectionJcFUGUI.class" />
    <DisplayInfo>
      <HelpID helpID="fng_mcsec_dlg_selectobjectclasses"/>
    </DisplayInfo>
  </FUGUIDefinition>

<!-- END JS SECURITY -->

<!-- BEGIN IP CONFIG VIEW -->

  <Action name="IPConfigBrowser">
    <FUDefinitionRef>
      <Reference mcName="IPConfigBrowserFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="NAVIGATE_ALL_MENU"
                   URL="com/tivoli/core/console/ipconfig/IPConfigResources.class"
                   defaultText="IP Config Navigator"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="IPConfigBrowserFU">
    <FUImplDefinitionRef>
      <Reference mcName="IPConfigBrowserFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="IPConfigBrowserFUImpl">
    <FUImpl URL="com/tivoli/core/console/ipconfig/IPConfigBrowserFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="IPConfigBrowserFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/ipconfig/IPConfigBrowserFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcipconfig_win_navigate"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <Action name="CreateIPAddress">
    <FUDefinitionRef>
      <Reference mcName="CreateIPAddressFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="CREATE_ADDRESS_MENU"
                   URL="com/tivoli/core/console/ipconfig/IPConfigResources.class"
                   defaultText="Create IP Address"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="CreateIPAddressFU">
    <FUImplDefinitionRef>
      <Reference mcName="CreateIPAddressFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="CreateIPAddressFUImpl">
    <FUImpl URL="com/tivoli/core/console/ipconfig/CreateIPAddressFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="CreateIPAddressFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/ipconfig/CreateIPAddressFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcipconfig_dlg_createaddress"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <ResourceType name="IPAddressCollection"
                mappedClassName="com.tivoli.core.console.ipconfig.AddressesNode">
    <DefaultPopActionGroupRef>
      <Reference mcName="IPAddressCollectionActions"/>
    </DefaultPopActionGroupRef>
  </ResourceType>

  <ActionGroup name="IPAddressCollectionActions">
    <ActionRef>
      <Reference mcName="CreateIPAddress"/>
    </ActionRef>
    <DisplayInfo>
      <DisplayName key="ACTIONS"
                   URL="com/tivoli/core/console/ipconfig/IPConfigResources.class"
                   defaultText="IPconfig Actions"/>
    </DisplayInfo>
  </ActionGroup>

  <Action name="CreateIPWildcard">
    <FUDefinitionRef>
      <Reference mcName="CreateIPWildcardFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="CREATE_ADDRESS_MENU"
                   URL="com/tivoli/core/console/ipconfig/IPConfigResources.class"
                   defaultText="Create IP Wildcard"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="CreateIPWildcardFU">
    <FUImplDefinitionRef>
      <Reference mcName="CreateIPWildcardFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="CreateIPWildcardFUImpl">
    <FUImpl URL="com/tivoli/core/console/ipconfig/CreateIPWildcardFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="CreateIPWildcardFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/ipconfig/CreateIPWildcardFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcipconfig_dlg_createaddrrange"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <ResourceType name="IPWildcardCollection"
                mappedClassName="com.tivoli.core.console.ipconfig.WildcardsNode">
    <DefaultPopActionGroupRef>
      <Reference mcName="IPWildcardCollectionActions"/>
    </DefaultPopActionGroupRef>
  </ResourceType>

  <ActionGroup name="IPWildcardCollectionActions">
    <ActionRef>
      <Reference mcName="CreateIPWildcard"/>
    </ActionRef>
    <DisplayInfo>
      <DisplayName key="ACTIONS"
                   URL="com/tivoli/core/console/ipconfig/IPConfigResources.class"
                   defaultText="IPconfig Actions"/>
    </DisplayInfo>
  </ActionGroup>

  <Action name="CreateNAT">
    <FUDefinitionRef>
      <Reference mcName="CreateNATFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="CREATE_NAT_MENU"
                   URL="com/tivoli/core/console/ipconfig/IPConfigResources.class"
                   defaultText="Create NAT"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="CreateNATFU">
    <FUImplDefinitionRef>
      <Reference mcName="CreateNATFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="CreateNATFUImpl">
    <FUImpl URL="com/tivoli/core/console/ipconfig/CreateNATFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="CreateNATFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/ipconfig/CreateNATFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcipconfig_dlg_createnat"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <ResourceType name="NATCollection"
                mappedClassName="com.tivoli.core.console.ipconfig.NATRootNode">
    <DefaultPopActionGroupRef>
      <Reference mcName="NATCollectionActions"/>
    </DefaultPopActionGroupRef>
  </ResourceType>

  <ActionGroup name="NATCollectionActions">
    <ActionRef>
      <Reference mcName="CreateNAT"/>
    </ActionRef>
    <DisplayInfo>
      <DisplayName key="ACTIONS"
                   URL="com/tivoli/core/console/ipconfig/IPConfigResources.class"
                   defaultText="IPconfig Actions"/>
    </DisplayInfo>
  </ActionGroup>

  <Action name="EditIPAddress">
    <FUDefinitionRef>
      <Reference mcName="EditIPAddressFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="EDIT_ADDRESS_MENU"
                   URL="com/tivoli/core/console/ipconfig/IPConfigResources.class"
                   defaultText="Edit IP Address"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="EditIPAddressFU">
    <FUImplDefinitionRef>
      <Reference mcName="EditIPAddressFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="EditIPAddressFUImpl">
    <FUImpl URL="com/tivoli/core/console/ipconfig/EditIPAddressFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="EditIPAddressFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/ipconfig/EditIPAddressFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcipconfig_dlg_editaddress"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <ResourceType name="IPAddressEntry"
                mappedClassName="com.tivoli.core.console.ipconfig.AbstractIPAddressEntry">
    <DefaultPopActionGroupRef>
      <Reference mcName="IPAddressEntryActions"/>
    </DefaultPopActionGroupRef>
  </ResourceType>

  <ActionGroup name="IPAddressEntryActions">
    <ActionRef>
      <Reference mcName="EditIPAddress"/>
    </ActionRef>
    <DisplayInfo>
      <DisplayName key="ACTIONS"
                   URL="com/tivoli/core/console/ipconfig/IPConfigResources.class"
                   defaultText="IPconfig Actions"/>
    </DisplayInfo>
  </ActionGroup>

  <Action name="EditIPDefaults">
    <FUDefinitionRef>
      <Reference mcName="EditIPDefaultsFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName key="EDIT_DEFAULTS_MENU"
                   URL="com/tivoli/core/console/ipconfig/IPConfigResources.class"
                   defaultText="Edit Defaults"/>
    </DisplayInfo>
  </Action>

  <FUDefinition name="EditIPDefaultsFU">
    <FUImplDefinitionRef>
      <Reference mcName="EditIPDefaultsFUImpl"/>
    </FUImplDefinitionRef>

    <InputPropertyList>
      <Property name="Resource">
        <Type>
          <Transient type="java.lang.Object"/>
        </Type>
      </Property>
    </InputPropertyList>

    <CompletionValueList>
      <CompletionValue value="0"/>
    </CompletionValueList>
  </FUDefinition>

  <FUImplDefinition name="EditIPDefaultsFUImpl">
    <FUImpl URL="com/tivoli/core/console/ipconfig/EditIPDefaultsFUImpl.class"/>
  </FUImplDefinition>

  <FUGUIDefinition name="EditIPDefaultsFUGUI">
    <FUGUIImpl platform="java2"
               URL="com/tivoli/core/console/ipconfig/EditIPDefaultsFUGUI.class"/>
    <DisplayInfo>
      <HelpID helpID="fng_mcipconfig_dlg_editdefaults"/>
    </DisplayInfo>
  </FUGUIDefinition>

  <ResourceType name="NAT"
                mappedClassName="com.tivoli.core.console.ipconfig.AbstractNATNode">
    <DefaultPopActionGroupRef>
      <Reference mcName="NATActions"/>
    </DefaultPopActionGroupRef>
  </ResourceType>

  <ActionGroup name="NATActions">
    <ActionRef>
      <Reference mcName="EditIPDefaults"/>
    </ActionRef>
    <DisplayInfo>
      <DisplayName key="ACTIONS"
                   URL="com/tivoli/core/console/ipconfig/IPConfigResources.class"
                   defaultText="IPconfig Actions"/>
    </DisplayInfo>
  </ActionGroup>

<!-- END IP CONFIG VIEW -->

</MCPackage>
