<?xml version="1.0" encoding="US-ASCII"?>
<!DOCTYPE MCPackage SYSTEM "file:com/tivoli/pf/mcr/dtd/mcr.dtd"
[ <!ENTITY PS_FUL_IMPL_COMP_VERSION "1.1.4">
  <!ENTITY PS_FUL_INT_COMP_VERSION "1.1.4">
  <!ENTITY PS_FUL_UTIL_COMP_VERSION "1.1.4">
  <!ENTITY PS_FUL_NLS_COMP_VERSION "1.1.4">
  <!ENTITY COMMON_COMPONENT_VERSION "1.1.4">
]>

<!--
*************************************************************
* Licensed Materials - Property of IBM
* 5698-TKS
* (C) Copyright IBM Corp. 2000   All Rights Reserved 
* 
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with 
* IBM Corp.
*************************************************************
-->

<MCPackage name="com.tivoli.pfdk.ful.impl" version="&PS_FUL_IMPL_COMP_VERSION;"  packageType="implementation">

      	<Dependency name="com.tivoli.pfdk.ful.if" version="&PS_FUL_INT_COMP_VERSION;" packageType="interface"/>
	<Dependency name="com.tivoli.pfdk.ful.util" version="&PS_FUL_UTIL_COMP_VERSION;" packageType="utility"/>
	<Dependency name="com.tivoli.pfdk.ful.nls" version="&PS_FUL_NLS_COMP_VERSION;" packageType="internationalization"/>
	<Dependency name="PsCommonInt" version="&COMMON_COMPONENT_VERSION;" packageType="interface"/>        
        
        <CompatibleUpgradeOf version="1.1.0"/>


<!-- ===================================== -->
<!-- MCFul Role                            -->
<!-- ===================================== -->

 <!--User class definition for the com.tivoli.pfdk.ful.impl Actions-->

 <Role name="MCFulRole">
    <Authorizations>

      <!-- FU Library Navigation/Selection Actions -->
      <ActionRef> <Reference package="com.tivoli.pfdk.ful.impl" version="&PS_FUL_IMPL_COMP_VERSION;" mcName="DisplayWebFileAction"/> </ActionRef>
      <ActionRef> <Reference package="com.tivoli.pfdk.ful.impl" version="&PS_FUL_IMPL_COMP_VERSION;" mcName="DisplayWebURLAction"/> </ActionRef>
      <ActionRef> <Reference package="com.tivoli.pfdk.ful.impl" version="&PS_FUL_IMPL_COMP_VERSION;" mcName="SpRelSimpleNavigationAction"/> </ActionRef>
      <ActionRef> <Reference package="com.tivoli.pfdk.ful.impl" version="&PS_FUL_IMPL_COMP_VERSION;" mcName="SpRelTreeNavigationAction"/> </ActionRef>
      <ActionRef> <Reference package="com.tivoli.pfdk.ful.impl" version="&PS_FUL_IMPL_COMP_VERSION;" mcName="SpRelTreeSelectionAction"/> </ActionRef>
      <ActionRef> <Reference package="com.tivoli.pfdk.ful.impl" version="&PS_FUL_IMPL_COMP_VERSION;" mcName="ResTypeSimpleNavigationAction"/> </ActionRef>
      <ActionRef> <Reference package="com.tivoli.pfdk.ful.impl" version="&PS_FUL_IMPL_COMP_VERSION;" mcName="ResTypeTreeNavigationAction"/> </ActionRef>
      <ActionRef> <Reference package="com.tivoli.pfdk.ful.impl" version="&PS_FUL_IMPL_COMP_VERSION;" mcName="ResTypeTreeSelectionAction"/> </ActionRef>
<!--  Removed temporarily...     <ActionRef> <Reference package="com.tivoli.pfdk.ful.impl" version="&PS_FUL_IMPL_COMP_VERSION;" mcName="RuntimeStatusAction"/> </ActionRef> -->

    </Authorizations>

    <Portfolio>
       <!-- Support Actions. The actions in this group can become a debugging aid. Temporarily removed.
       <ActionGroupRef> <Reference package="com.tivoli.pfdk.ful.impl" version="&PS_FUL_IMPL_COMP_VERSION;" mcName="RuntimeStatusActionGroup"/> </ActionGroupRef>
       -->
    </Portfolio>

    <DisplayInfo>
        <DisplayName key="FUL_ROLE_DISP" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class"  defaultText="Task Driver Library Role"/>
        <ShortDescription key="FUL_ROLE_SHORT" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class" defaultText="Task Driver Library Role"/>
        <LongDescription key="FUL_ROLE_LONG" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class" defaultText="Role to access Task Driver Library actions, tasks and GUIs"/>
    </DisplayInfo>


 </Role>



<!-- ================================================================== -->
<!-- Display HTML-related definitions 						-->
<!-- ================================================================== -->

<!-- Display HTML File Action  -->
       <Action name="DisplayWebFileAction">
                <FUDefinitionRef>
                        <Reference package="com.tivoli.pfdk.ful.impl" mcName="DisplayWebFile" version="&PS_FUL_IMPL_COMP_VERSION;"/>
                </FUDefinitionRef>
                <DisplayInfo>
                  	<DisplayName key="DISPLAY_HTML_FILE" URL="com/tivoli/pfdk/ful/nls/FulDisplayHTMLResources.class" defaultText="Display HTML File"/>
                </DisplayInfo>
        </Action>


<!-- Display HTML URL Action  -->
       <Action name="DisplayWebURLAction">
                <FUDefinitionRef>
                        <Reference package="com.tivoli.pfdk.ful.impl" mcName="DisplayWebURL" version="&PS_FUL_IMPL_COMP_VERSION;"/>
                </FUDefinitionRef>
                <DisplayInfo>
                  	<DisplayName key="DISPLAY_HTML_URL" URL="com/tivoli/pfdk/ful/nls/FulDisplayHTMLResources.class" defaultText="Display HTML URL"/>
                </DisplayInfo>
        </Action>




<FUDefinition name="DisplayWebFile" GUIPlatform="all">

  <FUImplDefinitionRef>
    <Reference mcName="DisplayHTMLFUImpl"/>
  </FUImplDefinitionRef>

  <InputPropertyList>
    <Property name="FILE_RESOURCE_KEY">
      <Type>
        <Persistent type="string"/>
      </Type>
    </Property>
    <Property name="RESOURCE_BUNDLE_NAME">
      <Type>
        <Persistent type="string"/>
      </Type>
    </Property>
  </InputPropertyList>

  <CompletionValueList>

    <CompletionValue value="0">
    </CompletionValue>

  </CompletionValueList>

</FUDefinition>

<FUDefinition name="DisplayWebURL" GUIPlatform="all">

  <FUImplDefinitionRef>
    <Reference mcName="DisplayHTMLFUImpl"/>
  </FUImplDefinitionRef>

  <InputPropertyList>
    <Property name="URL">
      <Type>
        <Persistent type="string"/>
      </Type>
    </Property>
  </InputPropertyList>

  <CompletionValueList>

    <CompletionValue value="0">
    </CompletionValue>

  </CompletionValueList>

</FUDefinition>

<FUImplDefinition name="DisplayHTMLFUImpl">
  <FUImpl URL="com/tivoli/pfdk/ful/displayhtml/FulDisplayHTMLImpl.class"/>
</FUImplDefinition>

<FUGUIDefinition name="DisplayHTMLGUI">
  <FUGUIImpl platform="java2" URL="com/tivoli/pfdk/ful/displayhtml/FulDisplayHTMLGUIImpl.class"/>
  <FUGUIImpl platform="html4.0" URL="com/tivoli/pfdk/ful/displayhtml/FulDisplayHTMLWebGUIImpl.class"/>
  <DisplayInfo>
    <HelpID helpID="jc_intro"/>
  </DisplayInfo>
</FUGUIDefinition>



<!-- ================================================================== -->
<!-- Action Group definitions 						-->
<!-- ================================================================== -->


<!-- ============================ -->
<!-- Navigation Group Definition  -->
<!-- ============================ -->

    <ActionGroup name="Navigation Action Group">
	
	<ActionRef>
	    <Reference mcName="SpRelSimpleNavigationAction"/>
	</ActionRef>
  		
	<ActionRef>
	    <Reference mcName="SpRelTreeNavigationAction"/>
	</ActionRef>
	
	<ActionRef>
	    <Reference mcName="SpRelTreeSelectionAction"/>
	</ActionRef>

	<ActionRef>
	    <Reference mcName="ResTypeSimpleNavigationAction"/>
	</ActionRef>
  		
	<ActionRef>
	    <Reference mcName="ResTypeTreeNavigationAction"/>
	</ActionRef>
	
	<ActionRef>
	    <Reference mcName="ResTypeTreeSelectionAction"/>
	</ActionRef>
	
	<DisplayInfo>
	
       	    <DisplayName key="NAVIGATION_ACTIONS_DISP" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class"  defaultText="Navigation Actions"/>

            <ShortDescription key="NAVIGATION_ACTIONS_SHORT" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class" defaultText="Navigation Actions"/>

   	    <LongDescription key="NAVIGATION_ACTIONS_LONG" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class" defaultText="Navigation Actions"/>
	
      	    <Icon size="medium" URL="com/tivoli/pfdk/ful/res/action_m.gif"/>
            <Icon size="small" URL="com/tivoli/pfdk/ful/res/action_s.gif"/>
       	    <Icon size="tiny" URL="com/tivoli/pfdk/ful/res/action_t.gif"/>
	
 	</DisplayInfo>

    </ActionGroup>



<!-- ================================================================== -->
<!-- Action Definitions      						-->
<!-- ================================================================== -->


<!-- ===================================== -->
<!-- SpRel/Simple/Navigation Action        -->
<!-- ===================================== -->

    <Action name="SpRelSimpleNavigationAction">

        <FUDefinitionRef>
            <Reference mcName="SimpleNavigatorFU"/>
        </FUDefinitionRef>

<!--    This can be used to override the FUDefinition properties
        <DefaultPropertyList>
        </DefaultPropertyList>
-->
	
     	<DisplayInfo>

       	    <DisplayName key="REL_SIMPLE_NAV_DISP" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class"  defaultText="Starting point / Relationship based navigation action using the Simple Navigator"/>

            <ShortDescription key="REL_SIMPLE_NAV_SHORT" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class" defaultText="SpRel/Simple/Nav Action"/>

   	    <LongDescription key="REL_SIMPLE_NAV_LONG" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class" defaultText="SpRel/Simple/Navigation Action"/>
    	
<!-- 			
            <HelpReference helpID="jc_intro">
     	      	<HelpSetRef>
       		    <Reference mcName="ConsoleActions"/>
                </HelpSetRef>
 	    </HelpReference>
-->
      	    <Icon size="medium" URL="com/tivoli/pfdk/ful/res/action_m.gif"/>
            <Icon size="small" URL="com/tivoli/pfdk/ful/res/action_s.gif"/>
       	    <Icon size="tiny" URL="com/tivoli/pfdk/ful/res/action_t.gif"/>

    	</DisplayInfo>

    </Action>


<!-- ===================================== -->
<!-- SpRel/Simple/Selection Action         -->
<!--    (not available yet)                -->
<!-- ===================================== -->


<!-- ===================================== -->
<!-- SpRel/Tree/Navigation Action          -->
<!-- ===================================== -->

    <Action name="SpRelTreeNavigationAction">

        <FUDefinitionRef>
            <Reference mcName="ExpandableTreeNavigatorFU"/>
        </FUDefinitionRef>

<!--    This can be used to override the FUDefinition properties
        <DefaultPropertyList>
        </DefaultPropertyList>
-->
	
     	<DisplayInfo>

       	    <DisplayName key="REL_TREE_NAV_DISP" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class"  defaultText="Starting point / Relationship based navigation action using the Expandable Tree Navigator"/>

            <ShortDescription key="REL_TREE_NAV_SHORT" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class" defaultText="SpRel/Tree/Nav Action"/>

   	    <LongDescription key="REL_TREE_NAV_LONG" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class" defaultText="SpRel/Tree/Navigation Action"/>
    	
<!-- 			
            <HelpReference helpID="jc_intro">
     	      	<HelpSetRef>
       		    <Reference mcName="ConsoleActions"/>
                </HelpSetRef>
 	    </HelpReference>
-->
      	    <Icon size="medium" URL="com/tivoli/pfdk/ful/res/action_m.gif"/>
            <Icon size="small" URL="com/tivoli/pfdk/ful/res/action_s.gif"/>
       	    <Icon size="tiny" URL="com/tivoli/pfdk/ful/res/action_t.gif"/>

    	</DisplayInfo>

    </Action>


<!-- ===================================== -->
<!-- SpRel/Tree/Selection Action           -->
<!-- ===================================== -->

    <Action name="SpRelTreeSelectionAction">

        <FUDefinitionRef>
            <Reference mcName="SimpleNavigatorFU"/>
        </FUDefinitionRef>

<!--    This can be used to override the FUDefinition properties -->
        <DefaultPropertyList>

            <PropertyValue name="ViewModelType">
                <TextValue> com.tivoli.pfdk.ful.impl/1.1.4/FulTreeViewModelMapper </TextValue>
            </PropertyValue>

            <PropertyValue name="Viewer1">
                <TextValue> com.tivoli.pfdk.ful.impl/1.1.4/SelectionTreeViewerFUGUI </TextValue>
            </PropertyValue>

            <PropertyValue name="PublishSelection">
                <TextValue>true</TextValue>
            </PropertyValue>

        </DefaultPropertyList>
	
     	<DisplayInfo>

       	    <DisplayName key="REL_TREE_SEL_DISP" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class"  defaultText="Starting point / Relationship based selection action using the Expandable Tree Navigator"/>

            <ShortDescription key="REL_TREE_SEL_SHORT" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class" defaultText="SpRel/Tree/Sel Action"/>

   	    <LongDescription key="REL_TREE_SEL_LONG" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class" defaultText="SpRel/Tree/Selection Action"/>
    	
<!-- 			
            <HelpReference helpID="jc_intro">
     	      	<HelpSetRef>
       		    <Reference mcName="ConsoleActions"/>
                </HelpSetRef>
 	    </HelpReference>
-->
      	    <Icon size="medium" URL="com/tivoli/pfdk/ful/res/action_m.gif"/>
            <Icon size="small" URL="com/tivoli/pfdk/ful/res/action_s.gif"/>
       	    <Icon size="tiny" URL="com/tivoli/pfdk/ful/res/action_t.gif"/>

    	</DisplayInfo>

    </Action>


<!-- ===================================== -->
<!-- ResType/Simple/Navigation Action      -->
<!-- ===================================== -->

    <Action name="ResTypeSimpleNavigationAction">

        <FUDefinitionRef>
            <Reference mcName="SimpleNavigatorFU"/>
        </FUDefinitionRef>

<!--    This can be used to override the FUDefinition properties -->
        <DefaultPropertyList>

            <PropertyValue name="NavigationType">
                <TextValue> ResourceType Based </TextValue>
            </PropertyValue>

        </DefaultPropertyList>
	
     	<DisplayInfo>

       	    <DisplayName key="RT_SIMPLE_NAV_DISP" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class"  defaultText="Resource type based navigation action using the Simple Navigator"/>

            <ShortDescription key="RT_SIMPLE_NAV_SHORT" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class" defaultText="RT/Simple/Nav Action"/>

   	    <LongDescription key="RT_SIMPLE_NAV_LONG" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class" defaultText="ResType/Simple/Navigation Action"/>
    	
<!-- 			
            <HelpReference helpID="jc_intro">
     	      	<HelpSetRef>
       		    <Reference mcName="ConsoleActions"/>
                </HelpSetRef>
 	    </HelpReference>
-->
      	    <Icon size="medium" URL="com/tivoli/pfdk/ful/res/action_m.gif"/>
            <Icon size="small" URL="com/tivoli/pfdk/ful/res/action_s.gif"/>
       	    <Icon size="tiny" URL="com/tivoli/pfdk/ful/res/action_t.gif"/>

    	</DisplayInfo>

    </Action>


<!-- ===================================== -->
<!-- ResType/Simple/Selection Action       -->
<!--    (not available yet)                -->
<!-- ===================================== -->


<!-- ===================================== -->
<!-- ResType/Tree/Navigation Action        -->
<!-- ===================================== -->

    <Action name="ResTypeTreeNavigationAction">

        <FUDefinitionRef>
            <Reference mcName="ExpandableTreeNavigatorFU"/>
        </FUDefinitionRef>

<!--    This can be used to override the FUDefinition properties -->
        <DefaultPropertyList>

            <PropertyValue name="NavigationType">
                <TextValue> ResourceType Based </TextValue>
            </PropertyValue>

        </DefaultPropertyList>
	
     	<DisplayInfo>

       	    <DisplayName key="RT_TREE_NAV_DISP" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class"  defaultText="Resource type based navigation action using the Expandable Tree Navigator"/>

            <ShortDescription key="RT_TREE_NAV_SHORT" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class" defaultText="RT/Tree/Nav Action"/>

   	    <LongDescription key="RT_TREE_NAV_LONG" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class" defaultText="ResType/Tree/Navigation Action"/>
    	
<!-- 			
            <HelpReference helpID="jc_intro">
     	      	<HelpSetRef>
       		    <Reference mcName="ConsoleActions"/>
                </HelpSetRef>
 	    </HelpReference>
-->
      	    <Icon size="medium" URL="com/tivoli/pfdk/ful/res/action_m.gif"/>
            <Icon size="small" URL="com/tivoli/pfdk/ful/res/action_s.gif"/>
       	    <Icon size="tiny" URL="com/tivoli/pfdk/ful/res/action_t.gif"/>

    	</DisplayInfo>

    </Action>


<!-- ===================================== -->
<!-- ResType/Tree/Selection Action         -->
<!-- ===================================== -->

    <Action name="ResTypeTreeSelectionAction">

        <FUDefinitionRef>
            <Reference mcName="SimpleNavigatorFU"/>
        </FUDefinitionRef>

<!--    This can be used to override the FUDefinition properties -->
        <DefaultPropertyList>

            <PropertyValue name="NavigationType">
                <TextValue> ResourceType Based </TextValue>
            </PropertyValue>

            <PropertyValue name="ViewModelType">
                <TextValue> com.tivoli.pfdk.ful.impl/1.1.4/FulTreeViewModelMapper </TextValue>
            </PropertyValue>

            <PropertyValue name="Viewer1">
                <TextValue> com.tivoli.pfdk.ful.impl/1.1.4/SelectionTreeViewerFUGUI </TextValue>
            </PropertyValue>

            <PropertyValue name="PublishSelection">
                <TextValue>true</TextValue>
            </PropertyValue>

        </DefaultPropertyList>
	
     	<DisplayInfo>

       	    <DisplayName key="RT_TREE_SEL_DISP" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class"  defaultText="Resource type based selection action using the Expandable Tree Navigator"/>

            <ShortDescription key="RT_TREE_SEL_SHORT" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class" defaultText="RT/Tree/Sel Action"/>

   	    <LongDescription key="RT_TREE_SEL_LONG" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class" defaultText="ResType/Tree/Selection Action"/>
    	
<!-- 			
            <HelpReference helpID="jc_intro">
     	      	<HelpSetRef>
       		    <Reference mcName="ConsoleActions"/>
                </HelpSetRef>
 	    </HelpReference>
-->
      	    <Icon size="medium" URL="com/tivoli/pfdk/ful/res/action_m.gif"/>
            <Icon size="small" URL="com/tivoli/pfdk/ful/res/action_s.gif"/>
       	    <Icon size="tiny" URL="com/tivoli/pfdk/ful/res/action_t.gif"/>

    	</DisplayInfo>

    </Action>



<!-- ================================================================== -->
<!-- FU Definitions      						-->
<!-- ================================================================== -->


<!-- ============================ -->
<!-- SimpleNavigatorFU Definition -->
<!-- ============================ -->

    <FUDefinition name="SimpleNavigatorFU" GUIPlatform="java">

        <FUImplDefinitionRef>
            <Reference mcName="SimpleNavigatorFUImpl"/>
        </FUImplDefinitionRef>

        <InputPropertyList>

            <!-- RESOURCE TYPE    OR    STARTING POINT RESOURCE and RELATIONSHIP  to navigate -->

            <Property name="NavigationType">
                <Type>
                    <Persistent type="string"/>
                </Type>
			<TextValue> Resource Based </TextValue>         <!-- default value (starting point/relationship navigation -->
<!--			<TextValue> ResourceType Based </TextValue>     other possible value (resource type navigation) -->
            </Property>

            <Property name="ResourceType">
                <Type>
                    <Persistent type="string"/>
                </Type>
            </Property>

            <Property name="Resource">
                <Type>
                     <Transient type="com.tivoli.pf.ns.external.INsResource" />
                </Type>
            </Property>

            <Property name="Relationship">
                <Type>
                     <Persistent type="string" />
                </Type>
                        <TextValue> Contains </TextValue>               <!-- default value (navigate using 'Contains' relationship) -->
                                                                        <!-- other values possible -->
            </Property>

            <!-- INDICATES WHETHER SELECTION OR NAVIGATION ACTION -->

	    <Property name="PublishSelection">
	    	<Type>
		    <Persistent type="boolean"/>
		</Type>
			<TextValue>false</TextValue>                    <!-- default value (not doing selection)-->
<!--                    <TextValue>true</TextValue>                     other possible value (doing selection) -->
	    </Property>

            <!-- VIEW MODEL TYPE (currently simple or tree) -->

            <Property name="ViewModelType">
                <Type>
                    <Persistent type="string"/>
                </Type>
			<TextValue> com.tivoli.pfdk.ful.impl/1.1.4/FulListViewModelMapper </TextValue>
<!-- default value (simple VM) -->
<!--			<TextValue> com.tivoli.pfdk.ful.impl/1.1.4/FulTreeViewModelMapper </TextValue>          other possible value (tree VM) -->
<!-- other values possible -->
            </Property>

            <!-- INITIAL AND TOGGLE VIEWERS USED TO DISPLAY DATA -->

            <Property name="ViewerTitle">
                <Type>
                    <Persistent type="nlsString"/>
                </Type>
 <!--                  <NLSTextValue> key="" URL="" defaultText="Viewer Title"/>         default value-->
            </Property>

            <Property name="DefaultViewer">
                <Type>
                    <Persistent type="string"/>
                </Type>
			<TextValue> Viewer1 </TextValue>                <!-- default value (start with viewer1) -->
<!--                    <TextValue> Viewer2 </TextValue>                other possible value (start with viewer2) -->
<!--                    <TextValue> Viewer3 </TextValue>                other possible value (start with viewer3) -->
<!--                    <TextValue> Viewer4 </TextValue>                other possible value (start with viewer4) -->
<!--                    <TextValue> Viewer5 </TextValue>                other possible value (start with viewer5) -->
<!--                    <TextValue> Viewer6 </TextValue>                other possible value (start with viewer6) -->
<!--                    <TextValue> Viewer7 </TextValue>                other possible value (start with viewer7) -->
<!--                    <TextValue> Viewer8 </TextValue>                other possible value (start with viewer8) -->
<!--                    <TextValue> Viewer9 </TextValue>                other possible value (start with viewer9) -->
<!--                    <TextValue> Viewer10 </TextValue>               other possible value (start with viewer10) -->
            </Property>

            <Property name="Viewer1">
                <Type>
                    <Persistent type="string"/>
                </Type>
			<TextValue> com.tivoli.pfdk.ful.impl/1.1.4/TableViewerFUGUI </TextValue>                <!-- default value -->
<!--                    <TextValue> null </TextValue>                                           other possible value -->
                                                                                                <!-- other values possible -->
            </Property>

            <Property name="Viewer2">
                <Type>
                    <Persistent type="string"/>
                </Type>
<!--                    <TextValue> null </TextValue>                                           other possible value -->
                                                                                                <!-- other values possible -->
            </Property>

            <Property name="Viewer3">
                <Type>
                    <Persistent type="string"/>
                </Type>
<!--                    <TextValue> null </TextValue>                                           other possible value -->
                                                                                                <!-- other values possible -->
            </Property>

            <Property name="Viewer4">
                <Type>
                    <Persistent type="string"/>
                </Type>
<!--                    <TextValue> null </TextValue>                                           other possible value -->
                                                                                                <!-- other values possible -->
            </Property>

            <Property name="Viewer5">
                <Type>
                    <Persistent type="string"/>
                </Type>
<!--                    <TextValue> null </TextValue>                                           other possible value -->
                                                                                                <!-- other values possible -->
            </Property>

            <Property name="Viewer6">
                <Type>
                    <Persistent type="string"/>
                </Type>
<!--                    <TextValue> null </TextValue>                                           other possible value -->
                                                                                                <!-- other values possible -->
            </Property>

            <Property name="Viewer7">
                <Type>
                    <Persistent type="string"/>
                </Type>
<!--                    <TextValue> null </TextValue>                                           other possible value -->
                                                                                                <!-- other values possible -->
            </Property>

            <Property name="Viewer8">
                <Type>
                    <Persistent type="string"/>
                </Type>
<!--                    <TextValue> null </TextValue>                                           other possible value -->
                                                                                                <!-- other values possible -->
            </Property>

            <Property name="Viewer9">
                <Type>
                    <Persistent type="string"/>
                </Type>
<!--                    <TextValue> null </TextValue>                                           other possible value -->
                                                                                                <!-- other values possible -->
            </Property>

            <Property name="Viewer10">
                <Type>
                    <Persistent type="string"/>
                </Type>
<!--                    <TextValue> null </TextValue>                                           other possible value -->
                                                                                                <!-- other values possible -->
            </Property>

            <!-- TABLE VIEWER SPECIFIC PROPERTIES (OPTIONAL) -->	
	        		
	    <Property name="TableColumnInfoList">
                <Type>
                    <Transient type="com.tivoli.pf.common.external.PfTypeSafeList"/>
                </Type>
            </Property>

	    <Property name="EnableViewObjectColumn">
                <Type>
                    <Persistent type="boolean"/>
                </Type>
                <!-- <TextValue>true</TextValue>                                            default value -->
            </Property>

	    <Property name="EnableResourceTypeColumn">
                <Type>
                    <Persistent type="boolean"/>
                </Type>
                <!-- <TextValue>true</TextValue>                                            default value -->
            </Property>

	    <Property name="RemoveEmptyColumns">
                <Type>
                    <Persistent type="boolean"/>
                </Type>
                <!-- <TextValue>false</TextValue>                                            default value -->
            </Property>


            <!-- SELECTION CRITERIA (FILTER) USED BY PROVIDERS TO LIMIT RESOURCES IN RESOURCE SET (OPTIONAL) -->

            <Property name="SelectionCriteria">
                <Type>
                    <Transient type="com.tivoli.pf.ns.external.INsSelectionCriteria"/>
                </Type>
            </Property>

        </InputPropertyList>

       	<OutputPropertyList>

            <!-- IF PERFORMING SELECTION, THE SELECTED PO's -->

            <Property name="POSelection">
                <Type>
                    <Transient type="com/tivoli/pf/common/external/PfTypeSafeList.class"/>
                </Type>
            </Property>

        </OutputPropertyList>

	<CompletionValueList>
            <CompletionValue value="0"/>
        </CompletionValueList>

    </FUDefinition>


<!-- ==================================== -->
<!-- ExpandableTreeNavigatorFU Definition -->
<!-- ==================================== -->

    <FUDefinition name="ExpandableTreeNavigatorFU" GUIPlatform="java">

        <FUImplDefinitionRef>
            <Reference mcName="ExpandableTreeNavigatorFUImpl"/>
        </FUImplDefinitionRef>

        <InputPropertyList>

            <!-- RESOURCE TYPE    OR    STARTING POINT RESOURCE and RELATIONSHIP  to navigate -->

            <Property name="NavigationType">
                <Type>
                    <Persistent type="string"/>
                </Type>
			<TextValue> Resource Based </TextValue>         <!-- default value (starting point/relationship navigation -->
<!--			<TextValue> ResourceType Based </TextValue>     other possible value (resource type navigation) -->
            </Property>

            <Property name="ResourceType">
                <Type>
                    <Persistent type="string"/>
                </Type>
            </Property>

            <Property name="Resource">
                <Type>
                     <Transient type="com.tivoli.pf.ns.external.INsResource" />
                </Type>
            </Property>

            <Property name="Relationship">
                <Type>
                     <Persistent type="string" />
                </Type>
                        <TextValue> Contains </TextValue>               <!-- default value (navigate using 'Contains' relationship) -->
                                                                        <!-- other values possible -->
            </Property>

            <!-- VIEW MODEL TYPE (currently simple or tree) -->

            <Property name="ViewModelType">
                <Type>
                    <Persistent type="string"/>
                </Type>
			<TextValue> com.tivoli.pfdk.ful.impl/1.1.4/FulTreeViewModelMapper </TextValue>
<!-- default value (tree VM) --> <!-- other values possible -->
            </Property>

            <!-- INDICATES WHETHER SELECTION OR NAVIGATION ACTION -->

	    <Property name="PublishSelection">
	    	<Type>
		    <Persistent type="boolean"/>
		</Type>
			<TextValue>false</TextValue>                    <!-- default value (not doing selection)-->
<!--                    <TextValue>true</TextValue>                     other possible value (doing selection) -->
	    </Property>

            <!-- ALLOWS DIFFERENT RELATIONSHIP NAVIGATION PER RESOURCE TYPE (OPTIONAL) -->

            <Property name="DefaultRelationshipToNavigate">
                <Type>
                    <Persistent type="string"/>                         <!-- relationship -->
                </Type>
            </Property>

            <Property name="RelationshipToNavigate1">
                <Type>
                    <Persistent type="string"/>                         <!-- resource type (package/version/component), relationship -->
                </Type>
            </Property>

            <Property name="RelationshipToNavigate2">
                <Type>
                    <Persistent type="string"/>                         <!-- resource type (package/version/component), relationship -->
                </Type>
            </Property>

            <Property name="RelationshipToNavigate3">
                <Type>
                    <Persistent type="string"/>                         <!-- resource type (package/version/component), relationship -->
                </Type>
            </Property>

            <Property name="RelationshipToNavigate4">
                <Type>
                    <Persistent type="string"/>                         <!-- resource type (package/version/component), relationship -->
                </Type>
            </Property>

            <Property name="RelationshipToNavigate5">
                <Type>
                    <Persistent type="string"/>                         <!-- resource type (package/version/component), relationship -->
                </Type>
            </Property>

            <!-- INITIAL AND TOGGLE VIEWERS USED TO DISPLAY DATA -->

            <Property name="ViewerTitle">
                <Type>
                    <Persistent type="nlsString"/>
                </Type>
<!--                    <NLSTextValue> key="" URL="" defaultText="Viewer Title"/>      default value -->
            </Property>

            <Property name="DefaultViewer">
                <Type>
                    <Persistent type="string"/>
                </Type>
			<TextValue> Viewer1 </TextValue>                <!-- default value (start with viewer1) -->
<!--                    <TextValue> Viewer2 </TextValue>                other possible value (start with viewer2) -->
<!--                    <TextValue> Viewer3 </TextValue>                other possible value (start with viewer3) -->
<!--                    <TextValue> Viewer4 </TextValue>                other possible value (start with viewer4) -->
<!--                    <TextValue> Viewer5 </TextValue>                other possible value (start with viewer5) -->
<!--                    <TextValue> Viewer6 </TextValue>                other possible value (start with viewer6) -->
<!--                    <TextValue> Viewer7 </TextValue>                other possible value (start with viewer7) -->
<!--                    <TextValue> Viewer8 </TextValue>                other possible value (start with viewer8) -->
<!--                    <TextValue> Viewer9 </TextValue>                other possible value (start with viewer9) -->
<!--                    <TextValue> Viewer10 </TextValue>               other possible value (start with viewer10) -->
            </Property>

            <Property name="Viewer1">
                <Type>
                    <Persistent type="string"/>
                </Type>
			<TextValue> com.tivoli.pfdk.ful.impl/1.1.4/ExpandableViewerFUGUI </TextValue>
<!-- default value -->
<!--                    <TextValue> null </TextValue>                                           other possible value -->
                                                                                                <!-- other values possible -->
            </Property>

            <Property name="Viewer2">
                <Type>
                    <Persistent type="string"/>
                </Type>
			<TextValue> com.tivoli.pfdk.ful.impl/1.1.4/ExplorerViewerFUGUI </TextValue>             <!-- default value -->
<!--                    <TextValue> null </TextValue>                                           other possible value -->
                                                                                                <!-- other values possible -->
            </Property>

            <Property name="Viewer3">
                <Type>
                    <Persistent type="string"/>
                </Type>
			<TextValue> com.tivoli.pfdk.ful.impl/1.1.4/TableViewerFUGUI </TextValue>                <!-- default value -->
<!--                    <TextValue> null </TextValue>                                           other possible value -->
                                                                                                <!-- other values possible -->
            </Property>

            <Property name="Viewer4">
                <Type>
                    <Persistent type="string"/>
                </Type>
<!--                    <TextValue> null </TextValue>                                             other possible value -->
                                                                                                <!-- other values possible -->
            </Property>

            <Property name="Viewer5">
                <Type>
                    <Persistent type="string"/>
                </Type>
<!--                    <TextValue> null </TextValue>                                           other possible value -->
                                                                                                <!-- other values possible -->
            </Property>

            <Property name="Viewer6">
                <Type>
                    <Persistent type="string"/>
                </Type>
<!--                    <TextValue> null </TextValue>                                           other possible value -->
                                                                                                <!-- other values possible -->
            </Property>

            <Property name="Viewer7">
                <Type>
                    <Persistent type="string"/>
                </Type>
<!--                    <TextValue> null </TextValue>                                           other possible value -->
                                                                                                <!-- other values possible -->
            </Property>

            <Property name="Viewer8">
                <Type>
                    <Persistent type="string"/>
                </Type>
<!--                    <TextValue> null </TextValue>                                           other possible value -->
                                                                                                <!-- other values possible -->
            </Property>

            <Property name="Viewer9">
                <Type>
                    <Persistent type="string"/>
                </Type>
<!--                    <TextValue> null </TextValue>                                           other possible value -->
                                                                                                <!-- other values possible -->
            </Property>

            <Property name="Viewer10">
                <Type>
                    <Persistent type="string"/>
                </Type>
<!--                    <TextValue> null </TextValue>                                           other possible value -->
                                                                                                <!-- other values possible -->
            </Property>

            <!-- SELECTION CRITERIA (FILTER) USED BY PROVIDERS TO LIMIT RESOURCES IN RESOURCE SET (OPTIONAL) -->

            <Property name="SelectionCriteria">
                <Type>
                    <Transient type="com.tivoli.pf.ns.external.INsSelectionCriteria"/>
                </Type>
            </Property>

            <!-- EXPLORER VIEWER SPECIFIC PROPERTIES (OPTIONAL) -->	

            <Property name="MaxNumberOfDetailPanes">
                <Type>
                    <Persistent type="long"/>
                </Type>
            </Property>
	
            <Property name="IsHorizontalDetailPaneLayout">
                <Type>
                    <Persistent type="boolean"/>
                </Type>
                        <TextValue>true</TextValue>	                <!-- default value (horizontal layout) -->
<!--                    <TextValue>false</TextValue>                    other possible value (vertical layout) -->
            </Property>

	    <Property name="DefaultTitleForDetailPane1">
                <Type>
                    <Persistent type="string"/>
                </Type>
            </Property>

	    <Property name="DefaultTitleForDetailPane2">
                <Type>
                    <Persistent type="string"/>
                </Type>
            </Property>

	    <Property name="ResourceTypeInfoList">
                <Type>
                    <Transient type="com.tivoli.pf.common.external.PfTypeSafeList"/>
                </Type>
            </Property>
	        		
	    <Property name="TableColumnInfoList">
                <Type>
                    <Transient type="com.tivoli.pf.common.external.PfTypeSafeList"/>
                </Type>
            </Property>

<!--	Following two properties are global for all the detail panes in the Explorer.
	If you wish to customize each detail pane separately, disable both the properties
	and explicitly provide column information for all the detail panes.	-->
	
	    <Property name="EnableViewObjectColumn">
                <Type>
                    <Persistent type="boolean"/>
                </Type>
                <!-- <TextValue>true</TextValue>                                          default value -->
            </Property>

	    <Property name="EnableResourceTypeColumn">
                <Type>
                    <Persistent type="boolean"/>
                </Type>
                <!-- <TextValue>true</TextValue>                                          default value -->
            </Property>
	
<!-- 	RemoveEmptyColumns property shall remove the empty columns from the table display.
	Currently (driver 6), Viewers dont support dynamic re-addition of remove columns.
	So, if you expect columns to get populated dynamically after table is displayed,
	do not enable the following property.  This feature may be added in driver 7 or later.       -->
			
	    <Property name="RemoveEmptyColumns">
                <Type>
                    <Persistent type="boolean"/>
                </Type>
                <!-- <TextValue>false</TextValue>                                         default value -->
            </Property>
	
	

        </InputPropertyList>

       	<OutputPropertyList>

            <!-- IF PERFORMING SELECTION, THE SELECTED PO's -->

            <Property name="POSelection">
                <Type>
                    <Transient type="com/tivoli/pf/common/external/PfTypeSafeList.class"/>
                </Type>
            </Property>

        </OutputPropertyList>

	<CompletionValueList>
            <CompletionValue value="0"/>
        </CompletionValueList>

    </FUDefinition>



<!-- ================================================================== -->
<!-- Navigator FUImpl definitions                                       -->
<!-- ================================================================== -->


<!-- ===================================== -->
<!-- SimpleNavigator FUImpl                -->
<!-- ===================================== -->

    <FUImplDefinition name="SimpleNavigatorFUImpl">

        <FUImpl URL="com/tivoli/pfdk/ful/navigation/navigator/FulSimpleNavigatorImpl.class"/>

        <ProcessInfo daemon="no" inactivityTimeOut="9999"/>

    </FUImplDefinition>


<!-- ===================================== -->
<!-- ExpandableTreeNavigator FUImpl        -->
<!-- ===================================== -->

    <FUImplDefinition name="ExpandableTreeNavigatorFUImpl">

        <FUImpl URL="com/tivoli/pfdk/ful/navigation/navigator/FulExpandableTreeNavigatorImpl.class"/>

        <ProcessInfo daemon="no" inactivityTimeOut="9999"/>

    </FUImplDefinition>


<!-- ================================================================== -->
<!-- Resource Type definitions                                           -->
<!-- ================================================================== -->


<!-- Resource Type                                                              -->

	<ResourceType name="FulResource">
  		<DisplayInfo>
                   <DisplayName key="FUL_RESOURCE_DISP" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class"  defaultText="FUL Resource"/>

                   <ShortDescription key="FUL_RESOURCE_SHORT" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class" defaultText="FUL Resource"/>

   	           <LongDescription key="FUL_RESOURCE_LONG" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class" defaultText="FUL Resource"/>
	
      	           <Icon size="medium" URL="com/tivoli/pfdk/ful/res/action_m.gif"/>
                   <Icon size="small" URL="com/tivoli/pfdk/ful/res/action_s.gif"/>
       	           <Icon size="tiny" URL="com/tivoli/pfdk/ful/res/action_t.gif"/>
 		</DisplayInfo>

                <AttributeList>
                   <AttributeDef name="DisplayName" customizable="no">
                      <AttributeType>
                         <SerializableObjectType className="com.tivoli.pf.ns.external.NsDisplayableText"></SerializableObjectType>
                      </AttributeType>
                   </AttributeDef>
                </AttributeList>

	</ResourceType>



<!-- ================================================================== -->
<!-- Viewer FUGUI definitions                                           -->
<!-- ================================================================== -->


<!-- ===================================== -->
<!-- Table Viewer FUGUI                    -->
<!-- ===================================== -->

    <FUGUIDefinition name="TableViewerFUGUI">

        <FUGUIImpl platform="java2" URL="com/tivoli/pfdk/ful/navigation/viewer/FulDefaultTableViewerImpl.class"/>

     	<DisplayInfo>

       	    <DisplayName key="TABLE_VIEWER_NAME" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class"  defaultText="Table Viewer Default Text"/>

      	    <Icon size="medium" URL="com/tivoli/pfdk/ful/res/action_m.gif"/>
            <Icon size="small" URL="com/tivoli/pfdk/ful/res/table_s.gif"/>
       	    <Icon size="tiny" URL="com/tivoli/pfdk/ful/res/action_t.gif"/>

    	</DisplayInfo>

      </FUGUIDefinition>


<!-- ===================================== -->
<!-- Selection Tree Viewer FUGUI           -->
<!-- ===================================== -->

    <FUGUIDefinition name="SelectionTreeViewerFUGUI">

        <FUGUIImpl platform="java2" URL="com/tivoli/pfdk/ful/navigation/viewer/FulSelectionTreeViewerImpl.class"/>

     	<DisplayInfo>

       	    <DisplayName key="SELECTION_TREE_VIEWER_NAME" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class"  defaultText="Selection Tree Viewer Default Text"/>

      	    <Icon size="medium" URL="com/tivoli/pfdk/ful/res/action_m.gif"/>
            <Icon size="small" URL="com/tivoli/pfdk/ful/res/tree_s.gif"/>
       	    <Icon size="tiny" URL="com/tivoli/pfdk/ful/res/action_t.gif"/>

    	</DisplayInfo>

    </FUGUIDefinition>


<!-- ===================================== -->
<!-- Expandable Tree Viewer FUGUI          -->
<!-- ===================================== -->

    <FUGUIDefinition name="ExpandableViewerFUGUI">

        <FUGUIImpl platform="java2" URL="com/tivoli/pfdk/ful/navigation/viewer/FulExpandableTreeViewerImpl.class"/>

     	<DisplayInfo>

       	    <DisplayName key="EXPANDABLE_VIEWER_NAME" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class"  defaultText="Expandable Tree Viewer Default Text"/>

      	    <Icon size="medium" URL="com/tivoli/pfdk/ful/res/action_m.gif"/>
            <Icon size="small" URL="com/tivoli/pfdk/ful/res/tree_s.gif"/>
       	    <Icon size="tiny" URL="com/tivoli/pfdk/ful/res/action_t.gif"/>

    	</DisplayInfo>

    </FUGUIDefinition>


<!-- ===================================== -->
<!-- Explorer Viewer FUGUI                 -->
<!-- ===================================== -->

    <FUGUIDefinition name="ExplorerViewerFUGUI">

        <FUGUIImpl platform="java2" URL="com/tivoli/pfdk/ful/navigation/viewer/FulExplorerViewerImpl.class"/>

     	<DisplayInfo>

       	    <DisplayName key="EXPLORER_VIEWER_NAME" URL="com/tivoli/pfdk/ful/nls/FulNavResources.class"  defaultText="Explorer Viewer Default Text"/>

      	    <Icon size="medium" URL="com/tivoli/pfdk/ful/res/action_m.gif"/>
            <Icon size="small" URL="com/tivoli/pfdk/ful/res/explorer_s.gif"/>
       	    <Icon size="tiny" URL="com/tivoli/pfdk/ful/res/action_t.gif"/>

    	</DisplayInfo>

    </FUGUIDefinition>



<!-- ================================================================== -->
<!-- Standard View Model Mapper definitions                             -->
<!-- ================================================================== -->


<!-- ===================================== -->
<!-- Simple View Model Mapper              -->
<!-- ===================================== -->

     <VMMapperDefinition name="FulListViewModelMapper" initData="none" termData="none">
      	 <VMMapperImpl URL="com/tivoli/pfdk/ful/navigation/viewmodelmapper/FulListViewModelMapperImpl.class"/>
     </VMMapperDefinition>


<!-- ===================================== -->
<!-- Tree View Model Mapper                -->
<!-- ===================================== -->

     <VMMapperDefinition name="FulTreeViewModelMapper" initData="none" termData="none">
  	 <VMMapperImpl URL="com/tivoli/pfdk/ful/navigation/viewmodelmapper/FulTreeViewModelMapperImpl.class"/>
     </VMMapperDefinition>


<!-- ================================================================== -->
<!-- CommandLine-related definitions    				-->
<!-- ================================================================== -->

     <FUDefinition name="CommandLine">

         <FUImplDefinitionRef>
             <Reference mcName="FulCommandLineImpl"/>
         </FUImplDefinitionRef>

         <InputPropertyList>
             <!-- Commandline allows you to enter a command as you would on the command line -->
             <Property name="Commandline">
                 <Type>
                     <Persistent type="string"/>
                 </Type>
             </Property>

             <!-- Command will not prefix your command with the command line interpreter -->
             <Property name="Command">
                 <Type>
                     <Persistent type="string"/>
                 </Type>
             </Property>

             <!-- Environment variables are specified like "name=value;name=value" -->
             <Property name="EnvironmentVariables">
                 <Type>
                     <Persistent type="string"/>
                 </Type>
             </Property>

             <!-- If the value of EchoInput is "true" then input entered will be -->
             <!-- echoed to the screen.  true is the default.                    -->
             <Property name="EchoInput">
                 <Type>
                     <Persistent type="boolean"/>
                 </Type>
             </Property>


             <!-- If the value of ShowConsoleGui is "false" then no command gui  -->
             <!-- will be shown in the console window.  true is the default.     -->
             <Property name="ShowConsoleGui">
                 <Type>
                     <Persistent type="boolean"/>
                 </Type>
             </Property>

             <!-- This is the initial value that will be given to the process on standard input -->
             <Property name="InitialInput">
                 <Type>
                     <Persistent type="string"/>
                 </Type>
             </Property>

             <!-- This is a list of Presentation Objects that can be supplied. -->
             <!-- This enables substitution of PO attributes.                  -->
             <Property name="POList">
                 <Type>
                     <Transient type="com.tivoli.pf.common.external.PfTypeSafeList" />
                 </Type>
             </Property>
         </InputPropertyList>

         <CompletionValueList>
             <CompletionValue value="0">
             </CompletionValue>
             <CompletionValue value="1">
             </CompletionValue>
         </CompletionValueList>

     </FUDefinition>

     <FUImplDefinition name="FulCommandLineImpl">
         <FUImpl URL="com/tivoli/pfdk/ful/cmdline/FulCmdLineImpl.class"/>
     </FUImplDefinition>

     <FUGUIDefinition name="FulCommandLineImplGui">
         <FUGUIImpl platform="java2" URL="com/tivoli/pfdk/ful/cmdline/FulCmdLineImplGui.class"/>
     </FUGUIDefinition>


<!-- ================================================================== -->
<!-- Console Runtime Status FU - related definitions			-->
<!-- ================================================================== -->


  <ActionGroup name="RuntimeStatusActionGroup">
    <ActionRef>
      <Reference mcName="RuntimeStatusAction"/>
    </ActionRef>
    <DisplayInfo>
      <DisplayName defaultText="Console Support Actions" URL="com/tivoli/pfdk/ful/nls/FulRuntimeResources.class" key="RUNTIMEGRP_DISPLAY_NAME"/>
      <ShortDescription defaultText="Console Support Actions" URL="com/tivoli/pfdk/ful/nls/FulRuntimeResources.class" key="RUNTIMEGRP_SHORT_DESC"/>
      <LongDescription defaultText="Console Support Actions" URL="com/tivoli/pfdk/ful/nls/FulRuntimeResources.class" key="RUNTIMEGRP_LONG_DESC"/>
    </DisplayInfo>
  </ActionGroup>

  <Action name="RuntimeStatusAction">
    <FUDefinitionRef>
      <Reference mcName="RuntimeStatusFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName defaultText="Console Runtime Status Action" URL="com/tivoli/pfdk/ful/nls/FulRuntimeResources.class" key="RUNTIME_DISPLAY_NAME"/>
      <ShortDescription defaultText="Console Runtime Status Action" URL="com/tivoli/pfdk/ful/nls/FulRuntimeResources.class" key="RUNTIME_SHORT_DESC"/>
      <LongDescription defaultText="Console Runtime Status Action" URL="com/tivoli/pfdk/ful/nls/FulRuntimeResources.class" key="RUNTIME_LONG_DESC"/>
    </DisplayInfo>
  </Action>


  <FUDefinition name="RuntimeStatusFU" GUIPlatform="all">

    <FUImplDefinitionRef>
      <Reference mcName="RuntimeStatusFUImpl"/>
    </FUImplDefinitionRef>

    <CompletionValueList>
      <CompletionValue value="0">
      </CompletionValue>
    </CompletionValueList>
  </FUDefinition>


  <FUImplDefinition name="RuntimeStatusFUImpl">
    <FUImpl URL="com/tivoli/pfdk/ful/support/FulRuntimeImpl.class"/>
  </FUImplDefinition>


  <FUGUIDefinition name="RuntimeStatusFUGUI">
<!--    <FUGUIImpl platform="java2" URL="com/tivoli/pfdk/ful/support/FulRuntimeJavaGUIImpl.class"/> -->
    <FUGUIImpl platform="html4.0" URL="com/tivoli/pfdk/ful/support/FulRuntimeWebGUIImpl.class"/>
  </FUGUIDefinition>


</MCPackage>
